2005-02-17 13:14  marco <marcov@stack.nl>

	* rtl/objpas/classes/classesh.inc:
	
	 * shiftstateenum

2005-02-16 22:38  olle

	* rtl/macos/: MPWmake, macos.pp:
	
	  + new unit added: MacOS.pp

2005-02-15 23:28  peter <peter@freepascal.org>

	* rtl/: Makefile, Makefile.fpc, amiga/Makefile, beos/Makefile,
	darwin/Makefile.fpc, emx/Makefile, freebsd/Makefile.fpc,
	go32v2/Makefile, linux/Makefile.fpc, macos/Makefile,
	morphos/Makefile, netbsd/Makefile, netbsd/Makefile.fpc,
	netware/Makefile, netwlibc/Makefile, openbsd/Makefile,
	openbsd/Makefile.fpc, os2/Makefile, solaris/Makefile.fpc,
	watcom/Makefile, win32/Makefile:
	
	  * 1.9.8

2005-02-15 23:27  jonas <jonas.maebe@rug.ac.be>

	* rtl/bsd/osmacro.inc:
	
	  * fixed wifexited and wstopsig

2005-02-14 18:29  peter <peter@freepascal.org>

	* rtl/linux/osdefs.inc:
	
	  * no stime for x86_64

2005-02-14 18:13  peter <peter@freepascal.org>

	* rtl/: amiga/crt.pp, amiga/dos.pp, amiga/graph.pp, amiga/os.inc,
	amiga/printer.pp, arm/arm.inc, arm/int64p.inc, arm/math.inc,
	arm/mathu.inc, arm/mathuh.inc, arm/set.inc, arm/setjump.inc,
	arm/setjumph.inc, arm/strings.inc, arm/stringss.inc,
	arm/sysutilp.inc, atari/os.inc, atari/system.pas, beos/beos.inc,
	beos/dos.pp, beos/dos_beos.inc, beos/errno.inc, beos/osposix.inc,
	beos/osposixh.inc, beos/posix.pp, beos/syscall.inc, beos/system.pp,
	beos/sysutils.pp, beos/timezone.inc, bsd/bunxfunch.inc,
	bsd/bunxsysc.inc, bsd/ipcbsd.inc, bsd/osdefs.inc, bsd/osmacro.inc,
	bsd/ossysc.inc, bsd/ostypes.inc, bsd/sysbsd.pp, bsd/sysctl.pp,
	bsd/sysosh.inc, bsd/system.pp, bsd/unxsysch.inc,
	bsd/i386/syscall.inc, bsd/i386/syscallh.inc,
	bsd/powerpc/syscall.inc, bsd/powerpc/syscallh.inc,
	bsd/x86_64/syscall.inc, bsd/x86_64/syscallh.inc, darwin/errno.inc,
	darwin/pthread.inc, darwin/ptypes.inc, darwin/signal.inc,
	darwin/sysctlh.inc, darwin/termio.pp, darwin/termios.inc,
	darwin/termiosproc.inc, darwin/tthread.inc, darwin/unxconst.inc,
	darwin/unxfunc.inc, darwin/unxsockh.inc,
	darwin/powerpc/sig_cpu.inc, darwin/powerpc/sighnd.inc, emx/crt.pas,
	emx/dos.pas, emx/emx.pas, emx/ports.pas, emx/sysdir.inc,
	emx/system.pas, emx/sysutils.pp, freebsd/console.pp,
	freebsd/errno.inc, freebsd/pthread.inc, freebsd/ptypes.inc,
	freebsd/signal.inc, freebsd/sysctlh.inc, freebsd/sysnr.inc,
	freebsd/termio.pp, freebsd/termios.inc, freebsd/termiosproc.inc,
	freebsd/tthread.inc, freebsd/unixsock.inc, freebsd/unxconst.inc,
	freebsd/unxfunc.inc, freebsd/unxsockh.inc, freebsd/unxsysc.inc,
	freebsd/i386/sighnd.inc, freebsd/i386/x86.inc,
	freebsd/i386/x86h.inc, go32v2/classes.pp, go32v2/crt.pp,
	go32v2/dos.pp, go32v2/dpmi.inc, go32v2/dpmiexcp.pp,
	go32v2/dxeload.pp, go32v2/dxetype.pp, go32v2/emu387.pp,
	go32v2/go32.pp, go32v2/graph.pp, go32v2/initc.pp,
	go32v2/keyboard.pp, go32v2/mouse.pp, go32v2/msmouse.pp,
	go32v2/ports.pp, go32v2/printer.pp, go32v2/profile.pp,
	go32v2/sysdir.inc, go32v2/system.pp, go32v2/sysutils.pp,
	go32v2/tthread.inc, go32v2/varutils.pp, go32v2/vesa.inc,
	go32v2/vesah.inc, go32v2/vesamode.pp, go32v2/video.pp, i386/cpu.pp,
	i386/i386.inc, i386/int64p.inc, i386/math.inc, i386/mathu.inc,
	i386/mathuh.inc, i386/mmx.pp, i386/set.inc, i386/setjump.inc,
	i386/setjumph.inc, i386/strings.inc, i386/stringss.inc,
	i386/strlen.inc, i386/strpas.inc, i386/sysutilp.inc,
	inc/aliases.inc, inc/astrings.inc, inc/cgeneric.inc,
	inc/cgenmath.inc, inc/cgenstr.inc, inc/charset.pp, inc/cmem.pp,
	inc/compproc.inc, inc/crth.inc, inc/ctypes.pp, inc/dos.inc,
	inc/dosh.inc, inc/dynarr.inc, inc/dynarrh.inc, inc/dynlibs.pp,
	inc/except.inc, inc/fexpand.inc, inc/file.inc, inc/filerec.inc,
	inc/generic.inc, inc/genmath.inc, inc/genset.inc, inc/genstr.inc,
	inc/genstrs.inc, inc/getopts.pp, inc/heap.inc, inc/heaph.inc,
	inc/heaptrc.pp, inc/innr.inc, inc/int64.inc, inc/keyboard.inc,
	inc/keybrdh.inc, inc/lineinfo.pp, inc/lstrings.pp, inc/macpas.pp,
	inc/mathh.inc, inc/matrix.pp, inc/mouse.inc, inc/mouseh.inc,
	inc/objects.pp, inc/objpas.inc, inc/objpash.inc, inc/printer.inc,
	inc/printerh.inc, inc/real2str.inc, inc/rtti.inc, inc/sockets.inc,
	inc/socketsh.inc, inc/sockovl.inc, inc/softfpu.pp,
	inc/sstrings.inc, inc/stdsock.inc, inc/strings.pp,
	inc/stringsi.inc, inc/system.inc, inc/systemh.inc, inc/text.inc,
	inc/textrec.inc, inc/thread.inc, inc/threadh.inc, inc/threadvr.inc,
	inc/typefile.inc, inc/ucomplex.pp, inc/variant.inc,
	inc/varianth.inc, inc/variants.pp, inc/video.inc, inc/videoh.inc,
	inc/wstrings.inc, inc/graph/clip.inc, inc/graph/fills.inc,
	inc/graph/fontdata.inc, inc/graph/graph.inc, inc/graph/graphh.inc,
	inc/graph/gtext.inc, inc/graph/modes.inc, inc/graph/palette.inc,
	linux/bunxsysc.inc, linux/errno.inc, linux/gpm.pp,
	linux/ipccall.inc, linux/ipcsys.inc, linux/osdefs.inc,
	linux/osmacro.inc, linux/ossysc.inc, linux/ostypes.inc,
	linux/pthread.inc, linux/ptypes.inc, linux/signal.inc,
	linux/sysosh.inc, linux/system.pp, linux/termio.pp,
	linux/termios.inc, linux/termiosproc.inc, linux/tthread.inc,
	linux/unixsock.inc, linux/unxconst.inc, linux/unxfunc.inc,
	linux/unxsockh.inc, linux/unxsysc.inc, linux/unxsysch.inc,
	linux/arm/sighnd.inc, linux/arm/sighndh.inc, linux/arm/stat.inc,
	linux/arm/syscall.inc, linux/arm/syscallh.inc, linux/arm/sysnr.inc,
	linux/i386/sighnd.inc, linux/i386/sighndh.inc, linux/i386/stat.inc,
	linux/i386/syscall.inc, linux/i386/syscallh.inc,
	linux/i386/sysnr.inc, linux/m68k/stat.inc,
	linux/powerpc/sighnd.inc, linux/powerpc/sighndh.inc,
	linux/powerpc/stat.inc, linux/powerpc/syscall.inc,
	linux/powerpc/syscallh.inc, linux/powerpc/sysnr.inc,
	linux/sparc/sighnd.inc, linux/sparc/sighndh.inc,
	linux/sparc/stat.inc, linux/sparc/syscall.inc,
	linux/sparc/syscallh.inc, linux/sparc/sysnr.inc,
	linux/x86_64/sighnd.inc, linux/x86_64/stat.inc,
	linux/x86_64/syscall.inc, linux/x86_64/syscallh.inc,
	linux/x86_64/sysnr.inc, m68k/lowmath.inc, m68k/m68k.inc,
	m68k/math.inc, m68k/set.inc, m68k/setjump.inc, m68k/setjumph.inc,
	macos/dos.pp, macos/macostp.inc, macos/macostp.pp,
	macos/macutils.inc, macos/macutils.pp, macos/sysdir.inc,
	macos/sysfile.inc, macos/system.pp, macos/sysutils.pp,
	morphos/ahi.pas, morphos/asl.pas, morphos/classes.pp,
	morphos/clipboard.pas, morphos/dos.pp, morphos/doslib.pp,
	morphos/doslibd.inc, morphos/doslibf.inc, morphos/emuld.inc,
	morphos/exec.pp, morphos/execd.inc, morphos/execf.inc,
	morphos/get9.pas, morphos/graphics.pas, morphos/hardware.pas,
	morphos/inputevent.pas, morphos/intuition.pas, morphos/layers.pas,
	morphos/sysdir.inc, morphos/sysfile.inc, morphos/sysos.inc,
	morphos/system.pp, morphos/sysutils.pp, morphos/timer.pp,
	morphos/timerd.inc, morphos/timerf.inc, morphos/tthread.inc,
	morphos/utild1.inc, morphos/utild2.inc, morphos/utilf.inc,
	morphos/utility.pp, morphos/varutils.pp, netbsd/classes.pp,
	netbsd/errno.inc, netbsd/ptypes.inc, netbsd/signal.inc,
	netbsd/syscalls.inc, netbsd/sysconst.inc, netbsd/sysctlh.inc,
	netbsd/sysnr.inc, netbsd/sysofft.inc, netbsd/systypes.inc,
	netbsd/termio.pp, netbsd/termios.inc, netbsd/termiosproc.inc,
	netbsd/tthread.inc, netbsd/unixsock.inc, netbsd/unixsysc.inc,
	netbsd/i386/sighnd.inc, netbsd/powerpc/sighnd.inc, netware/aio.pp,
	netware/classes.pp, netware/dos.pp, netware/errno.inc,
	netware/initc.pp, netware/keyboard.pp, netware/mouse.pp,
	netware/netware.pp, netware/npackoff.inc, netware/npackon.inc,
	netware/nwnit.pp, netware/nwpre.pp, netware/nwprot.pp,
	netware/nwserv.pp, netware/nwsnut.pp, netware/nwsys.inc,
	netware/sockets.pp, netware/sysdir.inc, netware/sysheap.inc,
	netware/sysos.inc, netware/system.pp, netware/systhrd.inc,
	netware/sysutils.pp, netware/tthread.inc, netware/varutils.pp,
	netware/winsock.pp, netware/demos/check.pp, netwlibc/classes.pp,
	netwlibc/dos.pp, netwlibc/dynlibs.inc, netwlibc/errno.inc,
	netwlibc/initc.pp, netwlibc/keyboard.pp, netwlibc/libc.pp,
	netwlibc/mouse.pp, netwlibc/nwsnut.pp, netwlibc/sockets.pp,
	netwlibc/sysdir.inc, netwlibc/sysfile.inc, netwlibc/sysosh.inc,
	netwlibc/system.pp, netwlibc/systhrd.inc, netwlibc/sysutils.pp,
	netwlibc/tthread.inc, netwlibc/varutils.pp, netwlibc/video.pp,
	netwlibc/winsock.pp, objpas/comobj.inc, objpas/comobjh.inc,
	objpas/convutil.inc, objpas/cvarutil.inc, objpas/dateutil.inc,
	objpas/math.pp, objpas/objpas.pp, objpas/rtlconst.pp,
	objpas/strutils.pp, objpas/sysconst.pp, objpas/types.pp,
	objpas/typinfo.pp, objpas/varutilh.inc, objpas/varutils.inc,
	objpas/classes/action.inc, objpas/classes/bits.inc,
	objpas/classes/classes.inc, objpas/classes/classesh.inc,
	objpas/classes/collect.inc, objpas/classes/compon.inc,
	objpas/classes/constsg.inc, objpas/classes/constss.inc,
	objpas/classes/cregist.inc, objpas/classes/dm.inc,
	objpas/classes/filer.inc, objpas/classes/filerec.inc,
	objpas/classes/intf.inc, objpas/classes/lists.inc,
	objpas/classes/parser.inc, objpas/classes/persist.inc,
	objpas/classes/reader.inc, objpas/classes/streams.inc,
	objpas/classes/stringl.inc, objpas/classes/twriter.inc,
	objpas/classes/util.inc, objpas/classes/writer.inc,
	objpas/sysutils/dati.inc, objpas/sysutils/datih.inc,
	objpas/sysutils/diskh.inc, objpas/sysutils/filutilh.inc,
	objpas/sysutils/fina.inc, objpas/sysutils/finah.inc,
	objpas/sysutils/intfh.inc, objpas/sysutils/osutil.inc,
	objpas/sysutils/osutilsh.inc, objpas/sysutils/stre.inc,
	objpas/sysutils/strg.inc, objpas/sysutils/sysansi.inc,
	objpas/sysutils/sysansih.inc, objpas/sysutils/sysinth.inc,
	objpas/sysutils/syspch.inc, objpas/sysutils/syspchh.inc,
	objpas/sysutils/sysstr.inc, objpas/sysutils/sysstrh.inc,
	objpas/sysutils/systhrdh.inc, objpas/sysutils/sysuintf.inc,
	objpas/sysutils/sysutilh.inc, objpas/sysutils/sysutils.inc,
	objpas/sysutils/syswide.inc, openbsd/classes.pp, openbsd/errno.inc,
	openbsd/ptypes.inc, openbsd/signal.inc, openbsd/syscalls.inc,
	openbsd/sysconst.inc, openbsd/sysctlh.inc, openbsd/sysnr.inc,
	openbsd/sysofft.inc, openbsd/systypes.inc, openbsd/termio.pp,
	openbsd/termios.inc, openbsd/termiosproc.inc, openbsd/tthread.inc,
	openbsd/unixsock.inc, openbsd/unixsysc.inc,
	openbsd/i386/sighnd.inc, os2/classes.pp, os2/crt.pas, os2/dos.pas,
	os2/doscalls.pas, os2/dynlibs.inc, os2/kbdcalls.pas,
	os2/keyboard.pp, os2/moncalls.pas, os2/moucalls.pas, os2/mouse.pp,
	os2/os2def.pas, os2/pmbidi.pas, os2/pmbitmap.pas, os2/pmdev.pas,
	os2/pmgpi.pas, os2/pmhelp.pas, os2/pmshl.pas, os2/pmspl.pas,
	os2/pmstddlg.pas, os2/pmwin.pas, os2/pmwp.pas, os2/pmwsock.pas,
	os2/ports.pas, os2/printer.pas, os2/so32dll.pas, os2/sockets.pas,
	os2/sysdir.inc, os2/system.pas, os2/sysutils.pp, os2/tthread.inc,
	os2/varutils.pp, os2/video.pp, os2/viocalls.pas, os2/winsock.pas,
	os2/tests/generic.pas, os2/tests/o2rtlb1.pas, os2/tests/pmdemo1.pp,
	palmos/os.inc, palmos/pilot.pp, palmos/system.pp,
	palmos/systraps.pp, palmos/api/common.inc, palmos/api/common.pp,
	palmos/api/font.inc, palmos/api/fontsel.inc, palmos/api/init.inc,
	palmos/api/rect.inc, palmos/api/sysall.pp, palmos/api/systraps.inc,
	palmos/api/systraps.pp, palmos/api/ui.pp, powerpc/int64p.inc,
	powerpc/math.inc, powerpc/mathu.inc, powerpc/mathuh.inc,
	powerpc/powerpc.inc, powerpc/set.inc, powerpc/setjump.inc,
	powerpc/setjumph.inc, powerpc/strings.inc, powerpc/stringss.inc,
	powerpc/strlen.inc, powerpc/strpas.inc, powerpc/sysutilp.inc,
	solaris/errno.inc, solaris/osdefs.inc, solaris/osmacro.inc,
	solaris/ostypes.inc, solaris/ptypes.inc, solaris/signal.inc,
	solaris/system.pp, solaris/i386/sighnd.inc,
	solaris/i386/sighndh.inc, solaris/sparc/sighnd.inc,
	solaris/sparc/sighndh.inc, solaris/sparc/start.inc,
	sparc/int64p.inc, sparc/math.inc, sparc/mathu.inc,
	sparc/mathuh.inc, sparc/set.inc, sparc/setjump.inc,
	sparc/setjumph.inc, sparc/sparc.inc, sparc/strings.inc,
	sparc/stringss.inc, sparc/sysutilp.inc, unix/aliasctp.inc,
	unix/aliasptp.inc, unix/baseunix.pp, unix/bunxh.inc,
	unix/bunxovl.inc, unix/bunxovlh.inc, unix/classes.pp, unix/crt.pp,
	unix/cthreads.pp, unix/ctypes.inc, unix/cwstring.pp, unix/dl.pp,
	unix/dos.pp, unix/dynlibs.inc, unix/errors.pp, unix/genfdset.inc,
	unix/genfuncs.inc, unix/gensigset.inc, unix/ggigraph.pp,
	unix/graph.pp, unix/graph16.inc, unix/initc.pp, unix/ipc.pp,
	unix/ipccdecl.inc, unix/keyboard.pp, unix/linux.pp,
	unix/linuxnew.inc, unix/linuxold.inc, unix/mouse.pp,
	unix/oscdeclh.inc, unix/ports.pp, unix/printer.pp, unix/serial.pp,
	unix/settimeo.inc, unix/sockets.pp, unix/sysdir.inc,
	unix/sysunixh.inc, unix/sysutils.pp, unix/terminfo.pp,
	unix/termiosh.inc, unix/timezone.inc, unix/ttyname.inc,
	unix/unix.pp, unix/unixtype.pp, unix/unixutil.pp,
	unix/unxdeclh.inc, unix/unxovl.inc, unix/unxovlh.inc,
	unix/varutils.pp, unix/video.pp, unix/x86.pp, watcom/classes.pp,
	watcom/crt.pp, watcom/dos.pp, watcom/system.pp, watcom/sysutils.pp,
	watcom/varutils.pp, watcom/watcom.pp, win32/activex.pp,
	win32/classes.pp, win32/commctrl.pp, win32/comobj.pp, win32/crt.pp,
	win32/dos.pp, win32/dynlibs.inc, win32/graph.pp, win32/initc.pp,
	win32/keyboard.pp, win32/messages.pp, win32/mouse.pp,
	win32/objinc.inc, win32/ole2.pp, win32/printer.pp,
	win32/shellapi.pp, win32/shfolder.pp, win32/shlobj.pp,
	win32/sockets.pp, win32/sysdir.inc, win32/sysos.inc,
	win32/sysosh.inc, win32/system.pp, win32/sysutils.pp,
	win32/tthread.inc, win32/varutils.pp, win32/video.pp,
	win32/win32.inc, win32/wincrt.pp, win32/windows.pp,
	win32/winevent.pp, win32/winmouse.pp, win32/winsock.pp,
	win32/winsysut.pp, win32/wininc/ascdef.inc,
	win32/wininc/ascfun.inc, win32/wininc/base.inc,
	win32/wininc/defines.inc, win32/wininc/errors.inc,
	win32/wininc/func.inc, win32/wininc/messages.inc,
	win32/wininc/objbase.inc, win32/wininc/redef.inc,
	win32/wininc/struct.inc, win32/wininc/unidef.inc,
	win32/wininc/unifun.inc, x86_64/int64p.inc, x86_64/math.inc,
	x86_64/mathu.inc, x86_64/mathuh.inc, x86_64/set.inc,
	x86_64/setjump.inc, x86_64/setjumph.inc, x86_64/strings.inc,
	x86_64/stringss.inc, x86_64/strlen.inc, x86_64/sysutilp.inc,
	x86_64/x86_64.inc:
	
	  * truncate log

2005-02-14 17:47  peter <peter@freepascal.org>

	* rtl/objpas/classes/classes.inc:
	
	  * support inline

2005-02-14 17:32  peter <peter@freepascal.org>

	* rtl/: Makefile, solaris/ostypes.inc, solaris/signal.inc,
	solaris/system.pp, solaris/sparc/start.inc, sparc/math.inc,
	unix/sysunixh.inc:
	
	  * solaris updates

2005-02-13 23:14  peter <peter@freepascal.org>

	* rtl/: solaris/osdefs.inc, solaris/ptypes.inc, unix/ctypes.inc:
	
	  * new files

2005-02-13 23:13  peter <peter@freepascal.org>

	* rtl/solaris/: Makefile, Makefile.fpc, bunxmacr.inc, bunxtype.inc,
	osmacro.inc, osmain.inc, ossysc.inc, ostypes.inc, signal.inc,
	sysos.inc, system.pp, i386/sighnd.inc, i386/sighndh.inc,
	sparc/sighnd.inc, sparc/sighndh.inc:
	
	  * get solaris back in shape

2005-02-13 22:56  peter <peter@freepascal.org>

	* rtl/: bsd/ctypes.inc, darwin/Makefile, darwin/Makefile.fpc,
	freebsd/Makefile, freebsd/Makefile.fpc, linux/Makefile,
	linux/Makefile.fpc, linux/ctypes.inc:
	
	  * ctypes.inc moved to unix/

2005-02-13 22:47  peter <peter@freepascal.org>

	* rtl/: bsd/bunxdefs.inc, bsd/bunxmacr.inc, bsd/bunxtype.inc,
	bsd/osdefs.inc, bsd/osmacro.inc, bsd/osmain.inc, bsd/ossysc.inc,
	bsd/ossysch.inc, bsd/ostypes.inc, bsd/sysos.inc, bsd/system.pp,
	darwin/Makefile, darwin/Makefile.fpc, darwin/sysconst.inc,
	darwin/unixfunc.inc, darwin/unxconst.inc, darwin/unxfunc.inc,
	freebsd/Makefile, freebsd/Makefile.fpc, freebsd/sysconst.inc,
	freebsd/unixfunc.inc, freebsd/unxconst.inc, freebsd/unxfunc.inc,
	linux/Makefile, linux/Makefile.fpc, linux/bunxdefs.inc,
	linux/bunxmacr.inc, linux/bunxtype.inc, linux/osdefs.inc,
	linux/osmacro.inc, linux/osmain.inc, linux/ossysc.inc,
	linux/ossysch.inc, linux/ostypes.inc, linux/sysconst.inc,
	linux/sysos.inc, linux/system.pp, linux/unixfunc.inc,
	linux/unxconst.inc, linux/unxfunc.inc, solaris/bunxmacr.inc,
	solaris/system.pp, unix/baseunix.pp, unix/unix.pp:
	
	  * include file cleanup part 2

2005-02-13 22:10  marco <marcov@stack.nl>

	* rtl/inc/socketsh.inc:
	
	 * in_addr_bytes to easily put an array over the byte type

2005-02-13 21:01  peter <peter@freepascal.org>

	* rtl/: bsd/baseunix.pp, bsd/bunxdefs.inc, bsd/bunxfunc.inc,
	bsd/bunxmacr.inc, bsd/bunxmain.inc, bsd/bunxsysc.inc,
	bsd/ossysc.inc, bsd/unxsysc.inc, darwin/Makefile,
	darwin/Makefile.fpc, darwin/unixfunc.inc, darwin/unixsysc.inc,
	freebsd/Makefile, freebsd/Makefile.fpc, freebsd/syscalls.inc,
	freebsd/unixfunc.inc, freebsd/unixsysc.inc, freebsd/unxsysc.inc,
	i386/setjump.inc, linux/Makefile, linux/Makefile.fpc,
	linux/baseunix.pp, linux/bunxdefs.inc, linux/bunxfunc.inc,
	linux/bunxmacr.inc, linux/bunxmain.inc, linux/bunxsysc.inc,
	linux/ossysc.inc, linux/ostypes.inc, linux/sysc11.inc,
	linux/sysconst.inc, linux/sysos.inc, linux/unixfunc.inc,
	linux/unixsysc.inc, linux/unxsysc.inc, linux/unxsysch.inc,
	solaris/Makefile, solaris/Makefile.fpc, sparc/setjump.inc,
	unix/baseunix.pp, unix/bunxh.inc, unix/bunxovlh.inc, unix/dos.pp,
	unix/oscdeclh.inc, unix/settimeo.inc, unix/sysdeclh.inc,
	unix/sysdir.inc, unix/unix.pp:
	
	  * include file cleanup

2005-02-13 20:59  marco <marcov@stack.nl>

	* rtl/inc/: sockets.inc, socketsh.inc:
	
	 * More htons like functionality. IPV6 string support still missing

2005-02-13 19:58  florian <florian@freepascal.org>

	* rtl/sparc/: mathu.inc, mathuh.inc, sparc.inc:
	
	  + FPU controll routines in math unit

2005-02-12 18:34  marco <marcov@stack.nl>

	* rtl/inc/: socketsh.inc, ctypes.pp:
	
	 * some kylix stuf

2005-02-11 14:07  jonas <jonas.maebe@rug.ac.be>

	* rtl/darwin/ptypes.inc:
	
	  * fixed SYS_NMLN constant

2005-02-10 18:30  peter <peter@freepascal.org>

	* rtl/solaris/: Makefile, Makefile.fpc, bunxmacr.inc, bunxtype.inc,
	errno.inc, osmain.inc, ossysc.inc, ostypes.inc, signal.inc,
	sysos.inc, sysosh.inc, system.pp:
	
	  * renamed to solaris

2005-02-08 23:21  olle

	* rtl/macos/MPWmake:
	
	  + added support for xcoff when installing

2005-02-08 22:17  florian <florian@freepascal.org>

	* rtl/objpas/varutils.inc:
	
	  * fixed variant copy for interfaces

2005-02-08 21:49  florian <florian@freepascal.org>

	* rtl/objpas/math.pp:
	
	  * operator **(int64,int64) returns int64 now

2005-02-08 21:25  florian <florian@freepascal.org>

	* rtl/: inc/genmath.inc, inc/mathh.inc, inc/system.inc,
	inc/systemh.inc, objpas/math.pp:
	
	  - killed power from system unit
	  * move operator ** to math unit

2005-02-08 17:28  peter <peter@freepascal.org>

	* rtl/win32/systhrd.inc:
	
	pulseevent -> setevent

2005-02-08 17:10  florian <florian@freepascal.org>

	* rtl/objpas/typinfo.pp:
	
	  * TTOrdType -> TOrdType

2005-02-08 08:25  marco <marcov@stack.nl>

	* rtl/objpas/varutils.inc:
	
	 * patch from Peter

2005-02-07 23:17  peter <peter@freepascal.org>

	* rtl/sparc/sparc.inc:
	
	  * add $ifdef for move

2005-02-07 23:04  peter <peter@freepascal.org>

	* rtl/: bsd/sysdir.inc, bsd/sysfile.inc, bsd/sysheap.inc,
	bsd/sysos.inc, linux/sysdir.inc, linux/sysfile.inc,
	linux/sysheap.inc, linux/sysos.inc, unix/sysdir.inc,
	unix/sysfile.inc, unix/sysheap.inc:
	
	  * moved to unix

2005-02-07 22:52  florian <florian@freepascal.org>

	* rtl/: inc/variants.pp, objpas/varutils.inc:
	
	  + basic variant<->intf conversion

2005-02-07 22:30  peter <peter@freepascal.org>

	* rtl/: macos/Makefile, macos/Makefile.fpc, macos/sysdir.inc,
	macos/sysfile.inc, macos/sysheap.inc, macos/sysos.inc,
	macos/sysosh.inc, macos/system.pp, macos/systhrd.inc,
	morphos/Makefile, morphos/Makefile.fpc, morphos/sysdir.inc,
	morphos/sysfile.inc, morphos/sysheap.inc, morphos/sysos.inc,
	morphos/sysosh.inc, morphos/system.pp, morphos/systhrd.inc,
	morphos/systhrds.pp:
	
	  * system unit updated

2005-02-07 18:36  peter <peter@freepascal.org>

	* rtl/inc/thread.inc:
	
	can't use resourcestrings in the system unit

2005-02-07 18:28  peter <peter@freepascal.org>

	* rtl/go32v2/msmouse.pp:
	
	moved $calling to interface

2005-02-07 17:34  armin

	* rtl/netwlibc/: Makefile, Makefile.fpc:
	
	* nwplibc.o was not saved in UNITTARGETDIRPREFIX

2005-02-07 14:45  armin

	* rtl/netwlibc/: Makefile, Makefile.fpc:
	
	* loader .o file was saved in wrong dir

2005-02-07 09:29  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/sysutils/sysstr.inc:
	
	+ Patch from peter to fix 1.0 compile

2005-02-06 21:37  florian <florian@freepascal.org>

	* rtl/inc/systemh.inc:
	
	  * InitProc gets an inital value

2005-02-06 21:35  florian <florian@freepascal.org>

	* rtl/inc/: system.inc, systemh.inc:
	
	  + InitProc

2005-02-06 21:31  florian <florian@freepascal.org>

	* rtl/objpas/: classes/classesh.inc, sysutils/systhrdh.inc:
	
	  + GlobalNameSpace

2005-02-06 17:57  peter <peter@freepascal.org>

	* rtl/: emx/Makefile, emx/Makefile.fpc, emx/sysdir.inc,
	emx/sysfile.inc, emx/sysheap.inc, emx/sysos.inc, emx/sysosh.inc,
	emx/system.pas, emx/systhrd.inc, emx/systhrds.pp, go32v2/Makefile,
	go32v2/Makefile.fpc, go32v2/sysdir.inc, go32v2/sysfile.inc,
	go32v2/sysheap.inc, go32v2/sysos.inc, go32v2/sysosh.inc,
	go32v2/system.pp, go32v2/systhrd.inc, go32v2/systhrds.pp,
	inc/system.inc, netware/Makefile, netware/Makefile.fpc,
	netware/classes.pp, netware/sysdir.inc, netware/sysfile.inc,
	netware/sysheap.inc, netware/sysos.inc, netware/sysosh.inc,
	netware/system.pp, netware/systhrd.inc, netware/systhrds.pp,
	netwlibc/Makefile, netwlibc/Makefile.fpc, netwlibc/classes.pp,
	netwlibc/libc.pp, netwlibc/sysdir.inc, netwlibc/sysfile.inc,
	netwlibc/sysheap.inc, netwlibc/sysos.inc, netwlibc/sysosh.inc,
	netwlibc/system.pp, netwlibc/systhrd.inc, netwlibc/systhrds.pp,
	os2/Makefile, os2/Makefile.fpc, os2/sysdir.inc, os2/sysfile.inc,
	os2/sysheap.inc, os2/sysos.inc, os2/sysosh.inc, os2/system.pas,
	os2/systhrd.inc, os2/systhrds.pp:
	
	  * threads for go32v2,os,emx,netware

2005-02-06 14:06  peter <peter@freepascal.org>

	* rtl/: bsd/osmain.inc, bsd/sysdir.inc, bsd/sysfile.inc,
	bsd/sysos.inc, freebsd/sysconst.inc, inc/system.inc,
	linux/osmain.inc, linux/sysdir.inc, linux/sysfile.inc,
	linux/sysos.inc, win32/Makefile, win32/Makefile.fpc,
	win32/classes.pp, win32/sysdir.inc, win32/sysfile.inc,
	win32/sysheap.inc, win32/sysos.inc, win32/sysosh.inc,
	win32/system.pp, win32/systhrd.inc, win32/systhrds.pp,
	win32/tthread.inc, win32/win32.inc, win32/wininc/redef.inc,
	win32/wininc/struct.inc:
	
	  * moved file and dir functions to sysfile/sysdir
	  * win32 thread in systemunit

2005-02-06 13:16  peter <peter@freepascal.org>

	* rtl/: bsd/ossysc.inc, bsd/ostypes.inc, bsd/sysheap.inc,
	bsd/sysos.inc, bsd/sysosh.inc, bsd/system.pp, darwin/Makefile,
	darwin/Makefile.fpc, darwin/classes.pp, darwin/sysconst.inc,
	freebsd/Makefile, freebsd/Makefile.fpc, freebsd/classes.pp,
	freebsd/tthread.inc, linux/Makefile, linux/Makefile.fpc,
	linux/classes.pp, linux/ossysc.inc, linux/sysheap.inc,
	linux/systhrd.inc, unix/classes.pp, unix/systhrd.inc:
	
	  * bsd thread updates

2005-02-06 12:22  florian <florian@freepascal.org>

	* rtl/win32/wininc/base.inc:
	
	  + TAtom

2005-02-06 12:20  peter <peter@freepascal.org>

	* rtl/: freebsd/Makefile, freebsd/Makefile.fpc,
	freebsd/systypes.inc, inc/system.inc, inc/systemh.inc,
	inc/thread.inc, inc/threadh.inc, inc/variants.pp, linux/Makefile,
	linux/Makefile.fpc, linux/classes.pp, linux/sysheap.inc,
	linux/sysos.inc, linux/sysosh.inc, linux/system.pp,
	linux/systhrd.inc, linux/systypes.inc, linux/tthread.inc,
	objpas/classes/classes.inc, unix/cthreads.pp, unix/systhrds.pp,
	unix/sysunixh.inc, unix/unix.pp:
	
	  * threading in system unit
	  * removed systhrds unit

2005-02-06 10:38  florian <florian@freepascal.org>

	* rtl/: inc/wstringh.inc, inc/wstrings.inc,
	objpas/sysutils/sysstr.inc, objpas/sysutils/sysstrh.inc:
	
	  +  StrCharLength infrastructure

2005-02-06 09:50  florian <florian@freepascal.org>

	* rtl/bsd/ctypes.inc:
	
	  + added the new types from linux

2005-02-06 00:49  florian <florian@freepascal.org>

	* rtl/: inc/threadvr.inc, linux/x86_64/syscall.inc:
	
	  * threadvars on x86_64 fixed

2005-02-06 00:46  peter <peter@freepascal.org>

	* rtl/linux/sparc/sighnd.inc:
	
	  * set addr:=nil for other signals

2005-02-06 00:45  peter <peter@freepascal.org>

	* rtl/linux/sparc/sighnd.inc:
	
	  * sigcontext is invalid, use siginfo only

2005-02-06 00:02  florian <florian@freepascal.org>

	* rtl/: linux/ctypes.inc, linux/x86_64/prt0.as, unix/aliasctp.inc:
	
	  + added some missing c types

2005-02-05 23:55  marco <marcov@stack.nl>

	* rtl/freebsd/: Makefile.fpc, Makefile:
	
	 * x86 and some other units readded

2005-02-05 23:53  peter <peter@freepascal.org>

	* rtl/linux/: osmain.inc, signal.inc:
	
	  * use typecasted sigactionhandler, needed for arm

2005-02-05 23:45  peter <peter@freepascal.org>

	* rtl/linux/signal.inc:
	
	  * sigactionhandler fixed for arm

2005-02-05 23:30  florian <florian@freepascal.org>

	* rtl/x86_64/x86_64.inc:
	
	  * some PIC ifdefs

2005-02-05 23:03  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/classes/: classesh.inc, stringl.inc:
	
	+ Implemented DelimitedText, FDelimiter etc.

2005-02-05 21:07  michael <michael.vancanneyt@wisa.be>

	* rtl/unix/x86.pp:
	
	+ Fix for compilation with version 1.0.10

2005-02-05 17:19  florian <florian@freepascal.org>

	* rtl/x86_64/x86_64.inc:
	
	  + completed SSE exception masks

2005-02-05 11:47  florian <florian@freepascal.org>

	* rtl/inc/systemh.inc:
	
	  * fixed previous commit

2005-02-05 11:44  marco <marcov@stack.nl>

	* rtl/unix/x86.pp:
	
	 * FreeBSD ioperm fixes backported from 1.0

2005-02-05 11:07  florian <florian@freepascal.org>

	* rtl/inc/systemh.inc:
	
	  * map farpointer to pointer on platforms not having farpointers

2005-02-05 09:42  marco <marcov@stack.nl>

	* rtl/unix/x86.pp:
	
	 * regvars problem fixed

2005-02-03 22:42  peter <peter@freepascal.org>

	* rtl/linux/osmain.inc:
	
	  * readded magic value $4000000 for sa_flags for x86_64

2005-02-03 22:38  marco <marcov@stack.nl>

	* rtl/objpas/strutils.pp:
	
	 * committed bintohex and hextobin

2005-02-03 21:48  florian <florian@freepascal.org>

	* rtl/win32/shellapi.pp:
	
	  * fixed SHGetFileInfo

2005-02-03 21:33  peter <peter@freepascal.org>

	* rtl/: Makefile, amiga/Makefile, beos/Makefile, darwin/Makefile,
	emx/Makefile, freebsd/Makefile, go32v2/Makefile, linux/Makefile,
	macos/Makefile, morphos/Makefile, netbsd/Makefile,
	netware/Makefile, netwlibc/Makefile, openbsd/Makefile,
	os2/Makefile, watcom/Makefile, win32/Makefile:
	
	  * regenerated

2005-02-03 21:17  florian <florian@freepascal.org>

	* rtl/objpas/classes/: classesh.inc, util.inc:
	
	  + BinToHex and HexToBin from Marco added

2005-02-03 21:11  florian <florian@freepascal.org>

	* rtl/objpas/classes/: classesh.inc, stringl.inc:
	
	  + added case sensitivity to tstringlist

2005-02-03 20:51  florian <florian@freepascal.org>

	* rtl/objpas/classes/classesh.inc:
	
	  * made the tstrings.index* functions virtual

2005-02-03 20:10  florian <florian@freepascal.org>

	* rtl/objpas/classes/: classesh.inc, collect.inc:
	
	  + tcollection.owner

2005-02-03 20:09  karoly

	* rtl/morphos/prt0.as:
	
	  * reworked startup code:
	    - now uses AllocTaskPooled
	    - check for unsuccessful stack allocation

2005-02-03 19:42  florian <florian@freepascal.org>

	* rtl/objpas/classes/: classesh.inc, stringl.inc:
	
	  * some delphi compatibility fixes

2005-02-03 19:41  florian <florian@freepascal.org>

	* rtl/win32/: activex.pp, wininc/struct.inc:
	
	  * more clx compilation fixed

2005-02-03 19:40  florian <florian@freepascal.org>

	* rtl/: inc/wstringh.inc, inc/wstrings.inc, unix/cwstring.pp:
	
	  + infrastructure for WideCompareText implemented

2005-02-03 19:40  florian <florian@freepascal.org>

	* rtl/objpas/sysutils/: sysutilh.inc, sysutils.inc, syswide.inc,
	syswideh.inc:
	
	  * compilation with 1.0.x fixed
	  + infrastructure for WideCompareText implemented

2005-02-03 17:21  peter <peter@freepascal.org>

	* rtl/objpas/sysutils/: sysansih.inc, sysutilh.inc, sysutils.inc:
	
	  * 1.0.x fix

2005-02-02 21:22  florian <florian@freepascal.org>

	* rtl/objpas/classes/: classesh.inc, collect.inc:
	
	  + TCollection nofication mechanisms added

2005-02-02 20:56  florian <florian@freepascal.org>

	* rtl/objpas/classes/: classesh.inc, compon.inc:
	
	  + PaletteCreated added
	  + TCollectionNotification added

2005-02-02 20:39  florian <florian@freepascal.org>

	* rtl/objpas/classes/: classesh.inc, cregist.inc:
	
	  * empty class grouping functions

2005-02-02 12:57  jonas <jonas.maebe@rug.ac.be>

	* rtl/go32v2/vesa.inc:
	
	  * fix from Tomas for calling conventions

2005-02-01 22:49  florian <florian@freepascal.org>

	* rtl/objpas/classes/: classesh.inc, stringl.inc:
	
	  + tstrings.error for resourcestrings added which are a pstring

2005-02-01 22:32  florian <florian@freepascal.org>

	* rtl/objpas/classes/collect.inc:
	
	  + tcollection.updatecount support added

2005-02-01 22:32  florian <florian@freepascal.org>

	* rtl/objpas/classes/classesh.inc:
	
	  + tstrings.updatecount property added
	  + tcollection.updatecount support added

2005-02-01 21:22  florian <florian@freepascal.org>

	* rtl/: beos/system.pp, bsd/system.pp, go32v2/system.pp,
	inc/systemh.inc, inc/wstringh.inc, inc/wstrings.inc,
	linux/system.pp, macos/system.pp, morphos/system.pp,
	netware/system.pp, netwlibc/system.pp,
	objpas/sysutils/sysutilh.inc, objpas/sysutils/sysutils.inc,
	objpas/sysutils/syswide.inc, objpas/sysutils/syswideh.inc,
	unix/cwstring.pp, watcom/system.pp, win32/system.pp:
	
	  * improved widestring infrastructure manager

2005-02-01 21:22  florian <florian@freepascal.org>

	* rtl/inc/variant.inc:
	
	  + interface <-> variant conversion from Danny Milosavljevic

2005-02-01 20:32  florian <florian@freepascal.org>

	* rtl/inc/objpash.inc:
	
	  + tmethod

2005-02-01 09:41  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/classes/: classesh.inc, collect.inc:
	
	+ Added TCollection.Delete

2005-01-31 21:57  olle

	* rtl/powerpc/powerpc.inc:
	
	  * Fixed stack frame access for macos

2005-01-31 21:13  peter <peter@freepascal.org>

	* rtl/linux/: osmain.inc, ossysc.inc:
	
	  * rt_sigaction for all cpus

2005-01-31 20:41  peter <peter@freepascal.org>

	* rtl/: inc/objpash.inc, objpas/classes/classesh.inc,
	objpas/classes/compon.inc:
	
	  * interface additions

2005-01-31 20:22  peter <peter@freepascal.org>

	* rtl/linux/ossysc.inc:
	
	  * i386 also needs rtsignal

2005-01-31 14:59  marco <marcov@stack.nl>

	* rtl/objpas/math.pp:
	
	 * fixed

2005-01-30 22:48  marco <marcov@stack.nl>

	* rtl/win32/systhrds.pp:
	
	 * stdcall added to few calls

2005-01-30 20:00  karoly

	* rtl/morphos/: Makefile, Makefile.fpc, intuition.pas:
	
	  * changes for ASL and AHI support

2005-01-30 19:58  karoly

	* rtl/morphos/: ahi.pas, asl.pas:
	
	  * initial revision

2005-01-30 19:41  peter <peter@freepascal.org>

	* rtl/x86_64/math.inc:
	
	  * add fnclex before loading old CW

2005-01-30 19:35  peter <peter@freepascal.org>

	* rtl/linux/gpm.pp:
	
	  * goto on

2005-01-30 19:01  peter <peter@freepascal.org>

	* rtl/: darwin/signal.inc, freebsd/signal.inc, linux/bunxfunc.inc,
	linux/osmain.inc, linux/signal.inc, linux/arm/sighnd.inc,
	linux/arm/sighndh.inc, linux/i386/sighnd.inc,
	linux/i386/sighndh.inc, linux/powerpc/sighnd.inc,
	linux/powerpc/sighndh.inc, linux/sparc/sighnd.inc,
	linux/sparc/sighndh.inc, linux/x86_64/sighnd.inc,
	linux/x86_64/sighndh.inc, unix/bunxovl.inc, unix/unix.pp,
	x86_64/math.inc:
	
	  * signal cleanup for linux
	  * sigactionhandler instead of tsigaction for bsds
	  * sigcontext moved to cpu dir

2005-01-30 19:00  peter <peter@freepascal.org>

	* rtl/: linux/gpm.pp, unix/gpm.pp, linux/Makefile,
	linux/Makefile.fpc:
	
	  * move gpm.pp to linux

2005-01-30 12:56  peter <peter@freepascal.org>

	* rtl/inc/heap.inc:
	
	  * allow Freemem(nil)

2005-01-30 04:02  karoly

	* rtl/morphos/execf.inc:
	
	  * syscalls with basesysv abi fixed

2005-01-30 03:38  karoly

	* rtl/morphos/: Makefile, Makefile.fpc:
	
	  * systhrds added

2005-01-30 03:36  karoly

	* rtl/morphos/sysutils.pp:
	
	  * fixed compilation

2005-01-30 03:25  karoly

	* rtl/morphos/systhrds.pp:
	
	  + initial dummy implementation

2005-01-29 18:01  peter <peter@freepascal.org>

	* rtl/inc/except.inc:
	
	  * fix crash with backtrace if invalid frame is passed

2005-01-28 20:50  peter <peter@freepascal.org>

	* rtl/inc/astrings.inc:
	
	1.0.x fixes

2005-01-27 23:14  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/systhrds.pp:
	
	  * first part of compilation fixes

2005-01-27 22:27  florian <florian@freepascal.org>

	* rtl/linux/errno.inc:
	
	  * sparc got correct errnos

2005-01-27 22:26  florian <florian@freepascal.org>

	* rtl/sparc/sparc.inc:
	
	  + getgot function added

2005-01-26 21:58  florian <florian@freepascal.org>

	* rtl/i386/fastmove.inc:
	
	  * fastmove disabled, has too much drawbacks

2005-01-26 18:07  peter <peter@freepascal.org>

	* rtl/: inc/except.inc, inc/objpash.inc,
	objpas/sysutils/sysutils.inc:
	
	  * retrieve backtrace when exception is raised
	  * RaiseMaxFrameCount added to limit the number of backtraces,
	setting
	    it to 0 disables backtraces. Default is 16

2005-01-26 16:57  peter <peter@freepascal.org>

	* rtl/objpas/sysutils/sysutils.inc:
	
	  * no backtrace for default unhandled exception

2005-01-26 12:05  marco <marcov@stack.nl>

	* rtl/objpas/strutils.pp:
	
	 * fix

2005-01-25 19:50  peter <peter@freepascal.org>

	* rtl/inc/astrings.inc:
	
	  * 1.0.x fix

2005-01-24 22:32  florian <florian@freepascal.org>

	* rtl/inc/dynarr.inc:
	
	  * fixed copy(dyn. array of ansistring)

2005-01-24 21:08  hajny <xhajt03@mbox.vol.cz>

	* rtl/: emx/Makefile, emx/Makefile.fpc, os2/Makefile,
	os2/Makefile.fpc:
	
	  * systhrds added to Makefile

2005-01-24 20:56  hajny <xhajt03@mbox.vol.cz>

	* rtl/go32v2/Makefile.fpc:
	
	  * doubled line spacing removed

2005-01-24 19:51  olle

	* rtl/macos/system.pp:
	
	  * filetype/filecreator changed after the file is opened, in case
	the file did not previously exist

2005-01-24 19:40  olle

	* rtl/macos/dos.pp:
	
	  * rearrangement of FEXPAND code
	  * added StrPas where necessary after compiler change

2005-01-24 19:36  olle

	* rtl/macos/Makefile.fpc:
	
	  + compiling of ctypes

2005-01-24 19:35  olle

	* rtl/macos/MPWmake:
	
	  + compiling of ctypes
	  + compiling of UPINTERFACES (located in XCode), and moved to
	rtl/macos

2005-01-24 19:28  olle

	* rtl/macos/sysutils.pp:
	
	  + a tiny bit of support for macos
	  + warning that this is under construction

2005-01-24 19:25  olle

	* rtl/objpas/sysutils/filutilh.inc:
	
	  + a tiny bit of support for macos

2005-01-24 19:03  peter <peter@freepascal.org>

	* rtl/: i386/fastmove.inc, inc/systemh.inc, objpas/objpas.pp:
	
	  * pinteger in non-delphi/objfpc mode is psmallint

2005-01-24 17:54  peter <peter@freepascal.org>

	* rtl/i386/setjumph.inc:
	
	  * no sigprocmask for 1.0.x bootstrapping

2005-01-24 09:17  florian <florian@freepascal.org>

	* rtl/i386/fastmove.inc:
	
	  * 1.0.x fix

2005-01-23 21:10  florian <florian@freepascal.org>

	* rtl/i386/fastmove.inc:
	
	  * made IA32 the default

2005-01-23 21:03  florian <florian@freepascal.org>

	* rtl/i386/: fastmove.inc, i386.inc:
	
	  + fastmove from John O'Harrow integrated

2005-01-23 10:50  hajny <xhajt03@mbox.vol.cz>

	* rtl/inc/dos.inc:
	
	  * yet another attempt to make Mac OS accept dos.inc without hacks
	;-)

2005-01-23 10:49  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/thread.inc:
	
	  - excessive thread.inc removed - not required any more

2005-01-22 21:56  michael <michael.vancanneyt@wisa.be>

	* rtl/unix/unix.pp:
	
	+ Patch for intFpExecVEMaybeP to use the right path (From Colin
	Western)

2005-01-22 21:53  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/classes/: classes.inc, reader.inc:
	
	 + Patch from Colin Western to fix reading inherited forms

2005-01-22 16:06  olle

	* rtl/macos/macostp.inc:
	
	  * fixed CONST and wrong record value params

2005-01-22 12:16  armin

	* rtl/go32v2/: Makefile, Makefile.fpc:
	
	* added objpas dependency to systhrds

2005-01-21 22:47  armin

	* rtl/go32v2/thread.inc:
	
	* applied patch to compile go32v2 from Tomas (tested by John)

2005-01-21 22:43  armin

	* rtl/: go32v2/Makefile, go32v2/Makefile.fpc, go32v2/systhrds.pp,
	go32v2/thread.inc, inc/threadh.inc, inc/thread.inc:
	
	* applied patch to compile go32v2 from Tomas (tested by John)

2005-01-21 16:56  peter <peter@freepascal.org>

	* rtl/inc/heaptrc.pp:
	
	  * uses _eend instead of _edata in checkpointer, patch by
	    Martin Schreiber

2005-01-21 16:53  peter <peter@freepascal.org>

	* rtl/objpas/classes/reader.inc:
	
	  * fixed vaWString in skipvalue, patch by Martin Schreiber

2005-01-20 17:38  peter <peter@freepascal.org>

	* rtl/: i386/setjump.inc, i386/setjumph.inc, sparc/setjump.inc,
	sparc/setjumph.inc:
	
	  * restore sigprocmask for linux

2005-01-20 17:37  peter <peter@freepascal.org>

	* rtl/objpas/classes/: classesh.inc, streams.inc:
	
	  * 1.0.x fix

2005-01-19 20:57  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/classes/: classesh.inc, streams.inc:
	
	+ CustomMemoryStream.getsize overridden

2005-01-19 15:24  marco <marcov@stack.nl>

	* rtl/win32/wininc/struct.inc:
	
	 * some comments about COMSTAT added

2005-01-19 10:09  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/classes/streams.inc:
	
	  * Patch from Peter to fix 64bit issue in tstream.seek()

2005-01-18 23:31  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/classes/streams.inc:
	
	+ Patch from Mattias Gaertner to fix CopyFrom

2005-01-18 21:37  florian <florian@freepascal.org>

	* rtl/sparc/sparc.inc:
	
	  * set floating point precision and ieee compliance

2005-01-17 19:38  peter <peter@freepascal.org>

	* rtl/objpas/sysutils/: sysstr.inc, sysstrh.inc:
	
	  * extended overload disabled for powerpc

2005-01-16 18:53  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/sysutils/: sysstr.inc, sysstrh.inc:
	
	+ Patch from Colin Western to implemenet TryStrToFLoat

2005-01-16 17:56  florian <florian@freepascal.org>

	* rtl/objpas/varutils.inc:
	
	  + some missing word handling added

2005-01-16 17:15  florian <florian@freepascal.org>

	* rtl/objpas/varutils.inc:
	
	  * olestring copying fixed

2005-01-16 15:46  florian <florian@freepascal.org>

	* rtl/inc/thread.inc:
	
	  * critical sections can be used in programs without threading
	driver, they have no effect then

2005-01-15 19:47  florian <florian@freepascal.org>

	* rtl/: inc/rtti.inc, inc/variant.inc, inc/varianth.inc,
	inc/variants.pp, objpas/varutils.inc:
	
	  * several variant init./final. stuff fixed

2005-01-15 12:44  marco <marcov@stack.nl>

	* rtl/win32/wininc/redef.inc:
	
	 * scrollwindow(ex) added at Neli's request

2005-01-14 23:13  armin

	* rtl/netware/: Makefile, Makefile.fpc, nwcalls.pp:
	
	* added nwcalls.pp

2005-01-14 21:59  armin

	* rtl/netwlibc/dos.pp:
	
	* forgot to remove debug output in fsearch

2005-01-14 21:55  jonas <jonas.maebe@rug.ac.be>

	* rtl/darwin/: Makefile, Makefile.fpc:
	
	  * fixed missing dependencies

2005-01-14 18:06  jonas <jonas.maebe@rug.ac.be>

	* rtl/darwin/: Makefile, Makefile.fpc:
	
	  * enabled compilation of dynlibs, since it's now required for the
	    packages (ibase60)

2005-01-14 13:59  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/: sysconst.pp, sysutils/diskh.inc,
	sysutils/sysutils.inc:
	
	+ Implemented ForceDirectories for Delphi compatibility

2005-01-12 21:17  florian <florian@freepascal.org>

	* rtl/objpas/math.pp:
	
	  * generic arctan2 for 3rd and 4th quadrand fixed

2005-01-12 11:25  armin

	* rtl/: go32v2/mouse.pp, win32/mouse.pp:
	
	* Patch for bug 3548 from Peter

2005-01-12 09:03  karoly

	* rtl/morphos/: system.pp, sysutils.pp:
	
	  * Few more Sysutils functions implemented

2005-01-12 08:59  karoly

	* rtl/morphos/: doslibd.inc, execd.inc, doslibf.inc:
	
	  * Integers changed to SmallInt to be compatible with all modes

2005-01-11 19:45  armin

	* rtl/: netware/Makefile, netware/Makefile.fpc, netwlibc/Makefile,
	netwlibc/Makefile.fpc:
	
	* added ctypes

2005-01-11 18:44  karoly

	* rtl/morphos/doslibf.inc:
	
	  * some updates for sysutils

2005-01-11 18:44  karoly

	* rtl/morphos/sysutils.pp:
	
	  * basic file I/O implemented

2005-01-11 18:43  karoly

	* rtl/morphos/system.pp:
	
	  * some cleanup, more sanity checks and updates for sysutils

2005-01-11 18:07  peter <peter@freepascal.org>

	* rtl/: Makefile, amiga/Makefile, beos/Makefile, darwin/Makefile,
	emx/Makefile, freebsd/Makefile, go32v2/Makefile, linux/Makefile,
	macos/Makefile, morphos/Makefile, netbsd/Makefile,
	netware/Makefile, netwlibc/Makefile, openbsd/Makefile,
	os2/Makefile, watcom/Makefile, win32/Makefile:
	
	  * regenerated

2005-01-11 12:32  armin

	* rtl/netware/dos.pp:
	
	* fixed compile error in getenv

2005-01-11 00:34  armin

	* rtl/netwlibc/video.pp:
	
	* code cleanup

2005-01-10 23:49  armin

	* rtl/: Makefile, Makefile.fpc, netware/Makefile,
	netwlibc/Makefile:
	
	* updated makefile.fpc versions to 1.9.7, regenerated makefiles

2005-01-10 22:29  peter <peter@freepascal.org>

	* rtl/: Makefile, amiga/Makefile, beos/Makefile, darwin/Makefile,
	emx/Makefile, freebsd/Makefile, go32v2/Makefile, linux/Makefile,
	macos/Makefile, morphos/Makefile, netbsd/Makefile,
	netware/Makefile, netwlibc/Makefile, openbsd/Makefile,
	os2/Makefile, watcom/Makefile, win32/Makefile:
	
	  * regenerated to use cpu-os

2005-01-10 21:32  hajny <xhajt03@mbox.vol.cz>

	* rtl/amiga/: Makefile, Makefile.fpc:
	
	  + ctypes added

2005-01-10 21:28  hajny <xhajt03@mbox.vol.cz>

	* rtl/: emx/Makefile, emx/Makefile.fpc, go32v2/Makefile,
	go32v2/Makefile.fpc, watcom/Makefile, watcom/Makefile.fpc:
	
	  + ctypes added

2005-01-10 11:44  marco <marcov@stack.nl>

	* rtl/os2/: Makefile, Makefile.fpc:
	
	 * ctypes update

2005-01-10 11:41  marco <marcov@stack.nl>

	* rtl/: freebsd/Makefile, freebsd/Makefile.fpc, win32/Makefile,
	win32/Makefile.fpc:
	
	 * ctypes update

2005-01-10 11:33  marco <marcov@stack.nl>

	* rtl/: darwin/Makefile, darwin/Makefile.fpc, linux/Makefile,
	linux/Makefile.fpc:
	
	 * ctypes update

2005-01-10 11:32  marco <marcov@stack.nl>

	* rtl/inc/ctypes.pp:
	
	 * initial version

2005-01-10 07:17  karoly

	* rtl/morphos/Makefile:
	
	  * regenned

2005-01-10 07:15  karoly

	* rtl/morphos/Makefile.fpc:
	
	  * fixed creation of get9 unit

2005-01-10 06:16  karoly

	* rtl/morphos/Makefile:
	
	  * regenned

2005-01-10 06:12  karoly

	* rtl/morphos/Makefile.fpc:
	
	  + unit get9 added

2005-01-10 05:58  karoly

	* rtl/morphos/doslibd.inc:
	
	  * fixed alignment problem in TDosList

2005-01-09 14:20  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/classes/classesh.inc:
	
	+ Made get/set position and size of TStream virtual/protected

2005-01-09 14:15  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/classes/: classesh.inc, streams.inc:
	
	+ Added TOwnerStream

2005-01-09 11:38  florian <florian@freepascal.org>

	* rtl/inc/astrings.inc:
	
	  * replaced CompareChar by CompareByte, saves one redirection

2005-01-08 21:43  florian <florian@freepascal.org>

	* rtl/inc/: rtti.inc, variant.inc:
	
	  + init/cleaning code for variants added

2005-01-08 17:26  florian <florian@freepascal.org>

	* rtl/inc/variants.pp:
	
	  * fixed previous commit

2005-01-08 17:19  florian <florian@freepascal.org>

	* rtl/: inc/variants.pp, objpas/varutils.inc:
	
	  * made some variants stuff more readable

2005-01-08 15:43  florian <florian@freepascal.org>

	* rtl/win32/wininc/struct.inc:
	
	  + added LOGFONTW

2005-01-08 15:39  florian <florian@freepascal.org>

	* rtl/win32/wininc/struct.inc:
	
	  * DEVMODE fixed

2005-01-07 22:15  florian <florian@freepascal.org>

	* rtl/inc/: compproc.inc, variant.inc, variants.pp:
	
	  + basic rtl support for variant <-> interface implemented

2005-01-07 19:59  florian <florian@freepascal.org>

	* rtl/win32/keyboard.pp:
	
	  * AltGr fixed

2005-01-06 14:39  florian <florian@freepascal.org>

	* rtl/inc/compproc.inc:
	
	  * widecharray patch from Peter

2005-01-06 14:31  florian <florian@freepascal.org>

	* rtl/inc/wstrings.inc:
	
	  * widecharray patch from Peter

2005-01-06 14:02  florian <florian@freepascal.org>

	* rtl/arm/math.inc:
	
	  * arctan, sin and cos are done in software on the arm

2005-01-06 09:28  karoly

	* rtl/morphos/get9.pas:
	
	  * initial revision

2005-01-05 23:43  armin

	* rtl/netware/: Makefile, Makefile.fpc, unicode.imp:
	
	* added unicode.imp

2005-01-05 16:59  florian <florian@freepascal.org>

	* rtl/arm/arm.inc:
	
	  + added nostackframe directive to get_frame

2005-01-05 16:21  florian <florian@freepascal.org>

	* rtl/arm/arm.inc:
	
	  * fillchar fixed; it's used now

2005-01-04 17:47  florian <florian@freepascal.org>

	* rtl/objpas/math.pp:
	
	  * compilation on ARM fixed

2005-01-04 17:46  florian <florian@freepascal.org>

	* rtl/arm/arm.inc:
	
	  + correct setting of FPU exception mask

2005-01-04 17:22  florian <florian@freepascal.org>

	* rtl/arm/setjump.inc:
	
	  + added nostackframe directive

2005-01-04 15:13  florian <florian@freepascal.org>

	* rtl/linux/arm/syscall.inc:
	
	  * fixed error handling of system calls

2005-01-04 13:57  florian <florian@freepascal.org>

	* rtl/arm/int64p.inc:
	
	  * fixed overflow checking for qword*qword

2005-01-04 12:25  armin

	* rtl/: netware/Makefile, netware/Makefile.fpc, netware/nwserv.pp,
	netware/nwsnut.pp, netwlibc/Makefile, netwlibc/Makefile.fpc,
	netwlibc/libc.pp, netwlibc/system.pp, netwlibc/sysutils.pp:
	
	* rtl code cleanup, compat fixes between clib and libc

2005-01-04 02:17  karoly

	* rtl/morphos/Makefile:
	
	  * regenned

2005-01-04 02:08  karoly

	* rtl/morphos/Makefile.fpc:
	
	  * clipboard unit added

2005-01-03 19:16  peter <peter@freepascal.org>

	* rtl/win32/crt.pp:
	
	fix clrscr with windowsize<>screensize fix cursorbig

2005-01-03 19:15  peter <peter@freepascal.org>

	* rtl/go32v2/mouse.pp:
	
	save ebx in assembler procs

2005-01-02 16:50  olle

	* rtl/macos/README:
	
	  * Moved all info in this file to Wiki page, redirection info
	added.

2005-01-01 21:31  olle

	* rtl/inc/dos.inc:
	
	  + hack again to make macos compile

2005-01-01 21:26  olle

	* rtl/macos/MPWmake:
	
	  + added creation of output dirs, if needed

2005-01-01 19:45  marco <marcov@stack.nl>

	* rtl/objpas/strutils.pp:
	
	 * rpos and rposex, both two versions

2005-01-01 19:34  florian <florian@freepascal.org>

	* rtl/arm/math.inc:
	
	  * fixed building

2005-01-01 18:39  armin

	* rtl/netwlibc/: Makefile, Makefile.fpc:
	
	* removed DEBUG_MT

2004-12-31 15:27  marco <marcov@stack.nl>

	* rtl/unix/oscdeclh.inc:
	
	 * fpumask

2004-12-30 23:28  hajny <xhajt03@mbox.vol.cz>

	* rtl/: Makefile, Makefile.fpc:
	
	  * version 1.9.6

2004-12-30 19:12  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/strutils.pp:
	
	+ Fix for extractdelimited

2004-12-30 19:11  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/typinfo.pp:
	
	+ Fix for WideString props

2004-12-30 14:06  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/dateutil.inc:
	
	+ Fixed DecodeDayOfWeekInMonth

2004-12-30 13:52  marco <marcov@stack.nl>

	* rtl/freebsd/signal.inc:
	
	 * tsignalhandler added"

2004-12-30 12:57  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/dateutil.inc:
	
	+ Fixed tryencodedatemonthweek, fixed recodedatetime milliseconds

2004-12-29 20:10  hajny <xhajt03@mbox.vol.cz>

	* rtl/inc/dos.inc:
	
	  * more generic fix for DriveSeparator = DirectorySeparator

2004-12-29 19:31  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/dateutil.inc:
	
	* Fixed EndOfADay

2004-12-29 19:28  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/dateutil.inc:
	
	* Fixed StartOfADay

2004-12-29 14:01  armin

	* rtl/: netware/nwserv.pp, netware/README, netwlibc/libc.pp:
	
	* made commandParser more compatible between clib and libc

2004-12-28 22:56  olle

	* rtl/macos/MPWmake:
	
	  + first version

2004-12-28 22:50  olle

	* rtl/inc/dos.inc:
	
	  * hack to make macos compile

2004-12-28 16:30  florian <florian@freepascal.org>

	* rtl/: linux/termios.inc, objpas/typinfo.pp, unix/video.pp:
	
	  * fixed raw mode for non i386 targets
	  * fixed some alignment issues

2004-12-28 15:20  marco <marcov@stack.nl>

	* rtl/: inc/thread.inc, inc/threadh.inc,
	objpas/classes/classes.inc, unix/cthreads.pp, win32/systhrds.pp:
	
	 * tthread patch from neli

2004-12-28 13:46  florian <florian@freepascal.org>

	* rtl/unix/keyboard.pp:
	
	  * uses now CFMakeRaw

2004-12-28 13:45  florian <florian@freepascal.org>

	* rtl/linux/termiosproc.inc:
	
	  * fixed CFMakeRaw

2004-12-28 09:54  marco <marcov@stack.nl>

	* rtl/objpas/classes/classes.inc:
	
	 * ifndef ver1_0 around systhrds

2004-12-28 02:33  olle

	* rtl/macos/: macostp.inc, dos.pp:
	
	  * minor fix

2004-12-27 23:26  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/keyboard.pp:
	
	  * SysGetShiftState fixed

2004-12-27 23:25  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/dos.pas:
	
	  * FSearch must skip invalid paths

2004-12-27 19:44  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/video.pp:
	
	  * fix for SIGSEGV when switching to higher resolution

2004-12-27 17:16  florian <florian@freepascal.org>

	* rtl/objpas/typinfo.pp:
	
	  * another alignment fix

2004-12-27 17:12  florian <florian@freepascal.org>

	* rtl/objpas/classes/reader.inc:
	
	  * fixed record alignment of field info

2004-12-27 16:28  marco <marcov@stack.nl>

	* rtl/: inc/thread.inc, inc/threadh.inc,
	objpas/classes/classes.inc, objpas/classes/classesh.inc,
	unix/cthreads.pp:
	
	 * checksynchronize now in interface win32 uses the default impl.
	     unix uses systhrds, rest empty implementation.

2004-12-27 15:05  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/classes/lists.inc:
	
	+ Patch to raise exception when capacity set to value smaller than
	count. From Dean Zobec

2004-12-27 14:51  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/classes/: classesh.inc, reader.inc, writer.inc:
	
	+ Patch for localization of string properties

2004-12-26 17:15  peter <peter@freepascal.org>

	* rtl/unix/crt.pp:
	
	  * restore rawmode only if not redirected

2004-12-26 14:46  peter <peter@freepascal.org>

	* rtl/win32/: systhrds.pp, tthread.inc:
	
	  * tthread uses systhrds

2004-12-26 14:04  peter <peter@freepascal.org>

	* rtl/objpas/sysutils/sysstr.inc:
	
	  * fix bugs 3477, 3478, 3479

2004-12-26 13:22  peter <peter@freepascal.org>

	* rtl/unix/video.pp:
	
	  * cursorx,cursory 0 based, fixes 3468

2004-12-25 12:50  florian <florian@freepascal.org>

	* rtl/x86_64/x86_64.inc:
	
	  * sse instructions should mask overflow by default

2004-12-24 13:38  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/classes/: classesh.inc, lists.inc:
	
	New method raiseIndexError

2004-12-24 12:10  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/classes/lists.inc:
	
	  * Exception in sub to avoid extra try/finally frame

2004-12-23 21:58  peter <peter@freepascal.org>

	* rtl/inc/thread.inc:
	
	  * fix rtlcreateevent

2004-12-23 21:20  michael <michael.vancanneyt@wisa.be>

	* rtl/unix/cthreads.pp:
	
	+ Fixed tmt1 test bug

2004-12-23 19:32  marco <marcov@stack.nl>

	* rtl/inc/socketsh.inc:
	
	 * cdecl stuff removed. Now works on FreeBSD with and without
	FPC_USE_LIBC

2004-12-23 18:27  peter <peter@freepascal.org>

	* rtl/go32v2/mouse.pp:
	
	never use ret direct in assembler

2004-12-23 16:08  marco <marcov@stack.nl>

	* rtl/: freebsd/classes.pp, freebsd/tthread.inc, inc/thread.inc,
	inc/threadh.inc, linux/classes.pp, linux/tthread.inc,
	objpas/classes/classesh.inc, unix/cthreads.pp:
	
	 * 2nd synchronize attempt. cthreads<->systhrds difference was not
	ok, but
	   only showed on make install should be fixed now.

2004-12-23 10:42  marco <marcov@stack.nl>

	* rtl/: freebsd/classes.pp, freebsd/tthread.inc, linux/classes.pp,
	linux/tthread.inc, objpas/classes/classesh.inc, win32/classes.pp,
	win32/tthread.inc:
	
	 * first tthread.synchronize support (merged neli's patches)

2004-12-22 22:29  marco <marcov@stack.nl>

	* rtl/: darwin/pthread.inc, freebsd/Makefile, freebsd/pthread.inc,
	inc/thread.inc, inc/threadh.inc, unix/cthreads.pp,
	win32/systhrds.pp:
	
	 * rtlevent kraam. Checked (compile): Linux, FreeBSD, Darwin,
	Windows
		Check work: ask Neli.

2004-12-22 16:29  peter <peter@freepascal.org>

	* rtl/win32/video.pp:
	
	  * always restore original window/buffersize for the console at
	exit

2004-12-22 14:53  marco <marcov@stack.nl>

	* rtl/unix/: oscdeclh.inc, unxdeclh.inc:
	
	 * fpgettimeofday moved from baseunix to unix

2004-12-21 15:36  marco <marcov@stack.nl>

	* rtl/inc/socketsh.inc:
	
	 * more maybelibc removal

2004-12-21 10:48  michael <michael.vancanneyt@wisa.be>

	* rtl/: inc/socketsh.inc, unix/sockets.pp:
	
	+ Removed maybelibc macro

2004-12-20 19:38  peter <peter@freepascal.org>

	* rtl/: Makefile, amiga/Makefile, beos/Makefile, darwin/Makefile,
	emx/Makefile, freebsd/Makefile, go32v2/Makefile, linux/Makefile,
	macos/Makefile, morphos/Makefile, netbsd/Makefile,
	netware/Makefile, netwlibc/Makefile, openbsd/Makefile,
	os2/Makefile, watcom/Makefile, win32/Makefile:
	
	  * regenerated

2004-12-19 22:39  peter <peter@freepascal.org>

	* rtl/objpas/classes/: classes.inc, reader.inc:
	
	  * 1.0.x compile fixes

2004-12-19 19:03  michael <michael.vancanneyt@wisa.be>

	* rtl/: objpas/sysutils/filutilh.inc, unix/sysutils.pp:
	
	+ Added mode field to TSearchRec for Kylix compatibility

2004-12-19 18:55  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/sysutils/: sysstr.inc, sysstrh.inc:
	
	+ Implemented wraptext

2004-12-19 18:42  peter <peter@freepascal.org>

	* rtl/: Makefile, amiga/Makefile, beos/Makefile, darwin/Makefile,
	emx/Makefile, freebsd/Makefile, go32v2/Makefile, linux/Makefile,
	macos/Makefile, morphos/Makefile, netbsd/Makefile,
	netware/Makefile, netwlibc/Makefile, openbsd/Makefile,
	os2/Makefile, watcom/Makefile, win32/Makefile:
	
	  * regenerated

2004-12-19 16:31  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/classes/: classes.inc, parser.inc, reader.inc,
	stringl.inc, writer.inc:
	
	+ Fixed bug 3374, streaming of widestring

2004-12-19 14:45  peter <peter@freepascal.org>

	* rtl/inc/heap.inc:
	
	  * fixed overflow when reusing a memory block for fixed size
	chunks

2004-12-18 21:22  hajny <xhajt03@mbox.vol.cz>

	* rtl/go32v2/sysutils.pp:
	
	  * FileOpen fixes for DR-DOS, resourcestring in ExecuteProcess,
	implementation of Sleep changed to give up timeslices

2004-12-18 21:05  michael <michael.vancanneyt@wisa.be>

	* rtl/win32/wininc/objbase.inc:
	
	  * Aliased CoCreateStandardMalloc to CoGetMalloc as per bug 3447
	(Alexey Barkovoy)

2004-12-18 21:00  michael <michael.vancanneyt@wisa.be>

	* rtl/win32/wininc/: redef.inc, struct.inc, unidef.inc, unifun.inc:
	
	Fixed widestring version of getversionex as per bug 3440 (Alexey
	Barkovoy)

2004-12-18 20:53  michael <michael.vancanneyt@wisa.be>

	* rtl/inc/keybrdh.inc:
	
	+ Added windows key definitions (bug 3445)

2004-12-18 20:49  michael <michael.vancanneyt@wisa.be>

	* rtl/win32/wininc/defines.inc:
	
	+ Added windows key VK_ definitions from Alexey barkovoy (bug 3445)

2004-12-18 17:29  michael <michael.vancanneyt@wisa.be>

	* rtl/unix/dos.pp:
	
	+ Patch from Michalis Kamburelis so FSearch does not find a
	directory

2004-12-16 13:42  armin

	* rtl/: netware/clib.imp, netware/nwserv.pp, netware/sysutils.pp,
	netwlibc/libc.pp, netwlibc/netware.imp, netwlibc/sysutils.pp:
	
	* added NetWare Alert * added sysutils.sleep

2004-12-15 18:03  peter <peter@freepascal.org>

	* rtl/inc/dos.inc:
	
	  * fixed overflow

2004-12-15 13:01  armin

	* rtl/netware/: Makefile, Makefile.fpc:
	
	* mouse was included twice

2004-12-14 22:01  karoly

	* rtl/morphos/system.pp:
	
	  * GetProcessID implemented

2004-12-14 20:23  armin

	* rtl/netwlibc/: Makefile, Makefile.fpc, sysutils.pp:
	
	* dont copy imp files with a rule because this always builds
	system.pp * implemented GetEnvironmentVariableCount and
	GetEnvironmentString * removed dependency from dos unit

2004-12-14 20:17  armin

	* rtl/netware/: Makefile, Makefile.fpc:
	
	* variants added * dont copy the impfiles with a rule, this would
	always build system.ppu

2004-12-12 22:08  hajny <xhajt03@mbox.vol.cz>

	* rtl/emx/system.pas:
	
	  * ThreadID is shared

2004-12-12 17:45  florian <florian@freepascal.org>

	* rtl/inc/variants.pp:
	
	  + some stuff for -<variant> implemented

2004-12-12 15:30  peter <peter@freepascal.org>

	* rtl/: inc/threadh.inc, linux/tthread.inc,
	linux/x86_64/syscall.inc, unix/cthreads.pp, x86_64/math.inc:
	
	  * x86_64 updates

2004-12-12 13:41  peter <peter@freepascal.org>

	* rtl/x86_64/: math.inc, strings.inc:
	
	  * updated for latest rtl changes

2004-12-12 13:39  peter <peter@freepascal.org>

	* rtl/inc/generic.inc:
	
	  * missing typecast in indexchar0

2004-12-12 12:53  florian <florian@freepascal.org>

	* rtl/win32/system.pp:
	
	  * remove inline assembler for calling asm_exit

2004-12-11 18:32  hajny <xhajt03@mbox.vol.cz>

	* rtl/: emx/sysutils.pp, os2/sysutils.pp:
	
	  * GetEnvironmentVariableCount uses EnvC under OS/2 and EMX

2004-12-11 12:48  michael <michael.vancanneyt@wisa.be>

	* rtl/win32/sysutils.pp:
	
	+ Some fixes in new envvar function

2004-12-11 12:32  michael <michael.vancanneyt@wisa.be>

	* rtl/: beos/sysutils.pp, emx/sysutils.pp, go32v2/sysutils.pp,
	macos/sysutils.pp, morphos/sysutils.pp, netware/sysutils.pp,
	netwlibc/sysutils.pp, os2/sysutils.pp, unix/sysutils.pp,
	watcom/sysutils.pp, win32/sysutils.pp, objpas/sysutils/osutil.inc,
	objpas/sysutils/osutilsh.inc:
	
	+ Added GetEnvironmentVariableCount and GetEnvironmentString calls

2004-12-10 13:50  karoly

	* rtl/morphos/: exec.pp, doslib.pp:
	
	  * more ugly workarounds until compiler gets updated

2004-12-08 03:28  karoly

	* rtl/morphos/clipboard.pas:
	
	  * initial revision

2004-12-07 21:32  karoly

	* rtl/morphos/Makefile:
	
	 * Regenned to support intuition

2004-12-07 21:31  karoly

	* rtl/morphos/Makefile.fpc:
	
	  + added missing intuition unit

2004-12-07 21:27  karoly

	* rtl/morphos/Makefile:
	
	 * Regenned to support new units

2004-12-07 21:24  karoly

	* rtl/morphos/Makefile.fpc:
	
	  + added more units

2004-12-07 21:07  karoly

	* rtl/morphos/layers.pas:
	
	  + added missing InitLayersLibrary helper

2004-12-07 20:30  karoly

	* rtl/morphos/intuition.pas:
	
	  * initial revision

2004-12-07 19:55  karoly

	* rtl/morphos/layers.pas:
	
	  * initial revision

2004-12-07 15:13  armin

	* rtl/netwlibc/libc.pp:
	
	* added syncobj for netwlibc

2004-12-07 15:02  jonas <jonas.maebe@rug.ac.be>

	* rtl/go32v2/: dpmiexcp.pp, system.pp:
	
	  * fix cdecl name problems (patch from Tomas)

2004-12-07 14:35  karoly

	* rtl/morphos/dos.pp:
	
	  * more cleanup in FindFirst/FindNext
	  * implemented FindClose, no more leaking of file locks

2004-12-07 12:40  armin

	* rtl/netwlibc/: Makefile, Makefile.fpc, libc.pp, system.pp:
	
	* implemented GetProcessId, defined TimeVal and TimeZone in
	addition to TTimeVal, TTimeZone, Makefile defaults to
	binutilsprefix i386-netware

2004-12-07 12:04  armin

	* rtl/netware/: nwsys.inc, system.pp:
	
	* fixed GetProcessId

2004-12-07 12:03  armin

	* rtl/netware/dos.pp:
	
	* fixed typo's

2004-12-07 11:07  karoly

	* rtl/morphos/system.pp:
	
	  * removed debug code accidentally left in

2004-12-07 10:55  karoly

	* rtl/morphos/system.pp:
	
	  * previous change broke PathConv, fixed

2004-12-06 23:11  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/sysutils.pp:
	
	  * one more fix for ExecuteProcess

2004-12-06 22:50  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/dos.pas:
	
	  * allow running any type of session from Exec

2004-12-06 22:33  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/: Makefile.fpc, Makefile:
	
	  * missing bracket

2004-12-06 21:09  karoly

	* rtl/morphos/system.pp:
	
	  * added a public alias to PathConv for use in DOS unit

2004-12-06 21:01  karoly

	* rtl/morphos/dos.pp:
	
	
	  * made it compile again after changes by Tomas
	  * cleaned up FindFirst mess (still more things to do, as usual)

2004-12-06 20:24  peter <peter@freepascal.org>

	* rtl/objpas/sysutils/sysutils.inc:
	
	add alias FPC_BREAK_UNHANDLED_EXCEPTION

2004-12-06 20:24  peter <peter@freepascal.org>

	* rtl/win32/: Makefile, Makefile.fpc:
	
	build order fix

2004-12-06 19:50  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/sysutils.pp:
	
	  * fix for ExecuteProcess

2004-12-06 13:27  michael <michael.vancanneyt@wisa.be>

	* rtl/win32/initc.pp:
	
	* fix __errno loading from cygwin1.dll (from Peter)

2004-12-05 22:09  florian <florian@freepascal.org>

	* rtl/inc/objpas.inc:
	
	  * fixed memory release in TInterfacedObject._Release

2004-12-05 22:04  hajny <xhajt03@mbox.vol.cz>

	* rtl/: beos/dos.pp, macos/dos.pp, unix/dos.pp:
	
	  * compilation fix for dosh.inc changes

2004-12-05 21:33  hajny <xhajt03@mbox.vol.cz>

	* rtl/: unix/dos.pp, beos/dos.pp, macos/dos.pp:
	
	  * compilation fix for dosh.inc changes

2004-12-05 20:33  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/sysutils.pp:
	
	  * ExecuteProcess update - run VIO apps in the same window

2004-12-05 20:26  hajny <xhajt03@mbox.vol.cz>

	* rtl/: Makefile, amiga/Makefile, beos/Makefile, darwin/Makefile,
	emx/Makefile, freebsd/Makefile, go32v2/Makefile, linux/Makefile,
	macos/Makefile, morphos/Makefile, netbsd/Makefile,
	netware/Makefile, netwlibc/Makefile, openbsd/Makefile,
	os2/Makefile, watcom/Makefile, win32/Makefile:
	
	  * Makefiles regenerated

2004-12-05 20:16  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/dos.pas:
	
	  * GetMsCount added, platform independent routines moved to single
	include file

2004-12-05 20:02  hajny <xhajt03@mbox.vol.cz>

	* rtl/inc/dosh.inc:
	
	  * GetMsCount added, platform independent routines moved to single
	include file

2004-12-05 19:57  hajny <xhajt03@mbox.vol.cz>

	* rtl/palmos/system.pp:
	
	  + GetProcessID added

2004-12-05 17:52  jonas <jonas.maebe@rug.ac.be>

	* rtl/objpas/math.pp:
	
	  * also invalid argument if trying to calculate 0^0 with
	intpower()

2004-12-05 17:44  hajny <xhajt03@mbox.vol.cz>

	* rtl/: amiga/dos.pp, beos/dos.pp, emx/dos.pas, go32v2/dos.pp,
	inc/dos.inc, macos/dos.pp, morphos/dos.pp, netware/dos.pp,
	netwlibc/dos.pp, unix/dos.pp, watcom/dos.pp, win32/dos.pp:
	
	  * GetMsCount added, platform independent routines moved to single
	include file

2004-12-05 17:43  jonas <jonas.maebe@rug.ac.be>

	* rtl/: inc/genmath.inc, objpas/math.pp:
	
	  * fixed power() in genmath.inc (code duplication from math.pp for
	**
	    support!)
	  * fixed power() in math.pp to give an error from 0^0

2004-12-05 17:43  hajny <xhajt03@mbox.vol.cz>

	* rtl/beos/: dos.inc, dos_beos.inc:
	
	  * dos.inc renamed to dos_beos.inc

2004-12-05 15:36  hajny <xhajt03@mbox.vol.cz>

	* rtl/: atari/system.pas, beos/system.pp, bsd/system.pp,
	emx/system.pas, go32v2/system.pp, inc/system.inc, inc/systemh.inc,
	linux/system.pp, macos/system.pp, morphos/system.pp,
	netware/system.pp, netwlibc/system.pp, os2/system.pas,
	watcom/system.pp, win32/system.pp:
	
	  + GetProcessID added

2004-12-05 13:43  florian <florian@freepascal.org>

	* rtl/inc/variants.pp:
	
	  * wrapper for dyn. array <-> variant type cast implemented

2004-12-05 13:41  michael <michael.vancanneyt@wisa.be>

	* rtl/inc/generic.inc:
	
	+ Fixed IndexChar0

2004-12-05 12:49  florian <florian@freepascal.org>

	* rtl/inc/: compproc.inc, variant.inc:
	
	  * implemented helper for variant<->dyn. array type cast

2004-12-05 12:21  hajny <xhajt03@mbox.vol.cz>

	* rtl/: amiga/printer.pp, go32v2/printer.pp, inc/printer.inc,
	inc/printerh.inc, os2/printer.pas, unix/printer.pp,
	win32/printer.pp:
	
	  * common implementation of unit printer - fix for bug 3421

2004-12-05 00:38  florian <florian@freepascal.org>

	* rtl/objpas/math.pp:
	
	  * fixed power(float,float) for negative exponents

2004-12-02 19:24  marco <marcov@stack.nl>

	* rtl/: bsd/baseunix.pp, linux/baseunix.pp, unix/dos.pp,
	unix/settimeo.inc:
	
	 * fpsettimeofday.

2004-12-02 18:56  peter <peter@freepascal.org>

	* rtl/inc/astrings.inc:
	
	  * prevent crash when appending empty string

2004-12-02 16:11  marco <marcov@stack.nl>

	* rtl/bsd/baseunix.pp:
	
	 * initial settimeofday

2004-12-02 12:23  marco <marcov@stack.nl>

	* rtl/linux/ostypes.inc:
	
	 * tz_ added to ttimezoen fields

2004-12-02 12:22  marco <marcov@stack.nl>

	* rtl/bsd/ostypes.inc:
	
	 * tz_ prefixed for timezone

2004-12-02 09:11  marco <marcov@stack.nl>

	* rtl/inc/mathh.inc:
	
	 * patch from peter.

2004-12-01 11:34  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/sysutils/sysstr.inc:
	
	+ Patch from Pete: Dont support widestrings when compiled with
	1.0.x and  Add additional typecasts to Widestring for
	widechar/pwidechar

2004-11-30 21:56  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/sysutils/sysstr.inc:
	
	+ Fix from Alexey Barkovoy for bug 3302

2004-11-29 21:39  peter <peter@freepascal.org>

	* rtl/go32v2/dpmiexcp.pp:
	
	fixed compilation

2004-11-29 20:17  michael <michael.vancanneyt@wisa.be>

	* rtl/: COPYING, COPYING.FPC:
	
	+ Made license more clear, upgraded to LGPL 2.1

2004-11-29 13:27  marco <marcov@stack.nl>

	* rtl/win32/wininc/objbase.inc:
	
	 * stdcall added. Thnx M.

2004-11-28 16:27  marco <marcov@stack.nl>

	* rtl/win32/wininc/base.inc:
	
	 * PRESULT added

2004-11-28 13:37  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/doscalls.pas:
	
	  * additional sv* constants and their aliases

2004-11-28 13:33  hajny <xhajt03@mbox.vol.cz>

	* rtl/inc/dos.inc:
	
	  * common implementation of platform independent functions for
	unit Dos

2004-11-26 23:26  peter <peter@freepascal.org>

	* rtl/inc/systemh.inc:
	
	  * internconst for ptr()

2004-11-26 23:22  peter <peter@freepascal.org>

	* rtl/inc/heap.inc:
	
	  * fix currheapused

2004-11-26 14:03  armin

	* rtl/: Makefile, amiga/Makefile, beos/Makefile, darwin/Makefile,
	emx/Makefile, freebsd/Makefile, go32v2/Makefile, linux/Makefile,
	macos/Makefile, morphos/Makefile, netbsd/Makefile,
	netware/Makefile, netwlibc/Makefile, os2/Makefile, win32/Makefile:
	
	* applied peters patch for cross compile (bin installation)

2004-11-25 21:06  jonas <jonas.maebe@rug.ac.be>

	* rtl/go32v2/dpmiexcp.pp:
	
	  * fixes from Tomas

2004-11-25 18:37  jonas <jonas.maebe@rug.ac.be>

	* rtl/go32v2/system.pp:
	
	  * fixed some C-linking problems (the C-prefix is now always added
	to
	    cdecl external functions, also if you define the name
	explicitly)

2004-11-25 13:38  armin

	* rtl/netwlibc/: Makefile, system.pp:
	
	* adapted to new compiler check for externals

2004-11-25 13:32  armin

	* rtl/netware/: Makefile, nwsys.inc, system.pp:
	
	* adapted to new compiler check for externals

2004-11-25 13:18  jonas <jonas.maebe@rug.ac.be>

	* rtl/unix/bunxovl.inc:
	
	  * fixed invalid type conversion

2004-11-24 23:27  florian <florian@freepascal.org>

	* rtl/objpas/typinfo.pp:
	
	  * fixed tpropdata record

2004-11-23 14:33  jonas <jonas.maebe@rug.ac.be>

	* rtl/unix/oscdeclh.inc:
	
	  + getcwd declaration

2004-11-23 09:40  michael <michael.vancanneyt@wisa.be>

	* rtl/unix/: bunxovl.inc, bunxovlh.inc:
	
	+ Added overloaded functions

2004-11-23 03:57  karoly

	* rtl/morphos/dos.pp:
	
	  * Fixed missing $INLINE

2004-11-22 23:48  michael <michael.vancanneyt@wisa.be>

	* rtl/inc/: system.fpd, systemh.inc:
	
	+ Added phony documentation declarations

2004-11-22 23:26  peter <peter@freepascal.org>

	* rtl/inc/heap.inc:
	
	  * typo for GetHeapStatus

2004-11-22 20:34  peter <peter@freepascal.org>

	* rtl/inc/: cmem.pp, heap.inc, heaph.inc, heaptrc.pp, objects.pp:
	
	  * GetHeapStatus added, removed MaxAvail,MemAvail,HeapSize

2004-11-22 06:53  marco <marcov@stack.nl>

	* rtl/objpas/sysutils/sysstr.inc:
	
	 * fixed little 1.0.xism

2004-11-21 22:14  peter <peter@freepascal.org>

	* rtl/inc/cmem.pp:
	
	  * Freemem(p,0) does nothing

2004-11-21 20:33  marco <marcov@stack.nl>

	* rtl/objpas/sysutils/sysstr.inc:
	
	 * %x 64-bit support

2004-11-21 20:11  peter <peter@freepascal.org>

	* rtl/sparc/: math.inc, sparc.inc:
	
	  * fix bootstrapping

2004-11-21 18:49  marco <marcov@stack.nl>

	* rtl/bsd/sysctl.pp:
	
	 * libc fixes

2004-11-21 17:44  marco <marcov@stack.nl>

	* rtl/objpas/sysutils/sysstr.inc:
	
	 * %u

2004-11-21 17:41  florian <florian@freepascal.org>

	* rtl/i386/int64p.inc:
	
	  * fixed div by zero check for qword mod qword

2004-11-21 17:33  peter <peter@freepascal.org>

	* rtl/i386/: strings.inc, stringss.inc:
	
	  * external fixes

2004-11-21 17:14  jonas <jonas.maebe@rug.ac.be>

	* rtl/: inc/cgenmath.inc, inc/cgenstr.inc, inc/compproc.inc,
	inc/system.inc, powerpc/math.inc:
	
	  * fixed remaining compilation problems

2004-11-21 16:35  peter <peter@freepascal.org>

	* rtl/: i386/math.inc, inc/cgenmath.inc, inc/compproc.inc,
	inc/genmath.inc, inc/genstr.inc, inc/genstrs.inc, inc/innr.inc,
	inc/mathh.inc, inc/strings.pp, objpas/sysutils/syspchh.inc,
	powerpc/int64p.inc, powerpc/math.inc, powerpc/strings.inc,
	powerpc/stringss.inc, sparc/math.inc, sparc/sparc.inc:
	
	  * float routines all use internproc and compilerproc helpers

2004-11-21 16:24  marco <marcov@stack.nl>

	* rtl/win32/mouse.pp:
	
	 * fix for bug 2246, zero events surpressed by moving compression
	into handler

2004-11-21 15:45  hajny <xhajt03@mbox.vol.cz>

	* rtl/inc/fexpand.inc:
	
	  + MacOS support

2004-11-21 14:26  marco <marcov@stack.nl>

	* rtl/win32/commctrl.pp:
	
	 * commctrl initial version. Not in makefile yet to give Lazarus
	time to adapt

2004-11-21 13:38  marco <marcov@stack.nl>

	* rtl/win32/keyboard.pp:
	
	 * altgr handling now gets OS information. Works for default
	layout, not for manually (tray) changed layouts

2004-11-21 12:28  peter <peter@freepascal.org>

	* rtl/unix/: bunxh.inc, gpm.pp, unix.pp:
	
	  * fixed bootstrap with 1.0.10 and 1.9.4

2004-11-20 16:49  jonas <jonas.maebe@rug.ac.be>

	* rtl/: inc/cgenmath.inc, inc/genmath.inc, inc/system.inc,
	powerpc/math.inc, powerpc/powerpc.inc:
	
	  * some compilation fixes for powerpc after all the internconst
	and
	    internproc changes, still crashes with internalerror(88) for
	ppc1
	    on real2str.inc(193,39)

2004-11-19 14:15  marco <marcov@stack.nl>

	* rtl/: bsd/baseunix.pp, bsd/bunxfunc.inc, bsd/ossysch.inc,
	linux/baseunix.pp, linux/bunxfunc.inc, linux/ossysch.inc,
	unix/bunxh.inc, unix/bunxovl.inc, unix/sysdeclh.inc,
	unix/terminfo.pp, unix/unix.pp:
	
	 * external rework. Mostly done.

2004-11-18 23:30  karoly

	* rtl/morphos/dos.pp:
	
	  * Some cleanup, leap year calculation fixed

2004-11-18 11:03  michael <michael.vancanneyt@wisa.be>

	* rtl/inc/mathh.inc:
	
	+ Patch from peter to fix pasjpeg compile

2004-11-17 23:19  peter <peter@freepascal.org>

	* rtl/: i386/i386.inc, i386/math.inc, inc/astrings.inc,
	inc/generic.inc, inc/innr.inc, inc/mathh.inc, inc/sstrings.inc,
	inc/system.inc, inc/systemh.inc, inc/text.inc, inc/wstrings.inc:
	
	internconst, internproc and some external declarations moved to
	interface

2004-11-16 22:18  karoly

	* rtl/morphos/graphics.pas:
	
	 * initial revision

2004-11-16 22:16  karoly

	* rtl/morphos/hardware.pas:
	
	 - removed IFDEF to allow graphics unit compile

2004-11-16 19:30  marco <marcov@stack.nl>

	* rtl/objpas/sysutils/: sysstr.inc, sysstrh.inc:
	
	 * updated ansiexctractquotedstring (more delphi compat, both
	interface and code)

2004-11-16 14:32  karoly

	* rtl/morphos/inputevent.pas:
	
	 * initial revision

2004-11-16 03:45  karoly

	* rtl/morphos/hardware.pas:
	
	 * Initial revision

2004-11-16 00:18  karoly

	* rtl/morphos/system.pp:
	
	 * Reworked path handling to be less messy

2004-11-15 22:12  marco <marcov@stack.nl>

	* rtl/win32/wininc/func.inc:
	
	 * fix

2004-11-14 20:49  marco <marcov@stack.nl>

	* rtl/win32/wininc/func.inc:
	
	 * setlayeredwindowattributes (2000+) added.

2004-11-14 19:05  marco <marcov@stack.nl>

	* rtl/win32/wininc/func.inc:
	
	 * fillrect var -> const (bug 3268)

2004-11-14 16:10  marco <marcov@stack.nl>

	* rtl/unix/sysutils.pp:
	
	 * resolution of now increased to ms

2004-11-14 13:24  marco <marcov@stack.nl>

	* rtl/darwin/ptypes.inc:
	
	 * priority constants

2004-11-14 13:21  marco <marcov@stack.nl>

	* rtl/: bsd/baseunix.pp, bsd/bunxfunc.inc, bsd/bunxmain.inc,
	bsd/ossysc.inc, bsd/ossysch.inc, bsd/unxsysc.inc, bsd/unxsysch.inc,
	freebsd/ptypes.inc, freebsd/sysconst.inc, linux/baseunix.pp,
	linux/bunxfunc.inc, linux/ossysch.inc, linux/ptypes.inc,
	linux/sysconst.inc, linux/unxsysc.inc, linux/unxsysch.inc,
	unix/bunxh.inc, unix/bunxovl.inc, unix/bunxovlh.inc,
	unix/oscdeclh.inc, unix/unxdeclh.inc, unix/unxovl.inc,
	unix/unxovlh.inc:
	
	 * moved some calls from unix to baseunix. Darwin untested.

2004-11-10 00:10  peter <peter@freepascal.org>

	* rtl/inc/: compproc.inc, systemh.inc, text.inc:
	
	  * use helper call to retrieve address of input/output to reduce
	    code that is generated in the main program for loading the
	    threadvar

2004-11-09 15:20  marco <marcov@stack.nl>

	* rtl/win32/wininc/messages.inc:
	
	  * patch from vincent

2004-11-08 09:54  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/powerpc.inc:
	
	  * use "round to nearest" rounding mode again, just like C
	(affects
	    results of divisions as well)

2004-11-07 21:46  marco <marcov@stack.nl>

	* rtl/win32/wininc/: redef.inc, struct.inc, unidef.inc, unifun.inc:
	
	 * fix for 3299

2004-11-07 21:25  marco <marcov@stack.nl>

	* rtl/win32/wininc/: redef.inc, struct.inc, unidef.inc, unifun.inc:
	
	 * fixes for bug 3303 (devmodew)

2004-11-07 20:09  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/math.inc:
	
	  * use generic round, the ppc-specific one is buggy

2004-11-07 19:31  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/dynarr.inc:
	
	  * fixed getting pointer to nested dynarray types

2004-11-07 19:02  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/dynarr.inc:
	
	  * fixed pointer arithmetic errors

2004-11-07 01:30  florian <florian@freepascal.org>

	* rtl/linux/sparc/syscall.inc:
	
	  * more errno setting in sparc/linux mt programs fixed

2004-11-06 23:48  florian <florian@freepascal.org>

	* rtl/linux/sparc/: sighnd.inc, syscall.inc:
	
	  * fixed errno setting in mt sparc/linux mt programs

2004-11-06 21:06  peter <peter@freepascal.org>

	* rtl/unix/: gpm.pp, mouse.pp:
	
	  * mouse works again

2004-11-06 20:57  armin

	* rtl/netware/nwserv.pp:
	
	* added some fp* functions

2004-11-06 18:24  marco <marcov@stack.nl>

	* rtl/unix/sysutils.pp:
	
	 * getenv had ansistring as param due to {$H+} now shortstring.

2004-11-06 16:29  florian <florian@freepascal.org>

	* rtl/inc/dynarr.inc:
	
	  * fixed fpc_dynarry_copy for arm/sparc

2004-11-06 14:36  florian <florian@freepascal.org>

	* rtl/inc/generic.inc:
	
	  * fixed software longint mod operation

2004-11-05 22:36  florian <florian@freepascal.org>

	* rtl/linux/sparc/gprt0.as:
	
	  * initial implementation

2004-11-05 18:32  armin

	* rtl/: netware/Makefile, netware/Makefile.fpc, netwlibc/Makefile,
	netwlibc/Makefile.fpc:
	
	* copy imp files to new ppu directory

2004-11-05 14:15  florian <florian@freepascal.org>

	* rtl/linux/arm/cprt0.as:
	
	  * fixed label names

2004-11-05 14:02  marco <marcov@stack.nl>

	* rtl/objpas/sysutils/dati.inc:
	
	 * now correct proc patched

2004-11-05 14:01  florian <florian@freepascal.org>

	* rtl/linux/arm/crt0.as:
	
	  * wrong commit

2004-11-05 14:01  florian <florian@freepascal.org>

	* rtl/linux/arm/cprt0.as:
	
	  * initial implementation

2004-11-05 13:48  florian <florian@freepascal.org>

	* rtl/linux/arm/prt0.as:
	
	  * beautified

2004-11-05 13:47  florian <florian@freepascal.org>

	* rtl/linux/arm/crt0.as:
	
	  * inital implementation

2004-11-05 13:10  marco <marcov@stack.nl>

	* rtl/objpas/sysutils/dati.inc:
	
	 * fix for 3357, introducing some local vars.

2004-11-04 21:57  peter <peter@freepascal.org>

	* rtl/i386/strings.inc:
	
	fixed result of strlcopy

2004-11-04 18:15  peter <peter@freepascal.org>

	* rtl/win32/: Makefile, Makefile.fpc, initc.pp, wcygprt0.as:
	
	 * wcygprt is now used for cygwin (libc) linking, initc contains
	only cerrno

2004-11-04 11:21  peter <peter@freepascal.org>

	* rtl/win32/mouse.pp:
	
	GetMouse[X,Y,Buttons] based on LastMouseEvent

2004-11-04 10:32  peter <peter@freepascal.org>

	* rtl/: beos/system.pp, bsd/system.pp, emx/system.pas,
	go32v2/system.pp, inc/systemh.inc, linux/system.pp,
	macos/system.pp, morphos/system.pp, netware/system.pp,
	netwlibc/system.pp, os2/system.pas, watcom/system.pp,
	win32/initc.pp, win32/system.pp:
	
	ErrOutput added

2004-11-03 21:53  florian <florian@freepascal.org>

	* rtl/sparc/sparc.inc:
	
	  * get_frame fixed

2004-11-03 17:51  peter <peter@freepascal.org>

	* rtl/unix/: gpm.pp, mouse.pp:
	
	  * fixed valgrind issues

2004-11-03 16:00  marco <marcov@stack.nl>

	* rtl/: bsd/unxsysc.inc, bsd/unxsysch.inc, linux/unxsysc.inc,
	linux/unxsysch.inc, unix/unix.pp, unix/unxovl.inc,
	unix/unxovlh.inc:
	
	 * Pathstr eliminated

2004-11-03 13:24  peter <peter@freepascal.org>

	* rtl/linux/termios.inc:
	
	  * remove comment level 2 warning

2004-11-03 12:33  florian <florian@freepascal.org>

	* rtl/inc/objpas.inc:
	
	  * fixed dyn. array handling for 32 bit architectures requiering
	proper alignment

2004-11-03 11:54  florian <florian@freepascal.org>

	* rtl/inc/dynarr.inc:
	
	  * fixed dyn. array handling for 32 bit architectures requiering
	proper alignment

2004-11-03 11:22  florian <florian@freepascal.org>

	* rtl/inc/objpas.inc:
	
	  * info record about class fields must be packed else it will be
	aligned wrongly on 64 bit platforms

2004-11-03 11:03  peter <peter@freepascal.org>

	* rtl/linux/termiosproc.inc:
	
	  * fix isatty, ioctl returns 0 on success, but isatty needs to
	return 1

2004-11-03 00:53  peter <peter@freepascal.org>

	* rtl/inc/objects.pp:
	
	  * fixed crashes with ide and 1.9.x

2004-11-02 23:38  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/sstrings.inc:
	
	  * fixed endianess bug in fpc_val_int64_shortstr() (webtbf/tw2128)

2004-11-02 22:49  florian <florian@freepascal.org>

	* rtl/linux/x86_64/: cprt0.as, gprt0.as:
	
	  * x86_64 requires always 16 byte alignment of the stack

2004-11-02 21:41  florian <florian@freepascal.org>

	* rtl/linux/x86_64/gprt0.as:
	
	  * initial implementation

2004-11-02 21:06  peter <peter@freepascal.org>

	* rtl/go32v2/dxeload.pp:
	
	  * data too large

2004-11-02 17:23  peter <peter@freepascal.org>

	* rtl/go32v2/initc.pp:
	
	  * fixed data too large

2004-11-02 16:52  florian <florian@freepascal.org>

	* rtl/inc/rtti.inc:
	
	  * fixed rtti reading of arrays for 64 bit

2004-11-02 16:34  florian <florian@freepascal.org>

	* rtl/x86_64/strings.inc:
	
	  * fixed strcomp

2004-11-02 16:26  florian <florian@freepascal.org>

	* rtl/: i386/mathu.inc, i386/mathuh.inc, linux/x86_64/prt0.as,
	x86_64/mathu.inc, x86_64/mathuh.inc, x86_64/x86_64.inc:
	
	  * fixed sse exception handling

2004-11-02 15:49  florian <florian@freepascal.org>

	* rtl/: linux/osmain.inc, unix/bunxovl.inc:
	
	  * fixed baseunix.signal for CPU using rt_sigaction
	  * fixed it for x86_64 too

2004-11-02 14:59  marco <marcov@stack.nl>

	* rtl/unix/sysutils.pp:
	
	 * timezone stuff back to unix

2004-11-02 14:35  peter <peter@freepascal.org>

	* rtl/go32v2/system.pp:
	
	  * second try for data too large

2004-11-02 10:37  peter <peter@freepascal.org>

	* rtl/unix/gpm.pp:
	
	  * fixed uninitialzied local

2004-11-02 09:50  florian <florian@freepascal.org>

	* rtl/inc/generic.inc:
	
	  * changed maxlongint to high(sizeint)

2004-11-02 09:46  florian <florian@freepascal.org>

	* rtl/inc/generic.inc:
	
	  * fixed array sizes

2004-11-02 08:43  peter <peter@freepascal.org>

	* rtl/go32v2/system.pp:
	
	  * fix mem[] arrays

2004-11-01 21:37  florian <florian@freepascal.org>

	* rtl/: inc/threadvr.inc, x86_64/sysutilp.inc:
	
	  * fixed some x86-64 multithreading stuff

2004-11-01 21:31  florian <florian@freepascal.org>

	* rtl/x86_64/: sysutilp.inc, x86_64.inc:
	
	  * another fix for locked reference counting

2004-11-01 20:42  peter <peter@freepascal.org>

	* rtl/x86_64/setjump.inc:
	
	  * fixes for nostackframe

2004-11-01 20:39  peter <peter@freepascal.org>

	* rtl/inc/: sockets.inc, socketsh.inc:
	
	  * disable inline for 1.9.4

2004-11-01 20:10  florian <florian@freepascal.org>

	* rtl/x86_64/sysutilp.inc:
	
	  * Interlocked* fixed

2004-11-01 18:35  marco <marcov@stack.nl>

	* rtl/inc/socketsh.inc:
	
	 * typo fixed, aarght

2004-11-01 18:29  marco <marcov@stack.nl>

	* rtl/inc/: sockets.inc, socketsh.inc:
	
	 * inline problems fixed

2004-11-01 17:23  marco <marcov@stack.nl>

	* rtl/inc/: sockets.inc, socketsh.inc:
	
	 * htons etc

2004-11-01 17:00  florian <florian@freepascal.org>

	* rtl/x86_64/setjump.inc:
	
	  * setjmp must not have a stack frame else the offsets are wrong

2004-11-01 13:43  peter <peter@freepascal.org>

	* rtl/i386/i386.inc:
	
	  * shortstr compare with empty string fixed
	  * removed special i386 code

2004-11-01 08:10  peter <peter@freepascal.org>

	* rtl/unix/sysutils.pp:
	
	  * 1.0.x bootstrap fix

2004-10-31 23:25  olle

	* rtl/unix/sysutils.pp:
	
	  * Fix for FPC_USE_LIBC

2004-10-31 19:49  marco <marcov@stack.nl>

	* rtl/unix/settimeo.inc:
	
	 * cdecl for FPC_USE_LIBC

2004-10-31 18:11  marco <marcov@stack.nl>

	* rtl/unix/dos.pp:
	
	 * FPC_USE_LIBC fixes

2004-10-31 17:21  peter <peter@freepascal.org>

	* rtl/inc/astrings.inc:
	
	  * fix shortstr_to_ansistring for 1.0.x

2004-10-31 17:20  peter <peter@freepascal.org>

	* rtl/unix/dos.pp:
	
	  * remove sysutils

2004-10-31 17:05  florian <florian@freepascal.org>

	* rtl/linux/termios.inc:
	
	  + added ioctl constants for arm

2004-10-31 15:34  marco <marcov@stack.nl>

	* rtl/freebsd/: ptypes.inc, systypes.inc:
	
	 * statfs moved and updated

2004-10-31 15:27  marco <marcov@stack.nl>

	* rtl/freebsd/sysnr.inc:
	
	 * settimeofday now used, apparantly forget to fix this in 1.1

2004-10-31 15:26  marco <marcov@stack.nl>

	* rtl/freebsd/: Makefile, Makefile.fpc:
	
	 * dos en objects naar het eind

2004-10-31 10:45  marco <marcov@stack.nl>

	* rtl/linux/: Makefile, Makefile.fpc:
	
	 * dos now depends on sysutils

2004-10-30 23:18  marco <marcov@stack.nl>

	* rtl/unix/: settimeo.inc, timezone.inc:
	
	 * more commits from unix interface cleanup

2004-10-30 22:55  marco <marcov@stack.nl>

	* rtl/unix/: aliasptp.inc, dos.pp, sysutils.pp, unix.pp:
	
	 * unix interface cleanup

2004-10-30 22:49  marco <marcov@stack.nl>

	* rtl/objpas/sysutils/fina.inc:
	
	 * Removed a "unix." prefix

2004-10-30 22:49  marco <marcov@stack.nl>

	* rtl/inc/: system.inc, systemh.inc:
	
	 * arraytostring added

2004-10-30 14:36  peter <peter@freepascal.org>

	* rtl/: Makefile, amiga/Makefile, amiga/Makefile.fpc,
	beos/Makefile, beos/Makefile.fpc, darwin/Makefile,
	darwin/Makefile.fpc, emx/Makefile, emx/Makefile.fpc,
	freebsd/Makefile, freebsd/Makefile.fpc, go32v2/Makefile,
	go32v2/Makefile.fpc, linux/Makefile, linux/Makefile.fpc,
	macos/Makefile, macos/Makefile.fpc, morphos/Makefile,
	morphos/Makefile.fpc, netbsd/Makefile, netbsd/Makefile.fpc,
	netware/Makefile, netware/Makefile.fpc, netwlibc/Makefile,
	netwlibc/Makefile.fpc, openbsd/Makefile, openbsd/Makefile.fpc,
	os2/Makefile, os2/Makefile.fpc, watcom/Makefile,
	watcom/Makefile.fpc, win32/Makefile, win32/Makefile.fpc:
	
	  * units are now created in separate directory units/cpu-os/
	  * distclean uses cleanall rule and removes units dir
	  * cross compile support fixed, it is now possible to cycle a
	ppcsparc
	    without deleting ppc386
	  * bintutilsperfix defaults to cpu-os-

2004-10-27 20:52  hajny <xhajt03@mbox.vol.cz>

	* rtl/go32v2/system.pp:
	
	  * HEAP and HEAPSIZE removal reflected

2004-10-27 06:22  marco <marcov@stack.nl>

	* rtl/unix/settimeo.inc:
	
	 * cvs log and extra endif

2004-10-27 06:15  marco <marcov@stack.nl>

	* rtl/unix/settimeo.inc:
	
	 * time routines extracted

2004-10-27 03:31  karoly

	* rtl/morphos/dos.pp:
	
	  * GetEnv fixed

2004-10-26 17:02  peter <peter@freepascal.org>

	* rtl/inc/rtti.inc:
	
	  * rtti is always aligned, remove move() workarounds

2004-10-25 20:11  armin

	* rtl/: netware/system.pp, netwlibc/system.pp:
	
	* saveregisters no longer supported by compiler, for now save all
	registers in stackcheck

2004-10-25 19:04  peter <peter@freepascal.org>

	* rtl/inc/heaptrc.pp:
	
	  * fix for non-i386

2004-10-25 17:38  peter <peter@freepascal.org>

	* rtl/: beos/system.pp, bsd/osmain.inc, emx/system.pas,
	inc/heap.inc, inc/heaptrc.pp, linux/osmain.inc, macos/system.pp,
	morphos/system.pp, netware/system.pp, netwlibc/system.pp,
	os2/system.pas, watcom/system.pp, win32/system.pp:
	
	  * compiler defined HEAP and HEAPSIZE removed

2004-10-24 23:39  peter <peter@freepascal.org>

	* rtl/inc/rtti.inc:
	
	  * record and array parsing moved to procedure and handle like
	    a data stream instead of using records

2004-10-24 22:01  peter <peter@freepascal.org>

	* rtl/: i386/set.inc, inc/aliases.inc, inc/astrings.inc,
	inc/dynarr.inc, inc/except.inc, inc/generic.inc, inc/genset.inc,
	inc/heaptrc.pp, inc/objpas.inc, inc/rtti.inc, inc/system.inc,
	inc/wstrings.inc:
	
	  * saveregisters calling convention is obsolete

2004-10-24 16:43  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/powerpc.inc:
	
	  * fixed redzone usage in fillchar

2004-10-24 16:20  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/powerpc.inc:
	
	  * fixed default rounding mode

2004-10-24 15:55  peter <peter@freepascal.org>

	* rtl/linux/bunxfunc.inc:
	
	  * fpselect for amd64,arm

2004-10-24 13:44  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/dynlibs.inc:
	
	  * wrong condition for DosLoadModule

2004-10-22 07:51  florian <florian@freepascal.org>

	* rtl/objpas/types.pp:
	
	  * corrected last commit

2004-10-22 00:24  florian <florian@freepascal.org>

	* rtl/objpas/types.pp:
	
	  * targets requiring proper alignment doesn't pack tpoint and
	friends anymore

2004-10-19 21:56  olle

	* rtl/macos/: macostp.inc, macostp.pp, system.pp:
	
	  * Interface to StdLibC moved from system to macostp

2004-10-19 20:51  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/: int64p.inc, powerpc.inc, setjump.inc:
	
	  + "nostackframe" modifier, because the automatic detection in the
	    compiler to determine that a stack frame is not needed no
	longer works

2004-10-14 21:45  florian <florian@freepascal.org>

	* rtl/sparc/: sparc.inc, sysutilp.inc:
	
	  + added and implemented functions for locked operations

2004-10-14 19:39  florian <florian@freepascal.org>

	* rtl/: inc/generic.inc, inc/systemh.inc, unix/cthreads.pp:
	
	  + added system.align
	  + threadvars are now aligned

2004-10-14 18:27  mazen <mazen@freepascal.org>

	* rtl/macos/sysutils.pp:
	
	* First implementation of ExecuteProcess

2004-10-13 22:47  florian <florian@freepascal.org>

	* rtl/linux/bunxfunc.inc:
	
	  + implemented fpselect for sparc

2004-10-12 17:22  michael <michael.vancanneyt@wisa.be>

	* rtl/unix/sysutils.pp:
	
	+ Fixed sleep: file needs to be closed again

2004-10-12 09:08  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/cgenmath.inc:
	
	  - disabled llround, not present under Mac OS X 10.1

2004-10-11 18:21  mazen <mazen@freepascal.org>

	* rtl/objpas/freebidi.pp:
	
	* New way encoding insertChar produces better results

2004-10-10 21:18  florian <florian@freepascal.org>

	* rtl/: inc/objpas.inc, objpas/typinfo.pp:
	
	  * fixed aligntoptr

2004-10-10 12:28  michael <michael.vancanneyt@wisa.be>

	* rtl/: objpas/sysutils/osutil.inc, objpas/sysutils/osutilsh.inc,
	unix/sysutils.pp:
	
	+ Implementation of GetTempDir and GetTempFileName

2004-10-09 23:00  jonas <jonas.maebe@rug.ac.be>

	* rtl/: inc/cgeneric.inc, inc/cgenmath.inc, inc/generic.inc,
	inc/genmath.inc, inc/mathh.inc, inc/system.inc, inc/systemh.inc,
	powerpc/math.inc, powerpc/powerpc.inc:
	
	  + cgenmath with libc math functions. Faster than the routines in
	genmath
	    and also have full double support (exp() only has support for
	values in
	    the single range in genmath, for example). Used in FPC_USE_LIBC
	is
	    defined
	  * several fixes to allow compilation with -dHASINLINE, but
	internalerrors
	    because of missing support for inlining assembler code

2004-10-06 21:37  peter <peter@freepascal.org>

	* rtl/objpas/freebidi.pp:
	
	  * hebrew is also RTL

2004-10-06 18:52  mazen <mazen@freepascal.org>

	* rtl/objpas/utf8bidi.pp:
	
	* Use FreeBIDI for deleting chars

2004-10-06 18:51  mazen <mazen@freepascal.org>

	* rtl/objpas/freebidi.pp:
	
	* Fix inserting char inside a word * Fix deleting chars

2004-10-05 22:21  florian <florian@freepascal.org>

	* rtl/inc/objpas.inc:
	
	  * bootstrapping with rtti alignment fixed

2004-10-05 19:16  armin

	* rtl/unix/video.pp:
	
	* enable acs on xterm by default

2004-10-04 23:26  florian <florian@freepascal.org>

	* rtl/: inc/objpas.inc, inc/rtti.inc, objpas/typinfo.pp:
	
	  * rtti alignment fixed

2004-10-04 23:06  florian <florian@freepascal.org>

	* rtl/linux/termios.inc:
	
	  + added x84_64 ioctls

2004-10-04 18:20  mazen <mazen@freepascal.org>

	* rtl/objpas/utf8bidi.pp:
	
	- remove WriteLn

2004-10-04 18:19  mazen <mazen@freepascal.org>

	* rtl/objpas/freebidi.pp:
	
	* Fix erronous insertion of LTR characters inside a string

2004-10-03 22:27  armin

	* rtl/objpas/sysutils/filutilh.inc:
	
	* changed defines for netware

2004-10-03 22:16  armin

	* rtl/: netware/video.pp, netwlibc/video.pp, unix/video.pp,
	win32/video.pp:
	
	* SysUpdateScreen modified esi and edi

2004-10-03 19:43  florian <florian@freepascal.org>

	* rtl/: inc/objects.pp, linux/termios.inc:
	
	  * fixedPreviousFramePointer on sparc

2004-10-03 16:09  florian <florian@freepascal.org>

	* rtl/inc/genmath.inc:
	
	  * fixed trunc for abs(value) < 1

2004-10-03 16:00  florian <florian@freepascal.org>

	* rtl/inc/genmath.inc:
	
	  + made generic trunc 64 bit aware

2004-10-03 14:41  florian <florian@freepascal.org>

	* rtl/sparc/: math.inc, sparc.inc:
	
	  * made sqrt, sqr and abs internal for the sparc

2004-10-02 22:46  florian <florian@freepascal.org>

	* rtl/sparc/sparc.inc:
	
	  * made assembler implementation of move

2004-09-30 21:58  olle

	* rtl/macos/system.pp:
	
	  + Added SetDefaultMacOS[Filetype|Creator]
	  * Files written to by fpc rtl now always will get decent
	filetype/creator
	  * Adapted to use FSpGetFullPath

2004-09-30 21:53  olle

	* rtl/macos/macutils.inc:
	
	  * FSpGetFullPath now returns the path in an ansistring

2004-09-30 21:33  olle

	* rtl/macos/macostp.inc:
	
	  + even more stuff added

2004-09-30 12:42  mazen <mazen@freepascal.org>

	* rtl/macos/sysutils.pp:
	
	* implement Find{First,Next,Close} according to Dos unit code

2004-09-30 12:40  mazen <mazen@freepascal.org>

	* rtl/objpas/utf8bidi.pp:
	
	* Fix Convertion between TUF8String and TString (length)

2004-09-30 12:39  mazen <mazen@freepascal.org>

	* rtl/objpas/freebidi.pp:
	
	* Fix new Caret position after insertion of a character

2004-09-29 16:55  mazen <mazen@freepascal.org>

	* rtl/inc/: compproc.inc, wstrings.inc:
	
	* widestring conversion routines takes a widechar so no information
	is lost

2004-09-28 17:39  olle

	* rtl/macos/sysutils.pp:
	
	  + added skeleton version

2004-09-26 21:25  armin

	* rtl/netware/: Makefile, Makefile.fpc, classes.pp, clib.imp,
	nwserv.pp, nwsys.inc, sockets.pp, system.pp, systhrds.pp,
	tthread.inc, winsock.pp:
	
	* exiting threads at nlm unload

2004-09-26 21:23  armin

	* rtl/netwlibc/: Makefile, Makefile.fpc, classes.pp, dos.pp,
	libc.pp, system.pp, systhrds.pp, sysutils.pp, tthread.inc:
	
	* exiting threads at nlm unload * renamed some libc functions

2004-09-26 10:52  florian <florian@freepascal.org>

	* rtl/i386/int64p.inc:
	
	  * fixed overflow checking in qword multiplication

2004-09-26 09:37  florian <florian@freepascal.org>

	* rtl/inc/int64.inc:
	
	  * fixed overflow checking for qword

2004-09-26 09:15  florian <florian@freepascal.org>

	* rtl/inc/int64.inc:
	
	  * tried to fix overflow checking in qword multiplication

2004-09-25 20:43  florian <florian@freepascal.org>

	* rtl/linux/sparc/cprt0.as:
	
	  * fixed symbol names

2004-09-25 17:09  peter <peter@freepascal.org>

	* rtl/unix/dos.pp:
	
	  * remove strpas() before syscalls so it chooses the pchar
	overload

2004-09-25 14:25  florian <florian@freepascal.org>

	* rtl/linux/sparc/cprt0.as:
	
	  * first implementation

2004-09-23 13:30  florian <florian@freepascal.org>

	* rtl/sparc/sparc.inc:
	
	  * fixed indention

2004-09-22 21:57  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/classes/compon.inc:
	
	+ More optimal FreeNotification when destroying

2004-09-22 20:48  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/classes/compon.inc:
	
	+  Fix in TComponent destroy FreeNotifications.

2004-09-22 20:22  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/: Makefile, Makefile.fpc:
	
	  * fix for cycling with 1.0.x

2004-09-22 07:56  hajny <xhajt03@mbox.vol.cz>

	* rtl/inc/systemh.inc:
	
	  * compilation fix

2004-09-22 01:43  hajny <xhajt03@mbox.vol.cz>

	* rtl/inc/systemh.inc:
	
	  * SetTextLineEnding implemented, FileRec.Name position alignment
	for CPU64

2004-09-22 01:36  hajny <xhajt03@mbox.vol.cz>

	* rtl/inc/: filerec.inc, text.inc, textrec.inc:
	
	  * SetTextLineEnding implemented, FileRec.Name position alignment
	for CPU64

2004-09-21 17:04  peter <peter@freepascal.org>

	* rtl/inc/systemh.inc:
	
	  * AnsiChar is equivalent of Char, use only type renamings

2004-09-21 16:49  peter <peter@freepascal.org>

	* rtl/inc/heaptrc.pp:
	
	  * fix reallocmem

2004-09-20 17:07  peter <peter@freepascal.org>

	* rtl/objpas/dateutil.inc:
	
	  * typo

2004-09-20 08:58  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/dateutil.inc:
	
	+ Fixed some errors pointed out by Armin Diehl

2004-09-19 22:06  armin

	* rtl/netwlibc/: Makefile, Makefile.fpc, dos.pp, libc.pp,
	sockets.pp, system.pp, systhrds.pp, sysutils.pp, video.pp:
	
	* removed get/free video buf from video.pp * implemented sockets *
	basic library support * threadvar memory leak removed * fixes (ide
	now starts and editor is usable) * support for lineinfo

2004-09-19 21:25  armin

	* rtl/objpas/dateutil.inc:
	
	* fixed some compiler warnings

2004-09-19 21:04  olle

	* rtl/inc/cmem.pp:
	
	  * added $if defined(..) for 2.0.

2004-09-19 20:55  armin

	* rtl/inc/: thread.inc, threadh.inc:
	
	* added define DISABLE_NO_THREAD_MANAGER to avoid warnings if
	thread manager is always present

2004-09-19 20:13  armin

	* rtl/netwlibc/: nwl_dlle.as, nwl_main.as:
	
	* added objects to provide main or DllMain for Programs or
	Libraries

2004-09-19 10:16  olle

	* rtl/inc/cmem.pp:
	
	  * reverted to $ifdef style, so 1.0.x can eat it.

2004-09-19 01:45  armin

	* rtl/netware/: Makefile, Makefile.fpc, sockets.pp, winsock.pp:
	
	* make winsock more compatible to win32 version

2004-09-18 18:19  marco <marcov@stack.nl>

	* rtl/win32/winsock.pp:
	
	 *  GetAcceptExSockaddrs corrected. Double indirection.

2004-09-18 13:17  hajny <xhajt03@mbox.vol.cz>

	* rtl/: go32v2/system.pp, beos/system.pp:
	
	  * handle type changed to thandle in do_isdevice

2004-09-18 13:12  hajny <xhajt03@mbox.vol.cz>

	* rtl/: os2/system.pas, emx/system.pas:
	
	  * handle type changed to thandle in do_isdevice

2004-09-18 13:06  armin

	* rtl/inc/lineinfo.pp:
	
	* added support for netware nlm (netware and netwlibc)

2004-09-18 12:23  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/wstrings.inc:
	
	  - removed unused local variable
	  * fixed bug in Utf8ToUnicode (use of uninitialised variable)

2004-09-18 10:40  olle

	* rtl/inc/cmem.pp:
	
	  + added support for macos

2004-09-17 20:30  armin

	* rtl/netware/video.pp:
	
	* dont allocate/deallocate video buf, already done in video.inc

2004-09-17 20:29  armin

	* rtl/netware/system.pp:
	
	* added NWGetCodeStart, needed for lineinfo

2004-09-16 09:21  michael <michael.vancanneyt@wisa.be>

	* rtl/inc/heaptrc.pp:
	
	Fix tracememsize for ansistrings (From Peter)

2004-09-15 22:37  armin

	* rtl/inc/cmem.pp:
	
	* add support for netware libc

2004-09-15 21:20  hajny <xhajt03@mbox.vol.cz>

	* rtl/go32v2/: Makefile, Makefile.fpc, dxeload.pp, dxetype.pp:
	
	  * dxegen compilable for any target now

2004-09-15 20:59  hajny <xhajt03@mbox.vol.cz>

	* rtl/win32/video.pp:
	
	  + resolution switching fully works now

2004-09-15 16:03  mazen <mazen@freepascal.org>

	* rtl/objpas/utf8bidi.pp:
	
	* use FreeBIDI.InsertChar for UTF8 strings

2004-09-15 16:03  mazen <mazen@freepascal.org>

	* rtl/objpas/freebidi.pp:
	
	+ initialize CharWidth with default function

2004-09-15 09:28  michael <michael.vancanneyt@wisa.be>

	* rtl/inc/dynarr.inc:
	
	+ Fix crash when resizing dynamic array

2004-09-14 22:11  hajny <xhajt03@mbox.vol.cz>

	* rtl/go32v2/vesamode.pp:
	
	  * fix incorrect reuse of for loop counter

2004-09-14 22:08  hajny <xhajt03@mbox.vol.cz>

	* rtl/win32/initc.pp:
	
	  * use errno from cygwin (like in fixes branch)

2004-09-14 17:53  mazen <mazen@freepascal.org>

	* rtl/objpas/utf8bidi.pp:
	
	* fix conversion routines unicode/utf8

2004-09-14 17:52  mazen <mazen@freepascal.org>

	* rtl/objpas/freebidi.pp:
	
	+ visual string function from BIDI algo

2004-09-14 16:13  marco <marcov@stack.nl>

	* rtl/freebsd/Makefile.fpc:
	
	 * double sysctl use broke FreeBSD 5.x

2004-09-14 03:13  sg <sg@freepascal.org>

	* rtl/objpas/sysutils/: stre.inc, sysutils.inc:
	
	* Fixed ExceptionErrorMessage (string const didn't match Format()
	call)

2004-09-13 23:12  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/pmwsock.pas:
	
	  * fix for loop variable assignment error

2004-09-13 22:58  hajny <xhajt03@mbox.vol.cz>

	* rtl/: win32/video.pp, os2/video.pp:
	
	  * SysSetVideoMode corrected to reflect SysVideoModeSelector
	result

2004-09-12 22:51  armin

	* rtl/netwlibc/: Makefile, Makefile.fpc, dos.pp, keyboard.pp,
	libc.pp, system.pp, sysutils.pp, video.pp:
	
	* added keyboard and video * a lot of fixes

2004-09-12 22:28  olle

	* rtl/macos/: Makefile, Makefile.fpc:
	
	  + Added compiling of cmem.pp and charset.pp

2004-09-12 21:51  olle

	* rtl/macos/system.pp:
	
	  + InitGraf called for MPW tool, which make strange bug disappear.
	  * bugfix initial wd for MPW tool
	  + Added SysInitExceptions

2004-09-12 21:48  olle

	* rtl/macos/macostp.inc:
	
	  + even more added

2004-09-12 19:41  hajny <xhajt03@mbox.vol.cz>

	* rtl/win32/initc.pp:
	
	  * hopefully fixed the problem with missing __error symbol

2004-09-12 17:20  peter <peter@freepascal.org>

	* rtl/linux/bunxtype.inc:
	
	  * sparc has different values for O_ flags

2004-09-12 15:00  hajny <xhajt03@mbox.vol.cz>

	* rtl/macos/dos.pp:
	
	  * one more define added for shared fexpand (still conditional)

2004-09-12 14:04  peter <peter@freepascal.org>

	* rtl/sparc/: setjump.inc, setjumph.inc, sparc.inc:
	
	  * restore traps when returning with longjmp

2004-09-11 23:45  hajny <xhajt03@mbox.vol.cz>

	* rtl/win32/video.pp:
	
	  + experimental patch to support more resolutions in text-mode IDE
	under Win32

2004-09-11 22:41  marco <marcov@stack.nl>

	* rtl/unix/aliasptp.inc:
	
	 * already did 3 aliases needed for SDL port

2004-09-11 21:43  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/system.pas:
	
	  * missing MaxExitCode added

2004-09-11 21:35  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/doscalls.pas:
	
	  * some constants added

2004-09-10 20:46  armin

	* rtl/netwlibc/: Makefile, Makefile.fpc:
	
	* utf8bidi needs -Sc

2004-09-10 18:18  mazen <mazen@freepascal.org>

	* rtl/objpas/: freebidi.pp, utf8bidi.pp:
	
	* improve UTF8 support + add BIDI support based on widechar
	widestring which eases	 BIDI algo implementation

2004-09-10 17:15  marco <marcov@stack.nl>

	* rtl/freebsd/pthread.inc:
	
	 * small glitch fixes

2004-09-09 22:29  jonas <jonas.maebe@rug.ac.be>

	* rtl/: bsd/ctypes.inc, darwin/Makefile, darwin/Makefile.fpc,
	darwin/pthread.inc, darwin/ptypes.inc, freebsd/pthread.inc,
	freebsd/ptypes.inc, linux/ctypes.inc, linux/pthread.inc,
	linux/ptypes.inc, netbsd/ptypes.inc, openbsd/ptypes.inc,
	unix/cthreads.pp, unix/systhrds.pp:
	
	  * fixed definition of pthread_mutex_t for non-linux targets (and
	for
	    linux as well, actually).
	  * base libpthread definitions are now in ptypes.inc, included in
	unixtype
	    They sometimes have an extra underscore in front of their name,
	in
	    case they were also exported by the packages/base/pthreads
	unit, so
	    they can keep their original name there
	  * cthreadds unit now imports systuils, because it uses exceptions
	(it
	    already did so before as well)
	  * fixed many linux definitions of libpthread functions in
	pthrlinux.inc
	    (integer -> cint etc)
	  + added culonglong type to ctype.inc

2004-09-09 17:21  mazen <mazen@freepascal.org>

	* rtl/objpas/utf8bidi.pp:
	
	* fixes to bidi algo and vinsert

2004-09-09 16:44  armin

	* rtl/: Makefile, Makefile.fpc:
	
	* added target dirs for netware and netwlibc

2004-09-08 18:41  mazen <mazen@freepascal.org>

	* rtl/objpas/utf8bidi.pp:
	
	+ adds support for visual insert * fix v2l algo, still need more
	verification

2004-09-08 10:32  marco <marcov@stack.nl>

	* rtl/unix/initc.pp:
	
	 * "clib" constant moved to interface, since initc is prefered way
	of
	initing libc/libroot/glibc

2004-09-06 17:29  mazen <mazen@freepascal.org>

	* rtl/objpas/utf8bidi.pp:
	
	+ added support for logical/visual cursor mapping

2004-09-05 22:58  armin

	* rtl/netwlibc/: Makefile, Makefile.fpc, classes.pp, crt.pp,
	dos.pp, dynlibs.inc, errno.inc, initc.pp, libc.imp, libc.pp,
	libcclib.imp, mouse.pp, netware.imp, nwsnut.imp, nwsnut.pp,
	qos.inc, system.pp, systhrds.pp, sysutils.pp, tthread.inc,
	varutils.pp, winsock.pp, ws2_32.imp, ws2nlm.imp, pre/libcpre.gcc.o:
	
	* first rtl version for netwlibc

2004-09-05 16:43  armin

	* rtl/objpas/classes/classesh.inc:
	
	* unix fields in tthread are needed for netwlibc also

2004-09-05 02:02  armin

	* rtl/objpas/sysutils/filutilh.inc:
	
	* added target netwlibc

2004-09-05 01:33  armin

	* rtl/: Makefile, amiga/Makefile, beos/Makefile, darwin/Makefile,
	emx/Makefile, freebsd/Makefile, go32v2/Makefile, linux/Makefile,
	macos/Makefile, morphos/Makefile, netbsd/Makefile, netware/README,
	os2/Makefile, win32/Makefile:
	
	* makefiles regenerated * ide: added target netwlibc

2004-09-03 21:25  olle

	* rtl/: atari/system.pas, beos/system.pp, emx/system.pas,
	go32v2/system.pp, inc/system.inc, macos/system.pp,
	morphos/system.pp, netware/system.pp, objpas/sysconst.pp,
	palmos/system.pp, unix/sysunixh.inc, watcom/system.pp,
	win32/system.pp:
	
	  + added maxExitCode to all System.pp
	  * constrained error code to be below maxExitCode in RunError et.
	al.

2004-09-02 20:57  marco <marcov@stack.nl>

	* rtl/linux/powerpc/cprt0.as:
	
	 * fixed argc<->argv

2004-09-02 17:58  mazen <mazen@freepascal.org>

	* rtl/objpas/utf8bidi.pp:
	
	* undo last modification

2004-09-02 17:33  mazen <mazen@freepascal.org>

	* rtl/objpas/utf8bidi.pp:
	
	* change parameter order to be compatible with system.insert

2004-09-02 09:37  mazen <mazen@freepascal.org>

	* rtl/objpas/utf8bidi.pp:
	
	* add support for UCS32 characters conversion

2004-08-31 14:23  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/system.inc:
	
	  * fixed compilation with 1.0.x

2004-08-31 13:03  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/sysutils/sysutilh.inc:
	
	+ Some capitalization added for documentation purposes

2004-08-31 12:34  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/sysutils/sysutilh.inc:
	
	+ Some capitalization added for documentation purposes

2004-08-31 12:33  michael <michael.vancanneyt@wisa.be>

	* rtl/linux/: Makefile, Makefile.fpc:
	
	+ Fixed typinfo dependency on sysutils

2004-08-30 21:52  mazen <mazen@freepascal.org>

	* rtl/objpas/utf8bidi.pp:
	
	+ adds UTF8 support to RTL

2004-08-30 20:00  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/sysutils/sysstr.inc:
	
	+ Extra index check in IsDelimiter

2004-08-30 19:36  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/system.inc:
	
	  * fixed random(int64)

2004-08-30 15:07  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/sysutils/sysstrh.inc:
	
	+ Added MACOS linebreakstyle (tlbsCR)

2004-08-30 13:20  michael <michael.vancanneyt@wisa.be>

	* rtl/unix/sysutils.pp:
	
	+ Give path, not comline in ExecuteProcess

2004-08-30 13:13  michael <michael.vancanneyt@wisa.be>

	* rtl/unix/sysutils.pp:
	
	+ Fixed ExecuteProcess. Now returns the exit code or raises an
	exception on failure

2004-08-29 12:23  peter <peter@freepascal.org>

	* rtl/inc/: system.inc, systemh.inc:
	
	no message

2004-08-27 20:58  marco <marcov@stack.nl>

	* rtl/linux/: Makefile, Makefile.fpc:
	
	 * $(SYSTEMUNIT) FIX

2004-08-27 19:24  armin

	* rtl/netware/: Makefile, Makefile.fpc:
	
	* aio.imp was listed twice

2004-08-27 00:58  carl <carl@freepascal.org>

	* rtl/inc/objects.pp:
	
	  * bugfix with file sharing modes. They are now kept, as is the
	case in BP.

2004-08-26 17:57  michael <michael.vancanneyt@wisa.be>

	* rtl/win32/wininc/: defines.inc, func.inc:
	
	+ Some missing functions/defines as per bug 3270 from Frank Kintrup

2004-08-25 23:42  jonas <jonas.maebe@rug.ac.be>

	* rtl/: darwin/ptypes.inc, freebsd/ptypes.inc, netbsd/ptypes.inc,
	openbsd/ptypes.inc:
	
	  * fixed pthread type definitions for darwin and made them generic

2004-08-25 23:35  jonas <jonas.maebe@rug.ac.be>

	* rtl/darwin/: Makefile, Makefile.fpc:
	
	  * fixed dependencies so the rtl can be built with make -j (saves
	only
	    about 25% on a dual processor machine though)

2004-08-25 21:12  peter <peter@freepascal.org>

	* rtl/win32/: Makefile, Makefile.fpc:
	
	use $(SYSTEMUNIT) instead of system

2004-08-25 19:10  olle

	* rtl/: amiga/Makefile, beos/Makefile, emx/Makefile,
	freebsd/Makefile, go32v2/Makefile, linux/Makefile,
	morphos/Makefile, netbsd/Makefile, os2/Makefile, win32/Makefile:
	
	  * redid prev commit, but with up to date fpcmake

2004-08-25 18:57  olle

	* rtl/: amiga/Makefile, amiga/Makefile.fpc, beos/Makefile,
	beos/Makefile.fpc, emx/Makefile, emx/Makefile.fpc,
	freebsd/Makefile, freebsd/Makefile.fpc, go32v2/Makefile,
	go32v2/Makefile.fpc, linux/Makefile, linux/Makefile.fpc,
	morphos/Makefile.fpc, netbsd/Makefile, netbsd/Makefile.fpc,
	netware/Makefile.fpc, openbsd/Makefile.fpc, os2/Makefile,
	os2/Makefile.fpc, watcom/Makefile.fpc, win32/Makefile,
	win32/Makefile.fpc:
	
	  * fix so that macpas.pp really is compiled

2004-08-25 17:29  peter <peter@freepascal.org>

	* rtl/objpas/sysconst.pp:
	
	  * disbaled error 900 that is out of range

2004-08-24 13:49  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/cgenstr.inc:
	
	  * made strlen wrapper inline

2004-08-22 14:34  florian <florian@freepascal.org>

	* rtl/linux/: ossysc.inc, sparc/syscall.inc:
	
	  * fixed fork for sparc

2004-08-22 13:12  marco <marcov@stack.nl>

	* rtl/win32/: messages.pp, wininc/messages.inc:
	
	 * including in both messages and windows caused problems (expected
		windows.msg, got message.msg and vice versa. Solved by
	aliasing

2004-08-22 00:24  karoly

	* rtl/morphos/execf.inc:
	
	  + added ReplyMsg, which was accidentally still missing

2004-08-20 13:46  marco <marcov@stack.nl>

	* rtl/linux/Makefile:
	
	 * regened with newer fpcmake

2004-08-20 12:20  olle

	* rtl/macos/: dos.pp, macutils.inc, macutils.pp:
	
	  + added support for Exec via AppleEvents - Toolserver

2004-08-20 12:18  olle

	* rtl/objpas/sysconst.pp:
	
	  + added error 900, for macos

2004-08-20 12:18  olle

	* rtl/macos/system.pp:
	
	  + added Yield routine

2004-08-20 12:16  olle

	* rtl/macos/macostp.inc:
	
	  + added things

2004-08-20 12:04  olle

	* rtl/inc/text.inc:
	
	* prefixed write[buffer|blanks] with fpc_ and made them externally
	visible

2004-08-20 11:00  marco <marcov@stack.nl>

	* rtl/linux/: Makefile, Makefile.fpc:
	
	 * fixed gpm dependancies line. Don't add dependancies to
	dir/<file>$(PPUEXT)

2004-08-19 23:24  marco <marcov@stack.nl>

	* rtl/freebsd/: Makefile, Makefile.fpc:
	
	 * dependancy problem fixed.

2004-08-19 15:25  olle

	* rtl/inc/macpas.pp:
	
	  + added assigning op which converts FourCharCode to LongWord
	  + added convertion functions FCC and FOUR_CHAR_CODE which
	    does the above conv manually.

2004-08-19 13:31  marco <marcov@stack.nl>

	* rtl/freebsd/: Makefile.fpc, Makefile:
	
	 * gpm removed

2004-08-19 09:32  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/classes/: reader.inc, writer.inc:
	
	+ Additional checks for legal streams

2004-08-19 09:29  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/classes/: reader.inc, writer.inc:
	
	+ Reader/Writer check for valid stream.

2004-08-19 09:28  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/rtlconst.pp:
	
	+ Added  SEmptyStreamIllegalReader/Writer

2004-08-18 23:03  florian <florian@freepascal.org>

	* rtl/: inc/rtti.inc, inc/variant.inc, linux/ossysc.inc:
	
	  * sparc uses wait4 as well

2004-08-18 16:26  karoly

	* rtl/linux/powerpc/: cprt0.as, prt0.as:
	
	  * quick fix to make it compile

2004-08-17 15:34  olle

	* rtl/powerpc/strings.inc:
	
	  * bugfix

2004-08-16 22:53  florian <florian@freepascal.org>

	* rtl/win32/shlobj.pp:
	
	  * inital empty revision

2004-08-16 18:22  olle

	* rtl/: Makefile, amiga/Makefile, amiga/Makefile.fpc,
	beos/Makefile, beos/Makefile.fpc, darwin/Makefile,
	darwin/Makefile.fpc, emx/Makefile, emx/Makefile.fpc,
	freebsd/Makefile, freebsd/Makefile.fpc, go32v2/Makefile,
	go32v2/Makefile.fpc, linux/Makefile, linux/Makefile.fpc,
	macos/Makefile, macos/Makefile.fpc, morphos/Makefile,
	morphos/Makefile.fpc, netbsd/Makefile, netbsd/Makefile.fpc,
	netware/Makefile.fpc, openbsd/Makefile.fpc, os2/Makefile,
	os2/Makefile.fpc, watcom/Makefile.fpc, win32/Makefile,
	win32/Makefile.fpc:
	
	  + Added unit macpas

2004-08-16 18:21  olle

	* rtl/inc/macpas.pp:
	
	  + Added this file, to be used for stuff specific for mode macpas

2004-08-16 18:12  peter <peter@freepascal.org>

	* rtl/objpas/typinfo.pp:
	
	  * patch from mattias to fix endianness and bufferoverflow with
	    1 and 2 byte ordinals

2004-08-14 16:22  florian <florian@freepascal.org>

	* rtl/unix/dos.pp:
	
	  * alignment for sparc fixed

2004-08-13 21:57  armin

	* rtl/netware/: Makefile, Makefile.fpc, aio.imp, audnlm32.imp,
	calnlm32.imp, ccs-os.imp, ccs.imp, clib.imp, clibaux.imp,
	clibctx.imp, clxnlm32.imp, convertimp, dplsv386.imp, dsapi.imp,
	dsevent.imp, lib0.imp, locnlm32.imp, ndpsrpc.imp, netnlm32.imp,
	nit.imp, nlmlib.imp, nwpsrv.imp, nwpsrv3x.imp, nwsnut.imp,
	requestr.imp, socklib.imp, streams.imp, threads.imp, tli.imp,
	vollib.imp, ws2_32.imp, ws2nlm.imp:
	
	* moved rtl/netware/nwimp/*.imp to rtl/netware

2004-08-12 14:26  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/dateutil.inc:
	
	+ Implemented decodedateweek

2004-08-10 20:58  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/heap.inc:
	
	  * changed formatting to conform to the rest of the compiler/rtl
	  * fixed SysMaxAvail so it also looks at the free fixed size
	blocks

2004-08-09 18:44  jonas <jonas.maebe@rug.ac.be>

	* rtl/objpas/sysutils/syspch.inc:
	
	  * use C versions of string routines if FPC_USE_LIBC is defined

2004-08-09 18:43  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/strings.inc:
	
	  * fixed stricomp() and strlicomp()

2004-08-09 14:57  karoly

	* rtl/morphos/doslib.pp:
	
	  + added {$INLINE ON} to fix cycle

2004-08-09 02:12  karoly

	* rtl/morphos/system.pp:
	
	  * changes to work with updated doslib includes

2004-08-09 02:10  karoly

	* rtl/morphos/: doslib.pp, doslibd.inc, doslibf.inc:
	
	  + added most of missing stuff

2004-08-08 18:52  florian <florian@freepascal.org>

	* rtl/win32/: windows.pp, wininc/ascfun.inc, wininc/base.inc,
	wininc/redef.inc, wininc/unidef.inc, wininc/unifun.inc:
	
	  * tried to fix some wsprintf issues
	  + now compiled in objfpc mode
	    so some integer => smallint changes where necessary; hopefully,
	    I didn't forget one

2004-08-08 16:26  florian <florian@freepascal.org>

	* rtl/win32/shellapi.pp:
	
	  * removed ifdefs for unicode; handled by overloading
	  * smartlinked by default because it contains winxp only functions

2004-08-08 15:31  olle

	* rtl/darwin/Makefile:
	
	  * updated makefile with an up to date Fpcmake

2004-08-08 11:36  florian <florian@freepascal.org>

	* rtl/linux/i386/sighnd.inc:
	
	  * fixed runerror for invalid operation

2004-08-07 21:32  florian <florian@freepascal.org>

	* rtl/objpas/sysutils/sysstr.inc:
	
	  * fixed CompareStr with a patch from Michalis Kamburelis

2004-08-07 18:56  florian <florian@freepascal.org>

	* rtl/objpas/sysutils/: sysstr.inc, sysstrh.inc:
	
	  + TryStrToInt* added

2004-08-07 18:44  florian <florian@freepascal.org>

	* rtl/objpas/classes/: classesh.inc, compon.inc:
	
	  * tcomponent.destroying is now called in
	tcomponent.beforedestruction

2004-08-06 15:23  michael <michael.vancanneyt@wisa.be>

	* rtl/win32/sysutils.pp:
	
	+ Ver 1.0 does not handle initialized variables well

2004-08-05 14:55  michael <michael.vancanneyt@wisa.be>

	* rtl/win32/sysutils.pp:
	
	+ initialized SysConfigDir

2004-08-05 09:32  michael <michael.vancanneyt@wisa.be>

	* rtl/unix/sysutils.pp:
	
	Added getappconfig calls

2004-08-05 09:28  michael <michael.vancanneyt@wisa.be>

	* rtl/win32/sysutils.pp:
	
	Added getappconfig calls

2004-08-05 09:28  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/sysutils/: osutil.inc, osutilsh.inc, sysutils.inc:
	
	+ Added getappconfigdir calls

2004-08-04 21:27  florian <florian@freepascal.org>

	* rtl/: linux/osmain.inc, linux/signal.inc, linux/sparc/sighnd.inc,
	sparc/sparc.inc:
	
	  * fixed floating point and integer exception handling on
	sparc/linux

2004-08-03 21:52  karoly

	* rtl/morphos/: Makefile, Makefile.fpc:
	
	  * updated makefiles to support new units

2004-08-03 21:45  karoly

	* rtl/morphos/timer.pp:
	
	  * fixed missing uses exec

2004-08-03 17:59  karoly

	* rtl/morphos/: dos.pp, system.pp:
	
	  * more cleanup & more includes

2004-08-03 17:35  karoly

	* rtl/morphos/exec.pp:
	
	  - removed conflicting calls

2004-08-03 16:48  karoly

	* rtl/morphos/execf.inc:
	
	  + added missing calls

2004-08-03 16:31  karoly

	* rtl/morphos/execd.inc:
	
	  * changed to use new utility includes

2004-08-03 16:26  karoly

	* rtl/morphos/: utild1.inc, utild2.inc, utilf.inc, utility.pp:
	
	  * initial revision

2004-08-01 22:02  armin

	* rtl/netware/: Makefile, Makefile.fpc, README, classes.pp, dos.pp,
	nwprot.pp, nwsys.inc, system.pp, sysutils.pp:
	
	* changed dir separator from \ to / * long namespace by default *
	dos.exec implemented * getenv ('PATH') is now supported * changed
	FExpand to global version * fixed heaplist growth error * support
	SysOSFree * stackcheck was without saveregisters * fpc can compile
	itself on netware

2004-08-01 10:24  florian <florian@freepascal.org>

	* rtl/linux/Makefile:
	
	  * fixed usage of old fpcmake

2004-07-30 17:05  armin

	* rtl/netware/: Makefile, Makefile.fpc, sockets.pp, system.pp,
	systhrds.pp, tthread.inc:
	
	make netware rtl compilable under 1.9.5

2004-07-30 16:51  armin

	* rtl/netware/initc.pp:
	
	first version for netware

2004-07-27 14:03  michael <michael.vancanneyt@wisa.be>

	* rtl/win32/wininc/: defines.inc, struct.inc:
	
	+ More TrackMouseEvent

2004-07-26 08:48  michael <michael.vancanneyt@wisa.be>

	* rtl/win32/wininc/: redef.inc, struct.inc:
	
	+ Added trackmouseevent call and structures

2004-07-26 00:46  olle

	* rtl/: macos/dos.pp, unix/dos.pp:
	
	  * envstr now returns empty string when index out of bounds

2004-07-25 18:46  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/math.pp:
	
	+ Implemented DivMod

2004-07-25 13:50  florian <florian@freepascal.org>

	* rtl/i386/int64p.inc:
	
	  * assembler version of mod_qword_word reactivated

2004-07-24 03:15  hajny <xhajt03@mbox.vol.cz>

	* rtl/emx/system.pas:
	
	  * simulated support for new heap manager

2004-07-21 22:37  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/strutils.pp:
	
	+ Implemented all functions

2004-07-20 11:26  marco <marcov@stack.nl>

	* rtl/unix/crt.pp:
	
	 * some updates to xy2ansi

2004-07-19 20:38  karoly

	* rtl/morphos/emuld.inc:
	
	  * initial revision

2004-07-18 23:50  hajny <xhajt03@mbox.vol.cz>

	* rtl/: emx/Makefile, emx/Makefile.fpc, go32v2/Makefile,
	go32v2/Makefile.fpc:
	
	  + matrix, convutil and strutils added

2004-07-18 23:44  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/: Makefile, Makefile.fpc:
	
	  + convutil and strutils added

2004-07-18 23:41  hajny <xhajt03@mbox.vol.cz>

	* rtl/objpas/: convutil.inc, convutil.pp, convutils.pp:
	
	  + support 8.3

2004-07-18 22:21  florian <florian@freepascal.org>

	* rtl/: i386/i386.inc, inc/generic.inc, inc/system.inc,
	inc/systemh.inc, inc/wstrings.inc:
	
	  + several unicode (to/from utf-8 conversion) stuff added
	  * some longint -> SizeInt changes

2004-07-18 18:40  jonas <jonas.maebe@rug.ac.be>

	* rtl/i386/i386.inc:
	
	  * fixed indexbyte/word/dword when length is 0 (return -1 instead
	of 0)

2004-07-18 17:20  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/system.pas:
	
	  + Memory allocation routines changed to support the new memory
	manager

2004-07-18 16:54  jonas <jonas.maebe@rug.ac.be>

	* rtl/unix/unix.pp:
	
	  * fixed BSD getdomainname for FPC_USE_LIBC

2004-07-18 13:32  marco <marcov@stack.nl>

	* rtl/bsd/ossysc.inc:
	
	 * small 1.0.x fix to earlier patch

2004-07-18 13:27  marco <marcov@stack.nl>

	* rtl/unix/unix.pp:
	
	 * small fix for BSD getdomainname. BSD version is based on Sysctl

2004-07-17 18:02  marco <marcov@stack.nl>

	* rtl/bsd/ossysc.inc:
	
	 * generalised the {$ifdef cpu_i386} ..powerpc stuff to
	FPC_BIG_ENDIAN and
	FPC_LITTLE_ENDIAN

2004-07-17 17:31  jonas <jonas.maebe@rug.ac.be>

	* rtl/bsd/system.pp:
	
	  * initialise StackLength (fixes stack checking in general, and
	tw2897 in
	    particular)

2004-07-17 17:20  jonas <jonas.maebe@rug.ac.be>

	* rtl/bsd/osmain.inc:
	
	  * don't use O_CREATE when opening a file for appending (fixes
	tw1744)

2004-07-17 12:13  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/: so32dll.pas, sockets.pas:
	
	  + missing CVS logs added

2004-07-17 00:14  marco <marcov@stack.nl>

	* rtl/freebsd/termiosproc.inc:
	
	 * reverted more changes regarding isatty

2004-07-15 01:34  olle

	* rtl/macos/: macostp.inc, system.pp:
	
	  + added qd, the "QuickDraw globals"

2004-07-13 20:42  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/strutils.pp:
	
	+ Added some RxStrUtils functions for Rx compatibility

2004-07-12 19:58  peter <peter@freepascal.org>

	* rtl/inc/: astrings.inc, wstrings.inc:
	
	  * remove maxlen field from ansistring/widestrings

2004-07-10 01:18  peter <peter@freepascal.org>

	* rtl/freebsd/console.pp:
	
	  * revert isatty patch

2004-07-10 01:10  peter <peter@freepascal.org>

	* rtl/unix/gpm.pp:
	
	  * fixed range check errors

2004-07-10 01:06  peter <peter@freepascal.org>

	* rtl/i386/math.inc:
	
	  * add fclex for fpu exceptions to round/trunc

2004-07-10 00:40  daniel <daniel@deadlock.et.tudelft.nl>

	* rtl/unix/gpm.pp:
	
	  * Fixed fitvalues

2004-07-10 00:31  peter <peter@freepascal.org>

	* rtl/linux/system.pp:
	
	  * fixed execpathstr setting

2004-07-09 23:41  peter <peter@freepascal.org>

	* rtl/darwin/termiosproc.inc:
	
	  * revert back isatty

2004-07-09 22:21  daniel <daniel@deadlock.et.tudelft.nl>

	* rtl/freebsd/console.pp:
	
	  * Fix compilation for now

2004-07-09 21:03  peter <peter@freepascal.org>

	* rtl/: linux/termiosproc.inc, unix/crt.pp, unix/gpm.pp,
	unix/keyboard.pp, unix/termiosh.inc, unix/ttyname.inc,
	unix/video.pp:
	
	  * isatty return cint again

2004-07-08 23:22  daniel <daniel@deadlock.et.tudelft.nl>

	* rtl/linux/system.pp:
	
	  * Tweaking...

2004-07-08 21:45  daniel <daniel@deadlock.et.tudelft.nl>

	* rtl/linux/system.pp:
	
	  * Use /proc/self/exe instead of /proc/[getpid]/exe

2004-07-08 15:25  daniel <daniel@deadlock.et.tudelft.nl>

	* rtl/linux/Makefile:
	
	  * Remade makefile

2004-07-08 15:23  daniel <daniel@deadlock.et.tudelft.nl>

	* rtl/: darwin/termiosproc.inc, freebsd/termiosproc.inc,
	linux/Makefile.fpc, linux/termiosproc.inc, unix/crt.pp,
	unix/gpm.pp, unix/keyboard.pp, unix/termiosh.inc, unix/ttyname.inc,
	unix/video.pp:
	
	  * gpm now uses a Pascal translation of libgpm instead of linking
	against
	    it.
	  * isatty result type changed into boolean

2004-07-08 12:16  daniel <daniel@deadlock.et.tudelft.nl>

	* rtl/inc/matrix.pp:
	
	  * Doesn't compile with 1.0 :(

2004-07-07 23:37  daniel <daniel@deadlock.et.tudelft.nl>

	* rtl/: amiga/Makefile, amiga/Makefile.fpc, beos/Makefile,
	beos/Makefile.fpc, darwin/Makefile, darwin/Makefile.fpc,
	freebsd/Makefile, freebsd/Makefile.fpc, go32v2/Makefile,
	go32v2/Makefile.fpc, inc/matrix.pp, linux/Makefile,
	linux/Makefile.fpc, macos/Makefile.fpc, morphos/Makefile.fpc,
	netbsd/Makefile, netbsd/Makefile.fpc, netware/Makefile,
	netware/Makefile.fpc, openbsd/Makefile, openbsd/Makefile.fpc,
	os2/Makefile, os2/Makefile.fpc, win32/Makefile.fpc:
	
	  * Matrix unit included in build process

2004-07-07 19:38  daniel <daniel@deadlock.et.tudelft.nl>

	* rtl/i386/i386.inc:
	
	  * Aligment code in fillchar proved to slow down stuff seriously
	instead of
	    speeding it up. This is logical, the compiler aligns everything
	very well,
	    it is possible that fillchar gets called on misaligned data,
	but it seems
	    this never happens.

2004-07-07 17:15  daniel <daniel@deadlock.et.tudelft.nl>

	* rtl/inc/systemh.inc:
	
	  * Add inline directive to sysresetfpu

2004-07-07 16:12  daniel <daniel@deadlock.et.tudelft.nl>

	* rtl/inc/: matrix.pp, mmatimp.inc, mvecimp.inc:
	
	  + Add a matrix unit I wrote some time ago

2004-07-06 16:06  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/classes/reader.inc:
	
	+ Patch for TReader for unrecognized properties

2004-07-05 23:59  olle

	* rtl/inc/innr.inc:
	
	  * updated according to compiler/compinnr.inc

2004-07-05 23:07  florian <florian@freepascal.org>

	* rtl/linux/: Makefile, Makefile.fpc, sparc/prt0.as:
	
	  * remade makefile (too old fpcmake)
	  * fixed sparc startup code

2004-07-04 01:04  daniel <daniel@deadlock.et.tudelft.nl>

	* rtl/linux/i386/prt0.as:
	
	  * Updated comments

2004-07-04 00:52  daniel <daniel@deadlock.et.tudelft.nl>

	* rtl/unix/sysunixh.inc:
	
	  * No envp,argv,argc declaration for Darwin

2004-07-04 00:49  daniel <daniel@deadlock.et.tudelft.nl>

	* rtl/bsd/system.pp:
	
	  * Moved declarations downwards

2004-07-04 00:48  marco <marcov@stack.nl>

	* rtl/bsd/unxsysc.inc:
	
	 * small fix for 1.0.x cycling

2004-07-04 00:44  daniel <daniel@deadlock.et.tudelft.nl>

	* rtl/bsd/system.pp:
	
	  * Declared envp,argc,argv in interface for Darwin

2004-07-03 23:50  daniel <daniel@deadlock.et.tudelft.nl>

	* rtl/: freebsd/Makefile, freebsd/Makefile.fpc,
	freebsd/i386/cprt0.as, freebsd/i386/gprt0.as, freebsd/i386/prt0.as,
	freebsd/i386/prt0_10.as, freebsd/x86_64/prt0.as, inc/systemh.inc,
	linux/Makefile, linux/Makefile.fpc, linux/arm/prt0.as,
	linux/i386/cprt0.as, linux/i386/cprt21.as, linux/i386/dllprt0.as,
	linux/i386/gprt0.as, linux/i386/gprt21.as, linux/i386/prt0.as,
	linux/i386/prt0_10.as, linux/powerpc/cprt0.as,
	linux/powerpc/prt0.as, linux/sparc/prt0.as, linux/x86_64/cprt0.as,
	linux/x86_64/prt0.as, unix/sysunixh.inc, unix/sysutils.pp:
	
	  * Modified bootstrap code so separate prt0.as/prt0_10.as files
	are no
	    longer necessary

2004-07-03 15:29  daniel <daniel@deadlock.et.tudelft.nl>

	* rtl/unix/video.pp:
	
	  * Compilation fix.

2004-07-03 15:18  daniel <daniel@deadlock.et.tudelft.nl>

	* rtl/unix/unix.pp:
	
	  * Better fix.

2004-07-03 15:15  daniel <daniel@deadlock.et.tudelft.nl>

	* rtl/unix/unix.pp:
	
	  * Compilation fix in fsearch

2004-07-02 23:21  peter <peter@freepascal.org>

	* rtl/inc/: astrings.inc, rtti.inc, wstrings.inc:
	
	  * decr ref doesn't reset pointer
	  * finalize resets pointer for astring,wstring

2004-07-02 21:29  peter <peter@freepascal.org>

	* rtl/linux/sparc/syscall.inc:
	
	  * fixed errno setting

2004-07-01 20:34  jonas <jonas.maebe@rug.ac.be>

	* rtl/darwin/unixsysc.inc:
	
	  * adapted second pclose as well

2004-07-01 20:28  jonas <jonas.maebe@rug.ac.be>

	* rtl/darwin/unixsysc.inc:
	
	  * fixed returning of proper exit status after pclose

2004-07-01 17:42  peter <peter@freepascal.org>

	* rtl/objpas/strutils.pp:
	
	  * fix 1.0.x compile

2004-06-30 23:15  florian <florian@freepascal.org>

	* rtl/linux/sparc/syscall.inc:
	
	  * first syscall fix

2004-06-29 22:50  peter <peter@freepascal.org>

	* rtl/inc/: heap.inc, heaph.inc:
	
	  * readded support for ReturnIfGrowHeapFails

2004-06-29 21:37  marco <marcov@stack.nl>

	* rtl/objpas/strutils.pp:
	
	 * updates from B. Tierens

2004-06-27 21:47  florian <florian@freepascal.org>

	* rtl/inc/heap.inc:
	
	  * fixed heap corruption on sparc

2004-06-27 13:57  florian <florian@freepascal.org>

	* rtl/: inc/heap.inc, win32/system.pp:
	
	  * finally (hopefully) fixed sysalloc trouble

2004-06-26 22:48  karoly

	* rtl/morphos/: dos.pp, system.pp:
	
	  * more cleanup + changes to use new includes

2004-06-26 22:46  karoly

	* rtl/morphos/: doslib.pp, doslibd.inc, doslibf.inc, timer.pp,
	timerd.inc, timerf.inc:
	
	  * initial revision

2004-06-26 17:05  florian <florian@freepascal.org>

	* rtl/win32/system.pp:
	
	  * fixed argument copying

2004-06-25 01:43  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/typinfo.pp:
	
	+ Fix GetPropList when Proplist is nil

2004-06-23 15:27  karoly

	* rtl/morphos/system.pp:
	
	  * fixed system unit for the new heap manager

2004-06-23 15:23  karoly

	* rtl/morphos/execf.inc:
	
	  + added a few more calls

2004-06-21 21:24  olle

	* rtl/macos/: Makefile, Makefile.fpc:
	
	  + Now also compiles units: dos, macutils, macostp, unixutil

2004-06-21 21:24  olle

	* rtl/macos/dos.pp:
	
	  + New unit dos.pp for Mac OS

2004-06-21 21:23  olle

	* rtl/macos/system.pp:
	
	  + Variables describing misc OS features added
	  + Detection of GUI app
	  * Working directory for APPTYPE TOOL correct now
	  + Exit code <> 0 written to, console for console apps, to system
	debugger (if installed) for GUI apps.
	  * Misc fixes

2004-06-21 21:18  olle

	* rtl/macos/: macutils.inc, macutils.pp:
	
	  + New unit, utility functions extracted from System.pp

2004-06-21 21:16  olle

	* rtl/macos/: macostp.pp, macostp.inc:
	
	  + added more entries

2004-06-21 20:50  olle

	* rtl/beos/system.pp:
	
	  + cleanup

2004-06-21 20:48  olle

	* rtl/inc/text.inc:
	
	  + handles mac line endings without blocking the console, on Mac
	OS only

2004-06-20 22:42  florian <florian@freepascal.org>

	* rtl/objpas/sysutils/sysstrh.inc:
	
	  * fixed bootstrapping problems

2004-06-20 11:24  peter <peter@freepascal.org>

	* rtl/: go32v2/system.pp, go32v2/vesa.inc, inc/heaph.inc,
	inc/heaptrc.pp, inc/objects.pp, win32/system.pp:
	
	fixed go32v2 compile

2004-06-19 10:06  marco <marcov@stack.nl>

	* rtl/bsd/system.pp:
	
	 * moved heap.inc and text.inc before sysalloc as suggested. Why
	wasn't this
		done directly?

2004-06-18 16:40  peter <peter@freepascal.org>

	* rtl/inc/heap.inc:
	
	  * moved padding for sparc

2004-06-17 18:23  peter <peter@freepascal.org>

	* rtl/objpas/sysutils/: sysansi.inc, sysansih.inc:
	
	  * use sizeint

2004-06-17 18:16  peter <peter@freepascal.org>

	* rtl/: beos/system.pp, bsd/system.pp, go32v2/system.pp,
	inc/heap.inc, inc/heaph.inc, inc/heaptrc.pp, linux/system.pp,
	macos/system.pp, morphos/system.pp, netware/system.pp,
	watcom/system.pp, win32/system.pp:
	
	  * New heapmanager that releases memory back to the OS, donated
	    by Micha Nelissen

2004-06-17 16:51  peter <peter@freepascal.org>

	* rtl/inc/crth.inc:
	
	fix compile for 1.0.x

2004-06-15 09:36  michael <michael.vancanneyt@wisa.be>

	* rtl/unix/sysutils.pp:
	
	+ Fixed Globtosearchrec to use unixtowinage

2004-06-14 10:27  michael <michael.vancanneyt@wisa.be>

	* rtl/win32/winsock.pp:
	
	+ Fix for bug 3166 by Michalis Kamburelis

2004-06-14 00:50  karoly

	* rtl/morphos/: system.pp, dos.pp:
	
	  * cleanup and changes to use new includes

2004-06-14 00:46  karoly

	* rtl/morphos/exec.pp:
	
	  * initial revision

2004-06-14 00:38  karoly

	* rtl/morphos/execf.inc:
	
	  * initial revision

2004-06-13 22:52  karoly

	* rtl/morphos/execd.inc:
	
	  * initial revision

2004-06-13 12:49  florian <florian@freepascal.org>

	* rtl/: i386/strings.inc, objpas/sysutils/sysansi.inc,
	objpas/sysutils/sysstr.inc, objpas/sysutils/sysstrh.inc,
	win32/sysutils.pp:
	
	  * fixed some bootstrapping problems as well as some 64 bit stuff

2004-06-13 11:34  michael <michael.vancanneyt@wisa.be>

	* rtl/inc/dynlibs.pp:
	
	+ Fix for bug 3164 by Michalis Kamburelis

2004-06-12 16:18  michael <michael.vancanneyt@wisa.be>

	* rtl/inc/crth.inc:
	
	+ Initialized some constants

2004-06-12 15:57  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/sysutils/sysstr.inc:
	
	+ Enhanced FloatToStrF to 18 digits (Delphi compatibility, bug 3106

2004-06-12 15:48  michael <michael.vancanneyt@wisa.be>

	* rtl/unix/unixutil.pp:
	
	+ Patch from Michalis Kamburelis for FNMatch

2004-06-12 15:30  michael <michael.vancanneyt@wisa.be>

	* rtl/: inc/dynlibs.pp, win32/dynlibs.inc:
	
	Fixed bug 3156, as suggested by Michalis Kamburelis

2004-06-12 15:23  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/: sysconst.pp, sysutils/sysstr.inc,
	sysutils/sysstrh.inc:
	
	+ Fixed currency<->string conversion support

2004-06-11 21:21  florian <florian@freepascal.org>

	* rtl/inc/systemh.inc:
	
	  * fixed wrong commit

2004-06-11 15:45  florian <florian@freepascal.org>

	* rtl/inc/systemh.inc:
	
	  * fixed arm system unit compilation

2004-06-07 01:31  karoly

	* rtl/morphos/system.pp:
	
	  * fixed dos_UnLockDosList from being nonsense, and some cleanup

2004-06-07 00:02  karoly

	* rtl/morphos/prt0.as:
	
	  * hopefully fixed stack problems causing hits

2004-06-06 21:18  karoly

	* rtl/morphos/system.pp:
	
	  + added support for paramstr(0)

2004-06-06 20:32  karoly

	* rtl/morphos/notes.txt:
	
	  * initial revision

2004-06-06 17:03  karoly

	* rtl/: Makefile, Makefile.fpc:
	
	  * morphos target added

2004-06-06 17:00  karoly

	* rtl/morphos/: Makefile, Makefile.fpc:
	
	  * initial revision for morphos

2004-06-06 16:52  karoly

	* rtl/morphos/varutils.pp:
	
	  * added for morphos

2004-06-06 16:45  karoly

	* rtl/morphos/tthread.inc:
	
	  * dummy file to have classes compiled, still needs lot of work

2004-06-06 16:44  karoly

	* rtl/morphos/classes.pp:
	
	  * initial revision for morphos

2004-06-06 14:51  karoly

	* rtl/morphos/prt0.as:
	
	  * changelog fixed

2004-06-06 14:47  karoly

	* rtl/morphos/prt0.as:
	
	  * some cleanup, comments added

2004-06-06 06:01  marco <marcov@stack.nl>

	* rtl/win32/winsock.pp:
	
	 * fix for 3142 (I hope).

2004-06-06 02:58  karoly

	* rtl/morphos/sysutils.pp:
	
	  * initial revision

2004-06-05 21:49  karoly

	* rtl/morphos/system.pp:
	
	  + added console I/O support when running from Ambient

2004-06-05 21:25  karoly

	* rtl/morphos/prt0.as:
	
	  + reworked to support resizing of stack

2004-06-05 09:55  peter <peter@freepascal.org>

	* rtl/x86_64/x86_64.inc:
	
	  * fixed parameters of get_caller_*()

2004-06-02 16:33  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/typinfo.pp:
	
	+ Patch from matthias gaertner to fix GetMethodProp with procedural
	spec

2004-06-01 12:30  jonas <jonas.maebe@rug.ac.be>

	* rtl/unix/bunxovl.inc:
	
	  * fixed missing cdecl procedure directive

2004-05-31 22:25  peter <peter@freepascal.org>

	* rtl/: inc/dynarr.inc, inc/dynarrh.inc, inc/generic.inc,
	inc/genmath.inc, inc/real2str.inc, inc/rtti.inc, inc/variant.inc,
	linux/osmain.inc, linux/ossysc.inc, linux/sparc/sighnd.inc:
	
	  * removed warnings

2004-05-31 20:03  jonas <jonas.maebe@rug.ac.be>

	* rtl/bsd/: baseunix.pp, bunxmain.inc:
	
	  * moved fpgeterrno/fpseterrno declarations to before their actual
	usage

2004-05-31 16:31  peter <peter@freepascal.org>

	* rtl/: inc/compproc.inc, inc/dynarr.inc, inc/wstrings.inc,
	linux/ossysc.inc, sparc/math.inc:
	
	  * remove comment warnings

2004-05-31 14:18  peter <peter@freepascal.org>

	* rtl/inc/heap.inc:
	
	  * sparc needs alignment on 8 bytes to allow doubles

2004-05-31 12:43  peter <peter@freepascal.org>

	* rtl/sparc/setjump.inc:
	
	  * don't create stackframes so we can retrieve the info from
	    the caller

2004-05-31 11:22  peter <peter@freepascal.org>

	* rtl/linux/ossysc.inc:
	
	  * sigaction fixed for sparc

2004-05-31 11:08  peter <peter@freepascal.org>

	* rtl/linux/signal.inc:
	
	  * added siginfo const

2004-05-30 22:03  florian <florian@freepascal.org>

	* rtl/sparc/: int64p.inc, sparc.inc:
	
	  * ?

2004-05-30 18:51  peter <peter@freepascal.org>

	* rtl/inc/systemh.inc:
	
	  * sparc need software shl shr

2004-05-30 15:06  florian <florian@freepascal.org>

	* rtl/sparc/set.inc:
	
	  * fixed log

2004-05-30 15:06  florian <florian@freepascal.org>

	* rtl/sparc/set.inc:
	
	  * removed useless PowerPC and i386 code

2004-05-30 14:08  florian <florian@freepascal.org>

	* rtl/sparc/setjump.inc:
	
	  * setjmp on sparc improved

2004-05-30 11:45  michael <michael.vancanneyt@wisa.be>

	* rtl/Makefile:
	
	+ Version 1.9.4

2004-05-30 11:38  michael <michael.vancanneyt@wisa.be>

	* rtl/Makefile.fpc:
	
	+ Version on 1.9.4

2004-05-29 23:35  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/int64p.inc:
	
	  * fixed overflow checking for qword multiplication

2004-05-29 20:25  hajny <xhajt03@mbox.vol.cz>

	* rtl/inc/fexpand.inc:
	
	  * description of individual conditional defines added

2004-05-29 17:39  florian <florian@freepascal.org>

	* rtl/inc/: astrings.inc, wstrings.inc:
	
	  * the decr functions set the data now to nil

2004-05-29 14:28  florian <florian@freepascal.org>

	* rtl/objpas/math.pp:
	
	  * fixed IsNan and IsInf for big endian systems

2004-05-28 23:43  marco <marcov@stack.nl>

	* rtl/linux/i386/syscall.inc:
	
	 * and now for others too

2004-05-28 23:41  marco <marcov@stack.nl>

	* rtl/linux/i386/syscall.inc:
	
	 * added mov errno,%eax

2004-05-28 23:40  marco <marcov@stack.nl>

	* rtl/bsd/i386/syscall.inc:
	
	 * threadvar errno fix

2004-05-28 23:37  peter <peter@freepascal.org>

	* rtl/linux/x86_64/syscall.inc:
	
	  * fix errno for multithread

2004-05-28 20:23  marco <marcov@stack.nl>

	* rtl/darwin/pthread.inc:
	
	 * fixes for darwin specific external name '' behaviour. Must still
	be
	tested

2004-05-28 01:34  peter <peter@freepascal.org>

	* rtl/sparc/sparc.inc:
	
	  * backtrace support

2004-05-28 01:34  peter <peter@freepascal.org>

	* rtl/inc/system.inc:
	
	  * stop backtrace also when caller frame is nil

2004-05-28 01:15  peter <peter@freepascal.org>

	* rtl/linux/signal.inc:
	
	  * sparc signals added between $ifdef cpusparc

2004-05-28 01:15  peter <peter@freepascal.org>

	* rtl/linux/sparc/stat.inc:
	
	  * remove warnign

2004-05-28 01:15  peter <peter@freepascal.org>

	* rtl/linux/sparc/: prt0.as, stat.inc:
	
	  * startup argc,argv,envp fix
	  * stat fixed

2004-05-27 23:36  olle

	* rtl/macos/macostp.inc:
	
	  + added correct alignment

2004-05-26 22:48  florian <florian@freepascal.org>

	* rtl/linux/powerpc/prt0.as:
	
	  * _haltproc fixed

2004-05-26 22:05  marco <marcov@stack.nl>

	* rtl/darwin/pthread.inc:
	
	 * 2nd attempt

2004-05-26 21:23  marco <marcov@stack.nl>

	* rtl/darwin/pthread.inc:
	
	 * first iteration

2004-05-26 18:35  yuri

	* rtl/os2/: so32dll.pas, sockets.pas:
	
	+ Initial import

2004-05-25 23:38  peter <peter@freepascal.org>

	* rtl/sparc/setjump.inc:
	
	  * fixed input registers

2004-05-25 00:01  hajny <xhajt03@mbox.vol.cz>

	* rtl/: emx/Makefile, emx/Makefile.fpc, os2/Makefile,
	os2/Makefile.fpc:
	
	  * Makefile fixes

2004-05-24 23:05  florian <florian@freepascal.org>

	* rtl/: objpas/typinfo.pp, win32/Makefile.fpc:
	
	  * fixed comp property writing for cpus where comp=int64

2004-05-24 21:33  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/: doscalls.pas, video.pp:
	
	  * regcall update

2004-05-24 09:18  michael <michael.vancanneyt@wisa.be>

	* rtl/inc/dynarr.inc:
	
	+ Patch from peter to fix crash

2004-05-23 23:47  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/: dos.pas, doscalls.pas:
	
	  * final part of longint2cardinal fixes for doscalls

2004-05-23 22:26  marco <marcov@stack.nl>

	* rtl/inc/: thread.inc, threadh.inc:
	
	 * wrappers and nothread prototypes for the basic* functions

2004-05-23 21:00  florian <florian@freepascal.org>

	* rtl/objpas/typinfo.pp:
	
	  + added widestring routines

2004-05-23 20:49  marco <marcov@stack.nl>

	* rtl/linux/pthread.inc:
	
	 * syncobj stuff

2004-05-23 20:25  peter <peter@freepascal.org>

	* rtl/: Makefile, amiga/Makefile, beos/Makefile, darwin/Makefile,
	emx/Makefile, freebsd/Makefile, go32v2/Makefile, linux/Makefile,
	macos/Makefile, netbsd/Makefile, netware/Makefile,
	openbsd/Makefile, os2/Makefile, watcom/Makefile, win32/Makefile:
	
	  * regenerated

2004-05-23 17:30  marco <marcov@stack.nl>

	* rtl/freebsd/pthread.inc:
	
	 * basicevent, still untested

2004-05-23 17:30  marco <marcov@stack.nl>

	* rtl/unix/cthreads.pp:
	
	 * basicevent, still untested.

2004-05-23 17:30  marco <marcov@stack.nl>

	* rtl/inc/threadh.inc:
	
	 * first try basicevent

2004-05-23 17:30  marco <marcov@stack.nl>

	* rtl/win32/systhrds.pp:
	
	 * first try

2004-05-23 16:09  peter <peter@freepascal.org>

	* rtl/inc/int64.inc:
	
	  * shr/shl use and 63 for the shift value

2004-05-23 14:42  florian <florian@freepascal.org>

	* rtl/: m68k/m68k.inc, objpas/classes/classesh.inc,
	objpas/classes/reader.inc, objpas/classes/writer.inc:
	
	  + added currency and widestring support to TWriter and TReader

2004-05-22 22:35  peter <peter@freepascal.org>

	* rtl/inc/heaptrc.pp:
	
	check whether bp is in the stack value allocated by the main
	program

2004-05-22 16:25  michael <michael.vancanneyt@wisa.be>

	* rtl/unix/sysutils.pp:
	
	+ Fixed FindFirst/FindNext so it treats the attributes correctly

2004-05-21 13:08  florian <florian@freepascal.org>

	* rtl/win32/: Makefile, Makefile.fpc, shellapi.pp:
	
	  + shellapi to makefile added

2004-05-21 09:53  marco <marcov@stack.nl>

	* rtl/win32/shellapi.pp:
	
	 * fix from Robert Rosmair.

2004-05-20 17:56  florian <florian@freepascal.org>

	* rtl/inc/dynarr.inc:
	
	  * fixed <dyn. array>:=nil;

2004-05-18 22:16  peter <peter@freepascal.org>

	* rtl/: inc/textrec.inc, unix/sysunixh.inc:
	
	  * unix thandle is always 32bit
	  * textrec fixed for 64bit

2004-05-18 22:13  peter <peter@freepascal.org>

	* rtl/linux/x86_64/syscall.inc:
	
	  * fix offset of errno

2004-05-18 22:05  marco <marcov@stack.nl>

	* rtl/bsd/x86_64/syscall.inc:
	
	 * errno+4 becomes errno+8

2004-05-18 21:36  florian <florian@freepascal.org>

	* rtl/sparc/setjump.inc:
	
	  * started to fix set/longjmp on sparc

2004-05-18 21:33  marco <marcov@stack.nl>

	* rtl/freebsd/ptypes.inc:
	
	 * left a comment unmatched

2004-05-17 22:56  peter <peter@freepascal.org>

	* rtl/linux/sparc/prt0.as:
	
	  * use ldsh to load exitcode

2004-05-17 21:20  marco <marcov@stack.nl>

	* rtl/bsd/ctypes.inc:
	
	 * x86_64 patches

2004-05-17 21:18  marco <marcov@stack.nl>

	* rtl/freebsd/ptypes.inc:
	
	 * first x86-64 changes

2004-05-17 09:33  marco <marcov@stack.nl>

	* rtl/objpas/strutils.pp:
	
	 * fixes from Luiz Am?rico

2004-05-16 23:01  marco <marcov@stack.nl>

	* rtl/bsd/x86_64/syscall.inc:
	
	 * syscallnr for __syscall entered

2004-05-16 22:48  marco <marcov@stack.nl>

	* rtl/bsd/x86_64/: syscall.inc, syscallh.inc:
	
	 * Initial versions

2004-05-16 22:39  hajny <xhajt03@mbox.vol.cz>

	* rtl/emx/system.pas:
	
	  * handle in do_* changed to THandle

2004-05-16 20:51  peter <peter@freepascal.org>

	* rtl/: bsd/osmain.inc, go32v2/system.pp, inc/system.inc,
	linux/osmain.inc, linux/ossysc.inc, os2/system.pas,
	win32/system.pp:
	
	  * use thandle in do_*

2004-05-16 18:52  peter <peter@freepascal.org>

	* rtl/inc/astrings.inc:
	
	  * small fix for 1.0.x

2004-05-16 15:03  peter <peter@freepascal.org>

	* rtl/netbsd/ptypes.inc:
	
	  * remove duplicate wordsinsigset

2004-05-16 13:04  marco <marcov@stack.nl>

	* rtl/linux/x86_64/: syscall.inc, syscallh.inc:
	
	 * comment removed and four dud instrcutions

2004-05-16 02:24  karoly

	* rtl/morphos/dos.pp:
	
	  * some cleanup

2004-05-13 03:15  karoly

	* rtl/morphos/prt0.as:
	
	  - removed comment about argc/argv, made it work another way

2004-05-13 02:48  karoly

	* rtl/morphos/dos.pp:
	
	  * fixed a typo

2004-05-13 02:42  karoly

	* rtl/morphos/dos.pp:
	
	  * getpathstring displayed dos messages, fixed

2004-05-13 01:18  karoly

	* rtl/morphos/system.pp:
	
	  * fixed do_read and dos_Read from being nonsense

2004-05-12 22:27  karoly

	* rtl/morphos/dos.pp:
	
	  * first implementation of MorphOS DOS unit, based on Amiga
	version

2004-05-12 22:26  karoly

	* rtl/morphos/system.pp:
	
	  + added syscalls and structures necessary for DOS unit

2004-05-12 17:34  karoly

	* rtl/morphos/system.pp:
	
	  * fixed startup code from endless wait when not started from
	Ambient

2004-05-11 20:55  marco <marcov@stack.nl>

	* rtl/freebsd/x86_64/prt0.as:
	
	 * first version

2004-05-11 20:06  olle

	* rtl/macos/README:
	
	  + added note about -a option

2004-05-11 20:05  olle

	* rtl/macos/: macostp.inc, system.pp:
	
	  + added call to MaxApplZone to have the whole MacOS heap
	available

2004-05-10 22:58  florian <florian@freepascal.org>

	* rtl/i386/int64p.inc:
	
	  * fpc_mul_qword uses always the assembler implementation

2004-05-09 17:47  peter <peter@freepascal.org>

	* rtl/i386/mathu.inc:
	
	  * fixed wrong typecasts

2004-05-09 17:42  peter <peter@freepascal.org>

	* rtl/linux/x86_64/stat.inc:
	
	  * added aliases

2004-05-09 16:42  karoly

	* rtl/morphos/system.pp:
	
	  * again, few more new things added

2004-05-09 12:46  peter <peter@freepascal.org>

	* rtl/win32/wininc/redef.inc:
	
	fix compile with 1.0.x

2004-05-09 04:02  karoly

	* rtl/morphos/system.pp:
	
	  * more things got implemented

2004-05-07 15:26  marco <marcov@stack.nl>

	* rtl/win32/: activex.pp, wininc/errors.inc, wininc/redef.inc:
	
	 * COM related fixes from bug 3090

2004-05-07 00:01  florian <florian@freepascal.org>

	* rtl/amiga/: Makefile, Makefile.fpc:
	
	  * changed extensions

2004-05-06 23:12  florian <florian@freepascal.org>

	* rtl/amiga/: Makefile, Makefile.fpc, sysamiga.pas, system.pas:
	
	  * changed extensions

2004-05-05 23:26  florian <florian@freepascal.org>

	* rtl/: amiga/Makefile, amiga/Makefile.fpc, amiga/system.pas,
	inc/systemh.inc, m68k/setjumph.inc:
	
	  * some m68k and amiga related stuff fixed

2004-05-05 22:08  marco <marcov@stack.nl>

	* rtl/win32/wininc/redef.inc:
	
	 * getdiskfreespaceex pointer overloads added

2004-05-05 15:00  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/cmem.pp:
	
	  * fixed reallocmem (bug noted by Vincent Snijders)

2004-05-04 19:14  marco <marcov@stack.nl>

	* rtl/inc/dynlibs.pp:
	
	 * some delphi compat aliases added.

2004-05-04 12:34  marco <marcov@stack.nl>

	* rtl/win32/wininc/struct.inc:
	
	 * pcritical section missed a ^

2004-05-03 20:00  hajny <xhajt03@mbox.vol.cz>

	* rtl/inc/dosh.inc:
	
	  * another global var to threadvar change, plus CVS log added

2004-05-02 17:15  peter <peter@freepascal.org>

	* rtl/inc/dynarr.inc:
	
	  * use freemem() without size

2004-05-02 17:15  peter <peter@freepascal.org>

	* rtl/inc/generic.inc:
	
	  * fix arguments for shortstr_compare

2004-05-02 16:46  marco <marcov@stack.nl>

	* rtl/win32/wininc/: ascdef.inc, ascfun.inc, unidef.inc,
	unifun.inc:
	
	 * some confusion over createfont, cleaned up (bug 3056)

2004-05-02 15:40  marco <marcov@stack.nl>

	* rtl/objpas/sysutils/dati.inc:
	
	 * fix to AM/PM behaviour of formatdatetime around noon

2004-05-02 15:05  marco <marcov@stack.nl>

	* rtl/win32/crt.pp:
	
	 * Fixes for numeric keypad enter and /

2004-05-02 04:06  karoly

	* rtl/morphos/system.pp:
	
	  + most of file I/O calls implemented

2004-05-02 03:00  peter <peter@freepascal.org>

	* rtl/linux/ptypes.inc:
	
	  * statfs fixed

2004-05-02 02:31  peter <peter@freepascal.org>

	* rtl/inc/generic.inc:
	
	  * fixed compile with 1.0.x

2004-05-02 01:55  peter <peter@freepascal.org>

	* rtl/: inc/astrings.inc, inc/cgenstr.inc, inc/compproc.inc,
	inc/generic.inc, inc/genstr.inc, inc/sstrings.inc, inc/strings.pp,
	inc/stringsi.inc, inc/systemh.inc, inc/wstrings.inc,
	objpas/sysutils/syspch.inc, objpas/sysutils/syspchh.inc,
	x86_64/strings.inc, x86_64/strlen.inc:
	
	  * replace strlenint with sizeint

2004-05-01 22:52  peter <peter@freepascal.org>

	* rtl/inc/: compproc.inc, generic.inc, sstrings.inc, systemh.inc,
	text.inc:
	
	  * ValSInt fixed for 64 bit

2004-05-01 22:52  peter <peter@freepascal.org>

	* rtl/: inc/mouse.inc, linux/termiosproc.inc:
	
	  * ptrint fixes

2004-05-01 19:02  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/: powerpc.inc, strings.inc, stringss.inc:
	
	  * use some more string routines from libc if FPC_USE_LIBC is used

2004-05-01 18:35  peter <peter@freepascal.org>

	* rtl/unix/linuxnew.inc:
	
	  * ptrint

2004-05-01 17:59  florian <florian@freepascal.org>

	* rtl/: linux/osmain.inc, linux/ossysc.inc, linux/signal.inc,
	linux/x86_64/sighnd.inc, x86_64/x86_64.inc:
	
	  * x86_64 exception handling fixed

2004-05-01 17:26  jonas <jonas.maebe@rug.ac.be>

	* rtl/: i386/strings.inc, i386/stringss.inc, inc/cgeneric.inc,
	inc/cgenstr.inc, inc/generic.inc, inc/strings.pp, inc/system.inc:
	
	  * use some more string routines from libc if FPC_USE_LIBC is used

2004-05-01 17:09  karoly

	* rtl/morphos/system.pp:
	
	  * first working system unit (very limited yet)

2004-05-01 17:08  karoly

	* rtl/morphos/prt0.as:
	
	  + haltproc added, saving/restoring stackpointer added

2004-05-01 13:56  marco <marcov@stack.nl>

	* rtl/objpas/sysutils/: filutilh.inc, fina.inc:
	
	 * fileno -> getfilehandle

2004-05-01 13:04  marco <marcov@stack.nl>

	* rtl/objpas/sysutils/: filutilh.inc, fina.inc:
	
	 * fileno

2004-04-30 19:53  carl <carl@freepascal.org>

	* rtl/atari/Makefile:
	
	file Makefile was initially added on branch FIXES_1_0_0.

2004-04-29 23:33  florian <florian@freepascal.org>

	* rtl/inc/objpas.inc:
	
	  * fixed tobject.dispatch for 64 bit cpus

2004-04-29 22:00  peter <peter@freepascal.org>

	* rtl/: i386/i386.inc, powerpc/powerpc.inc:
	
	  * inclocked_longint ifdef fixed

2004-04-29 21:50  peter <peter@freepascal.org>

	* rtl/: inc/compproc.inc, inc/generic.inc, x86_64/x86_64.inc:
	
	  * x86-64 fixes

2004-04-29 20:59  peter <peter@freepascal.org>

	* rtl/inc/: astrings.inc, compproc.inc, int64.inc, sstrings.inc,
	systemh.inc, text.inc, wstrings.inc:
	
	  * str() helpers now also use valint/valuint
	  * int64/qword helpers disabled for cpu64

2004-04-29 13:48  olle

	* rtl/macos/README:
	
	  * updated

2004-04-29 13:28  olle

	* rtl/macos/macostp.inc:
	
	  * fixed wrong external directive

2004-04-29 13:27  olle

	* rtl/macos/system.pp:
	
	  * do_read/do_write addr arg changed to pointer
	  * misc internal changes

2004-04-28 23:01  florian <florian@freepascal.org>

	* rtl/inc/generic.inc:
	
	  * tvmt fixed (longint -> ptrint)

2004-04-28 22:48  peter <peter@freepascal.org>

	* rtl/: inc/generic.inc, inc/heaptrc.pp, inc/lineinfo.pp,
	inc/objects.pp, inc/objpas.inc, linux/bunxfunc.inc,
	linux/ipcsys.inc, linux/sysc11.inc, linux/unixsysc.inc,
	objpas/varutils.inc, objpas/sysutils/filutilh.inc,
	objpas/sysutils/sysstr.inc, objpas/sysutils/sysutils.inc,
	unix/sysutils.pp:
	
	  * ordinal-pointer conversions fixed

2004-04-28 21:52  peter <peter@freepascal.org>

	* rtl/inc/objpash.inc:
	
	  * vtype changed to ptrint

2004-04-28 00:16  olle

	* rtl/macos/: Makefile, Makefile.fpc:
	
	  * removed dos and objects form units list

2004-04-27 22:47  florian <florian@freepascal.org>

	* rtl/linux/: osmain.inc, ossysc.inc, signal.inc:
	
	  * tried to fix x86-64 signal handling

2004-04-27 20:47  florian <florian@freepascal.org>

	* rtl/inc/except.inc:
	
	  * exception addr record size for 64 bit systems fixed

2004-04-27 19:29  florian <florian@freepascal.org>

	* rtl/objpas/convutils.pp:
	
	  * compilation with 1.0.10 fixed

2004-04-26 23:06  peter <peter@freepascal.org>

	* rtl/inc/objpash.inc:
	
	  * class size changed to aint

2004-04-26 21:23  florian <florian@freepascal.org>

	* rtl/x86_64/setjump.inc:
	
	  * saving of rbp in setjmp fixe

2004-04-26 18:53  peter <peter@freepascal.org>

	* rtl/linux/: Makefile, Makefile.fpc, ctypes.inc, ptypes.inc,
	systypes.inc:
	
	  * use cpu64

2004-04-26 18:20  peter <peter@freepascal.org>

	* rtl/inc/heap.inc:
	
	  * 64bit fixes

2004-04-26 17:55  peter <peter@freepascal.org>

	* rtl/: i386/i386.inc, inc/generic.inc, x86_64/x86_64.inc:
	
	  * FPC_MOVE alias

2004-04-26 16:50  peter <peter@freepascal.org>

	* rtl/unix/sysutils.pp:
	
	  * FileIsReadOnly fixed

2004-04-26 13:31  marco <marcov@stack.nl>

	* rtl/win32/: Makefile, Makefile.fpc:
	
	 * strutils, convutils added

2004-04-25 22:33  marco <marcov@stack.nl>

	* rtl/unix/ipccdecl.inc:
	
	 * intiial

2004-04-25 21:15  marco <marcov@stack.nl>

	* rtl/: bsd/ipcbsd.inc, linux/ipccall.inc, linux/ipcsys.inc,
	unix/ipc.pp:
	
	 * IPC reform

2004-04-25 18:32  florian <florian@freepascal.org>

	* rtl/inc/objpash.inc:
	
	  * fixed vmt issues on 64 bit systems

2004-04-25 17:07  marco <marcov@stack.nl>

	* rtl/freebsd/sysnr.inc:
	
	 * IPC syscalls moved

2004-04-25 09:18  florian <florian@freepascal.org>

	* rtl/linux/ossysc.inc:
	
	  * mmap for x86-64 fixed

2004-04-24 22:13  florian <florian@freepascal.org>

	* rtl/x86_64/: setjump.inc, setjumph.inc:
	
	  * fixed x86-64 exception handling

2004-04-24 20:31  florian <florian@freepascal.org>

	* rtl/x86_64/math.inc:
	
	  * trunc and round for x86-64 fixed

2004-04-24 19:14  florian <florian@freepascal.org>

	* rtl/: inc/int64.inc, linux/x86_64/prt0.as:
	
	  * prt0.as exit code handling fixed
	  * int64 mod int64 for negative numbers fixed

2004-04-23 21:16  marco <marcov@stack.nl>

	* rtl/: freebsd/unixsysc.inc, linux/unixsysc.inc, unix/unix.pp,
	unix/unxdeclh.inc:
	
	 * flock -> fpflock because of conflicting structure name

2004-04-22 23:16  peter <peter@freepascal.org>

	* rtl/linux/osmain.inc:
	
	  * do_write/do_read fix

2004-04-22 23:10  peter <peter@freepascal.org>

	* rtl/: beos/Makefile, beos/Makefile.fpc, beos/system.pp,
	bsd/osmain.inc, emx/Makefile, emx/Makefile.fpc, emx/system.pas,
	go32v2/system.pp, inc/file.inc, inc/text.inc, inc/typefile.inc,
	os2/system.pas, watcom/system.pp, win32/system.pp:
	
	  * do_read/do_write addr argument changed to pointer

2004-04-22 23:10  peter <peter@freepascal.org>

	* rtl/inc/lineinfo.pp:
	
	  * elf64 support

2004-04-22 22:59  peter <peter@freepascal.org>

	* rtl/inc/: mouse.inc, objects.pp:
	
	  * longint to ptrint

2004-04-22 22:20  peter <peter@freepascal.org>

	* rtl/x86_64/x86_64.inc:
	
	  * get_caller_addr fixed

2004-04-22 21:43  peter <peter@freepascal.org>

	* rtl/inc/: lineinfo.pp, system.inc:
	
	  * fix 64bit address printing

2004-04-22 19:17  peter <peter@freepascal.org>

	* rtl/: unix/ipc.pp, unix/unix.pp, linux/bunxfunc.inc,
	linux/unixsock.inc, linux/unxsysc.inc, linux/x86_64/syscall.inc,
	linux/x86_64/syscallh.inc:
	
	  * x86-64 fixes

2004-04-22 19:10  peter <peter@freepascal.org>

	* rtl/inc/: system.inc, systemh.inc:
	
	  * random(int64) added

2004-04-22 18:22  marco <marcov@stack.nl>

	* rtl/bsd/unxsysc.inc:
	
	 * fpnice fixes

2004-04-21 23:26  florian <florian@freepascal.org>

	* rtl/x86_64/x86_64.inc:
	
	  * commented out broken fillchar and move

2004-04-21 05:24  karoly

	* rtl/morphos/prt0.as:
	
	 * rewritten to be similar to GCC startup code

2004-04-21 01:31  olle

	* rtl/: Makefile, amiga/Makefile, beos/Makefile, darwin/Makefile,
	emx/Makefile, freebsd/Makefile, go32v2/Makefile, linux/Makefile,
	macos/Makefile, netbsd/Makefile, netware/Makefile,
	openbsd/Makefile, os2/Makefile, watcom/Makefile, win32/Makefile:
	
	  * updated according to the new version of fpcmake.ini

2004-04-21 00:48  olle

	* rtl/macos/Makefile.fpc:
	
	  + added all units that currently compile on MacOS

2004-04-21 00:46  olle

	* rtl/Makefile.fpc:
	
	  + added macos support

2004-04-20 22:30  florian <florian@freepascal.org>

	* rtl/linux/x86_64/prt0.as:
	
	  * fixed halt code

2004-04-20 22:27  florian <florian@freepascal.org>

	* rtl/linux/: ossysc.inc, x86_64/sysnr.inc:
	
	  * x86_64 syscall numbers fixed

2004-04-20 20:24  marco <marcov@stack.nl>

	* rtl/unix/sysutils.pp:
	
	 * small fix for NIL arg ptr in first executeprocess

2004-04-18 21:38  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/classes/stringl.inc:
	
	+ Patch from Colin Western

2004-04-18 20:39  marco <marcov@stack.nl>

	* rtl/freebsd/: Makefile, Makefile.fpc:
	
	 * Makefile stuff

2004-04-16 12:07  michael <michael.vancanneyt@wisa.be>

	* rtl/: objpas/varutilh.inc, win32/varutils.pp:
	
	+ Case change (bug 3050)

2004-04-12 21:05  florian <florian@freepascal.org>

	* rtl/linux/x86_64/prt0.as:
	
	  + haltproc added

2004-04-12 20:51  florian <florian@freepascal.org>

	* rtl/inc/compproc.inc:
	
	  * fixed getmem prototype for 64 bit systems

2004-04-12 18:33  peter <peter@freepascal.org>

	* rtl/linux/ossysc.inc:
	
	  * readdir now uses getdents, patch from Joost van der Sluis

2004-04-12 12:31  marco <marcov@stack.nl>

	* rtl/unix/x86.pp:
	
	 * ioperm/iopl added from linuxold. Untested but will probably work

2004-04-09 06:02  karoly

	* rtl/morphos/prt0.as:
	
	 * abox id symbol fixed

2004-04-09 04:58  karoly

	* rtl/morphos/prt0.as:
	
	 * typo fixed.

2004-04-09 04:54  karoly

	* rtl/morphos/prt0.as:
	
	 * execbase loading oops fixed.

2004-04-08 18:37  peter <peter@freepascal.org>

	* rtl/objpas/math.pp:
	
	  * disable range,overflow check when generating Nan/Inf

2004-04-08 08:28  karoly

	* rtl/morphos/system.pp:
	
	 * first steps to have a morphos system unit

2004-04-07 11:26  michael <michael.vancanneyt@wisa.be>

	* rtl/win32/dos.pp:
	
	+ Patch for findfirst (bug 3042) from Peter Vreman

2004-03-31 23:49  florian <florian@freepascal.org>

	* rtl/inc/objects.pp:
	
	  * fixed GetParentFrame for ARM

2004-03-28 21:36  marco <marcov@stack.nl>

	* rtl/unix/bunxovl.inc:
	
	 * fix for recursive fpc.exe ?

2004-03-28 00:22  florian <florian@freepascal.org>

	* rtl/inc/rtti.inc:
	
	  * fixed alignment issues

2004-03-27 20:20  florian <florian@freepascal.org>

	* rtl/linux/arm/sighnd.inc:
	
	  * signal handling fixed

2004-03-27 15:35  florian <florian@freepascal.org>

	* rtl/linux/signal.inc:
	
	  * structs for arm adapted

2004-03-27 15:34  florian <florian@freepascal.org>

	* rtl/linux/ossysc.inc:
	
	  * use rt_sigaction syscall on arm

2004-03-27 15:33  florian <florian@freepascal.org>

	* rtl/linux/osmain.inc:
	
	  * tell sigaction to pass siginfo on arm

2004-03-24 20:23  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/system.pas:
	
	  * misleading warning removed

2004-03-24 20:15  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/system.pas:
	
	  * heap management modified to be able to grow heap as needed

2004-03-23 23:36  peter <peter@freepascal.org>

	* rtl/unix/graph16.inc:
	
	  * use smallint instead of integer

2004-03-23 23:35  peter <peter@freepascal.org>

	* rtl/inc/systemh.inc:
	
	  * new compiler has smallint,longint,word internal defined

2004-03-23 23:35  peter <peter@freepascal.org>

	* rtl/inc/cmem.pp:
	
	  * dec ptr before free in reallocmem

2004-03-23 22:03  florian <florian@freepascal.org>

	* rtl/arm/: arm.inc, int64p.inc:
	
	  + assembler implementation of fpc_mul_qword
	  * fpu exceptions are now generated

2004-03-23 20:13  florian <florian@freepascal.org>

	* rtl/arm/setjump.inc:
	
	  * setjmp fixed

2004-03-22 23:19  florian <florian@freepascal.org>

	* rtl/inc/objpas.inc:
	
	  * more alignment fixes

2004-03-22 07:49  marco <marcov@stack.nl>

	* rtl/linux/unixsock.inc:
	
	 * more fixes from Lloyd

2004-03-21 23:41  florian <florian@freepascal.org>

	* rtl/inc/objpas.inc:
	
	  * CleanupInstance takes now care of FPC_REQUIRES_PROPER_ALIGNMENT

2004-03-21 21:35  hajny <xhajt03@mbox.vol.cz>

	* rtl/emx/dos.pas:
	
	  * Exec cleanup

2004-03-21 21:28  hajny <xhajt03@mbox.vol.cz>

	* rtl/: emx/crt.pas, os2/crt.pas:
	
	  + Cursor* implemented

2004-03-21 21:24  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/pmdev.pas:
	
	  * C array passing warning fixed

2004-03-21 21:22  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/dos.pas:
	
	  * Exec cleanup

2004-03-21 21:18  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/ports.pas:
	
	  * regcall fixes

2004-03-21 00:42  marco <marcov@stack.nl>

	* rtl/freebsd/: Makefile, Makefile.fpc:
	
	 * convutils added

2004-03-21 00:41  marco <marcov@stack.nl>

	* rtl/objpas/convutils.pp:
	
	 * Initial version

2004-03-20 16:19  marco <marcov@stack.nl>

	* rtl/linux/unixsock.inc:
	
	 * *BSD do_syscall was left behind. Replaced with socketcall

2004-03-19 13:54  marco <marcov@stack.nl>

	* rtl/objpas/strutils.pp:
	
	 * more strutils small things

2004-03-18 17:55  marco <marcov@stack.nl>

	* rtl/objpas/strutils.pp:
	
	 * more simple implementations done, based on copy() Largely
	untested

2004-03-18 17:54  marco <marcov@stack.nl>

	* rtl/freebsd/: Makefile, Makefile.fpc:
	
	 * strutils added

2004-03-18 17:12  marco <marcov@stack.nl>

	* rtl/inc/stdsock.inc:
	
	 * Now working under Darwin

2004-03-17 23:18  marco <marcov@stack.nl>

	* rtl/objpas/strutils.pp:
	
	 * initial implementations for some routines

2004-03-17 13:50  michael <michael.vancanneyt@wisa.be>

	* rtl/inc/cmem.pp:
	
	* Fixed: Macavail -> CMaxAvail (from Marc Weustinc)

2004-03-16 23:56  marco <marcov@stack.nl>

	* rtl/inc/stdsock.inc:
	
	 * stupid mistake fixed

2004-03-16 23:02  florian <florian@freepascal.org>

	* rtl/arm/math.inc:
	
	  * disabled internal ln

2004-03-16 20:15  marco <marcov@stack.nl>

	* rtl/inc/socketsh.inc:
	
	 * sockaddr is now a union between the old and new struct as grace
	period

2004-03-16 19:24  marco <marcov@stack.nl>

	* rtl/darwin/unxsockh.inc:
	
	 * copied from FreeBSD, needs checking

2004-03-16 19:20  marco <marcov@stack.nl>

	* rtl/darwin/: Makefile, Makefile.fpc:
	
	 * sockets active again

2004-03-16 19:04  marco <marcov@stack.nl>

	* rtl/inc/: sockovl.inc, stdsock.inc:
	
	 * new files sockets changes

2004-03-16 19:03  marco <marcov@stack.nl>

	* rtl/: freebsd/unixsock.inc, freebsd/unxsockh.inc,
	inc/socketsh.inc, linux/unixsock.inc, linux/unxsockh.inc,
	unix/sockets.pp, win32/sockets.pp:
	
	 * first changes sockets units

2004-03-16 16:25  peter <peter@freepascal.org>

	* rtl/inc/cmem.pp:
	
	  * adaption to compile with 1.0.x in new rtl

2004-03-16 11:29  karoly

	* rtl/morphos/prt0.as:
	
	 * first implementation of some startup code for MOS

2004-03-16 11:19  mazen <mazen@freepascal.org>

	* rtl/linux/sparc/prt0.as:
	
	+ _haltproc definition for linux/sparc

2004-03-15 22:48  peter <peter@freepascal.org>

	* rtl/: darwin/Makefile, darwin/Makefile.fpc, freebsd/Makefile,
	freebsd/Makefile.fpc, inc/cmem.pp, inc/heap.inc, inc/heaph.inc,
	inc/heaptrc.pp, linux/Makefile, linux/Makefile.fpc, win32/Makefile,
	win32/Makefile.fpc:
	
	  * cmem moved to rtl
	  * longint replaced with ptrint in heapmanagers

2004-03-15 21:43  peter <peter@freepascal.org>

	* rtl/unix/unixutil.pp:
	
	  * fix memory allocation in stringtoppchar

2004-03-15 21:42  peter <peter@freepascal.org>

	* rtl/inc/heap.inc:
	
	  * exit with rte 204 instead of looping infinite when a heap
	record
	    size is overwritten with 0

2004-03-15 15:22  michael <michael.vancanneyt@wisa.be>

	* rtl/inc/heaptrc.pp:
	
	+ Fix from peter for win32 SIGTRAp signal

2004-03-14 22:45  florian <florian@freepascal.org>

	* rtl/arm/: arm.inc, int64p.inc:
	
	  * draft for qword mul

2004-03-14 19:42  peter <peter@freepascal.org>

	* rtl/: unix/dos.pp, win32/dos.pp:
	
	  * reset searchrec info in findfirst

2004-03-14 16:03  carl <carl@freepascal.org>

	* rtl/atari/Makefile.fpc:
	
	file Makefile.fpc was initially added on branch FIXES_1_0_0.

2004-03-13 19:47  florian <florian@freepascal.org>

	* rtl/inc/real2str.inc:
	
	  * "improved" behavior of real2str for arm, still needs fixing

2004-03-13 19:33  florian <florian@freepascal.org>

	* rtl/inc/: genmath.inc, real2str.inc:
	
	  * fixed some arm related real stuff

2004-03-11 23:39  florian <florian@freepascal.org>

	* rtl/: inc/genmath.inc, linux/arm/prt0.as:
	
	  * arm startup code fixed
	  * made some generic math code more readable

2004-03-10 22:41  jonas <jonas.maebe@rug.ac.be>

	* rtl/linux/i386/syscall.inc:
	
	  * fixed syscall return value checking

2004-03-10 21:38  peter <peter@freepascal.org>

	* rtl/linux/: Makefile, Makefile.fpc, arm/cprt21.as,
	i386/gprt21.as, powerpc/cprt21.as, sparc/cprt21.as,
	x86_64/cprt21.as:
	
	  * only i386 needs cprt21 to link with glibc 2.1+

2004-03-10 21:35  peter <peter@freepascal.org>

	* rtl/linux/osmain.inc:
	
	  * call _haltproc instead of exit(). This is required for libc
	linking

2004-03-10 16:08  marco <marcov@stack.nl>

	* rtl/win32/wininc/struct.inc:
	
	wininc/struct.inc

2004-03-09 20:40  marco <marcov@stack.nl>

	* rtl/: freebsd/unxsockh.inc, linux/unxsockh.inc:
	
	 * header for sockets unit

2004-03-08 23:31  hajny <xhajt03@mbox.vol.cz>

	* rtl/emx/dos.pas:
	
	  * exec fix

2004-03-08 09:12  michael <michael.vancanneyt@wisa.be>

	* rtl/win32/signals.pp:
	
	+ Fix by peter for calling conventions

2004-03-07 18:07  hajny <xhajt03@mbox.vol.cz>

	* rtl/netware/: Makefile, Makefile.fpc:
	
	  * spaces instead of a tab

2004-03-07 00:18  hajny <xhajt03@mbox.vol.cz>

	* rtl/go32v2/graph.pp:
	
	  * proper regcall fixes

2004-03-06 02:27  marco <marcov@stack.nl>

	* rtl/freebsd/tthread.inc:
	
	 * Somebody forgot to adapt bsd again

2004-03-05 23:18  jonas <jonas.maebe@rug.ac.be>

	* rtl/unix/terminfo.pp:
	
	  * fixed declaration for cur_term for darwin now that the
	importing of
	    variables from shared libraries works

2004-03-05 13:17  marco <marcov@stack.nl>

	* rtl/: arm/sysutilp.inc, i386/sysutilp.inc,
	objpas/sysutils/systhrdh.inc, powerpc/sysutilp.inc,
	sparc/sysutilp.inc, win32/wininc/redef.inc, x86_64/sysutilp.inc:
	
	 * interlocked* changed to longints, including winapi. (which was a
	bug)

2004-03-04 23:37  marco <marcov@stack.nl>

	* rtl/darwin/: Makefile, Makefile.fpc:
	
	 * more unixtype fixes

2004-03-04 23:28  marco <marcov@stack.nl>

	* rtl/darwin/Makefile:
	
	 * updated

2004-03-04 23:28  marco <marcov@stack.nl>

	* rtl/darwin/: Makefile.fpc, ptypes.inc:
	
	 * Darwin specific unixtype fixes.

2004-03-04 23:15  marco <marcov@stack.nl>

	* rtl/: bsd/baseunix.pp, bsd/bunxtype.inc, bsd/sysctl.pp,
	freebsd/Makefile, freebsd/Makefile.fpc, freebsd/ptypes.inc,
	freebsd/unixsysc.inc, linux/Makefile, linux/Makefile.fpc,
	linux/baseunix.pp, linux/bunxtype.inc, linux/ptypes.inc,
	unix/aliasctp.inc, unix/aliasptp.inc, unix/dos.pp,
	unix/sysutils.pp, unix/unix.pp, unix/unixtype.pp:
	
	 * UnixType changes. Please report problems to me.

2004-03-04 16:39  olle

	* rtl/macos/: Makefile, README:
	
	  * updated for macos

2004-03-04 14:10  olle

	* rtl/: darwin/errno.inc, freebsd/errno.inc,
	freebsd/i386/sighnd.inc, linux/errno.inc, netbsd/errno.inc,
	netbsd/unixsysc.inc, netbsd/i386/sighnd.inc, openbsd/errno.inc,
	openbsd/unixsysc.inc, openbsd/i386/sighnd.inc, unix/errors.pp,
	unix/linuxold.inc:
	
	  + added comment to ETXTBSY
	  * changed i386 -> cpui386, m68k -> cpum68k

2004-03-04 13:42  jonas <jonas.maebe@rug.ac.be>

	* rtl/darwin/tthread.inc:
	
	  - removed legacy code

2004-03-04 13:34  jonas <jonas.maebe@rug.ac.be>

	* rtl/darwin/tthread.inc:
	
	  * fixed compilation

2004-03-03 23:10  peter <peter@freepascal.org>

	* rtl/linux/i386/syscall.inc:
	
	  * fixed previous commit

2004-03-03 23:03  peter <peter@freepascal.org>

	* rtl/linux/i386/syscall.inc:
	
	  * regcall fix for threadvar

2004-03-03 23:00  peter <peter@freepascal.org>

	* rtl/linux/tthread.inc:
	
	  * remove cdecl

2004-03-03 23:00  peter <peter@freepascal.org>

	* rtl/unix/cthreads.pp:
	
	  * $ifdef debug code

2004-03-03 18:23  olle

	* rtl/unix/unix.pp:
	
	  * tiny tiny flaw fix

2004-03-01 20:50  jonas <jonas.maebe@rug.ac.be>

	* rtl/darwin/ptypes.inc:
	
	  - removed wordsinfdset again, because now it's defined in a
	common file

2004-02-29 14:46  marco <marcov@stack.nl>

	* rtl/bsd/bunxtype.inc:
	
	 * forgotten?

2004-02-26 17:19  peter <peter@freepascal.org>

	* rtl/inc/: objpas.inc, rtti.inc:
	
	  * tkclass removed from finalize()
	  * cleanupinstance now parses the tkclass rtti entry itself and
	    calls finalize() for the rtti members

2004-02-26 13:42  michael <michael.vancanneyt@wisa.be>

	* rtl/inc/rtti.inc:
	
	+ Patch from peter to fix finalize (bug 2975)

2004-02-26 09:46  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/sysutils/: sysstr.inc, sysstrh.inc:
	
	+ Added AnsiSameStr

2004-02-23 16:52  peter <peter@freepascal.org>

	* rtl/x86_64/x86_64.inc:
	
	  * don't use ret

2004-02-23 00:22  florian <florian@freepascal.org>

	* rtl/inc/: thread.inc, threadh.inc:
	
	  * fixed BeginThread on unix

2004-02-23 00:18  jonas <jonas.maebe@rug.ac.be>

	* rtl/darwin/ptypes.inc:
	
	  + added wordsinfdset constant

2004-02-22 17:48  florian <florian@freepascal.org>

	* rtl/: inc/getopts.pp, inc/thread.inc, inc/threadh.inc,
	objpas/typinfo.pp, objpas/classes/reader.inc,
	objpas/classes/writer.inc, unix/cthreads.pp:
	
	  * several 64 bit issues fixed

2004-02-22 17:07  hajny <xhajt03@mbox.vol.cz>

	* rtl/: amiga/Makefile, beos/Makefile, darwin/Makefile,
	emx/Makefile, freebsd/Makefile, go32v2/Makefile, Makefile,
	linux/Makefile, netbsd/Makefile, os2/Makefile, win32/Makefile:
	
	Makefiles regenerated

2004-02-22 16:06  marco <marcov@stack.nl>

	* rtl/unix/genfdset.inc:
	
	 * fix for fdset. introduciton of wordsinfdset

2004-02-22 16:01  hajny <xhajt03@mbox.vol.cz>

	* rtl/: emx/dos.pas, emx/sysutils.pp, os2/dos.pas, os2/system.pas,
	os2/sysutils.pp:
	
	  * lots of fixes (regcall, THandle, string operations in sysutils,
	longint2cardinal according to OS/2 docs, dosh.inc, ...)

2004-02-22 16:00  marco <marcov@stack.nl>

	* rtl/linux/bunxtype.inc:
	
	 * genfdset word count added. Small fix for libc maxsigsetsize

2004-02-22 00:18  marco <marcov@stack.nl>

	* rtl/linux/bunxfunc.inc:
	
	 * powerpc select fix

2004-02-21 23:53  florian <florian@freepascal.org>

	* rtl/: objpas/typinfo.pp, x86_64/mathu.inc, x86_64/mathuh.inc:
	
	  * several 64 bit/x86-64 fixes

2004-02-21 17:27  marco <marcov@stack.nl>

	* rtl/linux/: ossysc.inc, sysconst.inc:
	
	 * hmprf, Linux has different ioctls kernel<->libc

2004-02-21 17:24  marco <marcov@stack.nl>

	* rtl/linux/termios.inc:
	
	 * ppc ioctl nr fixed

2004-02-21 17:22  florian <florian@freepascal.org>

	* rtl/linux/termios.inc:
	
	  * fixed termios constants

2004-02-21 16:14  marco <marcov@stack.nl>

	* rtl/linux/: ossysc.inc, sysconst.inc, termios.inc:
	
	 * ppc ioctl nr fixed

2004-02-21 00:48  peter <peter@freepascal.org>

	* rtl/linux/x86_64/: cprt0.as, prt0.as:
	
	  * c stub implemented

2004-02-20 23:15  florian <florian@freepascal.org>

	* rtl/: inc/systemh.inc, objpas/sysutils/syspch.inc,
	objpas/sysutils/syspchh.inc, x86_64/sysutilp.inc:
	
	  + x86_64 dependend sysutils part added
	  * some 64 bit adaptions

2004-02-20 21:10  florian <florian@freepascal.org>

	* rtl/objpas/math.pp:
	
	  + added Inf/Nan stuff

2004-02-20 16:55  peter <peter@freepascal.org>

	* rtl/objpas/typinfo.pp:
	
	  * enable variant again

2004-02-20 12:01  daniel <daniel@deadlock.et.tudelft.nl>

	* rtl/inc/: system.inc, systemh.inc:
	
	  * Applied

2004-02-19 22:30  daniel <daniel@deadlock.et.tudelft.nl>

	* rtl/unix/linuxold.inc:
	
	  * do_syscall back to oldfpccall

2004-02-19 22:06  daniel <daniel@deadlock.et.tudelft.nl>

	* rtl/unix/linuxold.inc:
	
	  * This time it should work.

2004-02-19 21:56  daniel <daniel@deadlock.et.tudelft.nl>

	* rtl/unix/linuxold.inc:
	
	  * Make it compile with 1.0.10

2004-02-19 20:50  daniel <daniel@deadlock.et.tudelft.nl>

	* rtl/unix/linuxold.inc:
	
	  * More oldfpccall

2004-02-19 20:43  daniel <daniel@deadlock.et.tudelft.nl>

	* rtl/unix/linuxold.inc:
	
	  * Do_syscall needs oldfpccall

2004-02-19 20:34  marco <marcov@stack.nl>

	* rtl/unix/linuxold.inc:
	
	 * stdcall to syscall

2004-02-18 23:00  peter <peter@freepascal.org>

	* rtl/: inc/strings.pp, inc/stringsi.inc, x86_64/strings.inc,
	x86_64/strlen.inc:
	
	  * use strlenint instead of longint

2004-02-18 23:00  peter <peter@freepascal.org>

	* rtl/unix/dos.pp:
	
	  * dirptr changed to pointer

2004-02-18 22:59  peter <peter@freepascal.org>

	* rtl/inc/objects.pp:
	
	  * x86_64 added

2004-02-18 22:40  peter <peter@freepascal.org>

	* rtl/x86_64/stringss.inc:
	
	  * dummy added

2004-02-18 20:08  florian <florian@freepascal.org>

	* rtl/unix/dos.pp:
	
	  * fixed bootstrapping with 1.9.2

2004-02-17 18:37  daniel <daniel@deadlock.et.tudelft.nl>

	* rtl/: amiga/dos.pp, beos/dos.pp, emx/dos.pas, go32v2/dos.pp,
	netware/dos.pp, os2/dos.pas, unix/dos.pp, watcom/dos.pp,
	win32/dos.pp:
	
	  * Enable threadvars again

2004-02-16 23:16  hajny <xhajt03@mbox.vol.cz>

	* rtl/: amiga/dos.pp, beos/dos.pp, emx/dos.pas, go32v2/dos.pp,
	netware/dos.pp, os2/dos.pas, os2/system.pas, unix/dos.pp,
	watcom/dos.pp, win32/dos.pp:
	
	  * LastDosExitCode changed back from threadvar temporarily

2004-02-16 14:21  marco <marcov@stack.nl>

	* rtl/unix/unix.pp:
	
	 * fpexec for popen

2004-02-15 22:37  hajny <xhajt03@mbox.vol.cz>

	* rtl/win32/system.pp:
	
	  * ProcessID initialization added

2004-02-15 22:34  hajny <xhajt03@mbox.vol.cz>

	* rtl/: go32v2/dos.pp, go32v2/sysutils.pp, inc/dosh.inc,
	netware/dos.pp, netware/sysutils.pp, os2/dos.pas, os2/sysutils.pp,
	unix/dos.pp, watcom/dos.pp, watcom/sysutils.pp, win32/dos.pp:
	
	  * overloaded ExecuteProcess added, EnvStr param changed to
	longint

2004-02-15 22:26  hajny <xhajt03@mbox.vol.cz>

	* rtl/: amiga/dos.pp, beos/dos.pp, beos/sysutils.pp, emx/dos.pas,
	emx/sysutils.pp:
	
	  * overloaded ExecuteProcess added, EnvStr param changed to
	longint

2004-02-15 17:33  marco <marcov@stack.nl>

	* rtl/unix/cthreads.pp:
	
	 * linklibs fixed for new pthread mechanism on FreeBSD

2004-02-15 12:27  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/classes/lists.inc:
	
	+ Fixed notification in case of a clear

2004-02-15 09:02  yuri

	* rtl/os2/: dos.pas, sysutils.pp, todo-os2.txt:
	
	* fixes for dosh.inc * Executeprocess iverloaded function * updated
	todo

2004-02-14 22:12  marco <marcov@stack.nl>

	* rtl/unix/unix.pp:
	
	 * provisorische fix voor Michael's problemen

2004-02-14 19:22  marco <marcov@stack.nl>

	* rtl/unix/unix.pp:
	
	 * fpsystem, and some FPC_USE_LIBC fixes. (FreeBSD needs
	systypes.inc, also when FPC_USE_LIBC, it only contains types like
	statfs

2004-02-13 14:02  marco <marcov@stack.nl>

	* rtl/objpas/sysutils/osutilsh.inc:
	
	 * addition of second executeprocess prototype

2004-02-13 11:50  marco <marcov@stack.nl>

	* rtl/: unix/unix.pp, unix/sysutils.pp, unix/unixutil.pp,
	win32/sysutils.pp:
	
	 * Hopefully last large changes to fpexec and friends.
		- naming conventions changes from Michael.
		- shell functions get alternative under ifdef.
		- arraystring function moves to unixutil
		- unixutil now regards quotes in stringtoppchar.
		- sysutils/unix get executeprocess(ansi,array of ansi), and
			both executeprocess functions are fixed
		- Sysutils/win32 get executeprocess(ansi,array of ansi)

2004-02-13 08:19  karoly

	* rtl/morphos/system.pp:
	
	 * quick hack from Linux system unit

2004-02-12 17:20  marco <marcov@stack.nl>

	* rtl/unix/unix.pp:
	
	 * currentpath stuff fixed for fsearch

2004-02-12 16:31  marco <marcov@stack.nl>

	* rtl/unix/: sysutils.pp, unix.pp:
	
	 * First version of fpexec change. Still under ifdef or silently
	overloaded

2004-02-09 21:21  olle

	* rtl/powerpc/math.inc:
	
	  * fixed global variable access in asm

2004-02-09 19:53  florian <florian@freepascal.org>

	* rtl/objpas/math.pp:
	
	  * compilation on ppc fixed

2004-02-09 19:33  florian <florian@freepascal.org>

	* rtl/inc/dosh.inc:
	
	  * intr and msdos for non i386 targets disabled

2004-02-09 18:21  marco <marcov@stack.nl>

	* rtl/objpas/math.pp:
	
	 * 1.0 compilation fixes

2004-02-09 18:11  marco <marcov@stack.nl>

	* rtl/unix/sysutils.pp:
	
	 * fixed for 1.0 errno->fpgeterrno

2004-02-09 18:01  marco <marcov@stack.nl>

	* rtl/unix/dos.pp:
	
	 * fixes to get it working under FreeBSD, and probably Linux too

2004-02-09 13:03  michael <michael.vancanneyt@wisa.be>

	* rtl/: amiga/dos.pp, beos/dos.pp, emx/dos.pas, go32v2/dos.pp,
	inc/dosh.inc, netware/dos.pp, os2/dos.pas, unix/dos.pp,
	watcom/dos.pp, win32/dos.pp:
	
	+ Switched to single interface in dosh.inc

2004-02-09 10:11  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/math.pp:
	
	+ Implemented SameValue

2004-02-09 09:55  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/math.pp:
	
	+ Missing functions IsZero,InRange,EnsureRange implemented

2004-02-08 18:11  marco <marcov@stack.nl>

	* rtl/win32/wininc/: func.inc, redef.inc:
	
	 * getsystemtimeasfiletime

2004-02-08 17:22  michael <michael.vancanneyt@wisa.be>

	* rtl/: amiga/crt.pp, emx/crt.pas, go32v2/crt.pp, netware/crt.pp,
	os2/crt.pas, unix/crt.pp, watcom/crt.pp, win32/crt.pp,
	inc/crth.inc:
	
	+ Moved CRT interface to common include file

2004-02-08 16:33  florian <florian@freepascal.org>

	* rtl/: inc/mathh.inc, linux/x86_64/prt0.as:
	
	  * linking problems fixed
	  + abi tag added

2004-02-08 16:05  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/sysutils/finah.inc:
	
	+ Made SameFileName Public

2004-02-08 15:50  michael <michael.vancanneyt@wisa.be>

	* rtl/: objpas/sysutils/filutilh.inc, objpas/sysutils/sysutils.inc,
	unix/sysutils.pp:
	
	+ Added fileIsReadOnly

2004-02-08 12:45  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/classes/: classesh.inc, collect.inc:
	
	+ Implemented TOwnedCollection

2004-02-08 12:44  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/sysconst.pp:
	
	+ OSERRor related constants

2004-02-08 12:02  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/sysutils/: osutilsh.inc, sysutils.inc:
	
	+ Implemented RaiseLastOSError

2004-02-08 12:01  michael <michael.vancanneyt@wisa.be>

	* rtl/unix/sysutils.pp:
	
	+ Implemented getlastoserror

2004-02-08 12:00  michael <michael.vancanneyt@wisa.be>

	* rtl/win32/: Makefile, Makefile.fpc, sysutils.pp, winsysut.pp:
	
	+ Implemented winsysut unit

2004-02-07 01:21  marco <marcov@stack.nl>

	* rtl/win32/wininc/redef.inc:
	
	 * small fix

2004-02-07 00:10  marco <marcov@stack.nl>

	* rtl/win32/wininc/struct.inc:
	
	 * a large_integer -> int64 change.

2004-02-07 00:06  florian <florian@freepascal.org>

	* rtl/: linux/ostypes.inc, linux/systypes.inc, linux/unixsock.inc,
	linux/arm/syscall.inc, linux/i386/syscall.inc,
	linux/powerpc/syscall.inc, linux/sparc/syscall.inc,
	linux/x86_64/syscall.inc, unix/ipc.pp:
	
	  - killed tsyscallregs

2004-02-06 23:47  marco <marcov@stack.nl>

	* rtl/win32/wininc/defines.inc:
	
	 * Macro changed to constant

2004-02-06 23:35  jonas <jonas.maebe@rug.ac.be>

	* rtl/unix/terminfo.pp:
	
	  + some darwin support, doesn't work yet because of imported
	variables
	    problem

2004-02-06 22:17  daniel <daniel@deadlock.et.tudelft.nl>

	* rtl/linux/ostypes.inc:
	
	  * Revert back to longint (it broke make cycle)

2004-02-06 21:47  jonas <jonas.maebe@rug.ac.be>

	* rtl/: bsd/ossysc.inc, unix/oscdeclh.inc:
	
	  + fpnanosleep for oscdeclh.inc
	  - removed obsolete darwin remarks from bsd/ossysc.inc

2004-02-06 21:17  daniel <daniel@deadlock.et.tudelft.nl>

	* rtl/inc/: heaptrc.pp, lineinfo.pp, system.inc:
	
	  * Use $ for hex numbers instead of alien 0x

2004-02-06 20:50  jonas <jonas.maebe@rug.ac.be>

	* rtl/: Makefile, Makefile.fpc:
	
	  - removed double dirs_darwin entry

2004-02-06 16:58  florian <florian@freepascal.org>

	* rtl/: linux/ossysc.inc, linux/ostypes.inc,
	linux/x86_64/syscall.inc, linux/x86_64/syscallh.inc,
	x86_64/math.inc, x86_64/x86_64.inc:
	
	  * fixed x86-64 assembler problems

2004-02-06 09:33  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/sysutils/sysutils.inc:
	
	+ Renamed intf to avoid conflicts

2004-02-06 09:32  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/sysutils/: intf.inc, sysuintf.inc:
	
	+ Renamed to avoid conflicts

2004-02-05 15:00  jonas <jonas.maebe@rug.ac.be>

	* rtl/darwin/: Makefile, Makefile.fpc, termios.inc,
	termiosproc.inc:
	
	  + some declarations added from other bsds and
	/usr/include/sys/termios.h
	    to termios.inc and termiosproc.inc (by Karl-Michael Schindler)
	  + added crt, mouse (because required by keyboard), keyboard,
	termio,
	    console to Darwin makefile (thanks to the above they now
	compile,
	    functionality untested)
	  * fixed wrong dependency for sysconst unit (it was always
	recompiled)

2004-02-05 02:16  florian <florian@freepascal.org>

	* rtl/: i386/i386.inc, inc/except.inc, inc/filerec.inc,
	inc/textrec.inc, linux/ossysc.inc, linux/signal.inc,
	linux/i386/sighnd.inc, linux/x86_64/sighnd.inc,
	linux/x86_64/stat.inc, linux/x86_64/syscall.inc, x86_64/math.inc,
	x86_64/x86_64.inc:
	
	  + completed x86-64/linux system unit

2004-02-04 16:17  olle

	* rtl/macos/system.pp:
	
	  * internal changes

2004-02-04 16:10  olle

	* rtl/macos/: Makefile, Makefile.fpc:
	
	  * misc fixes

2004-02-04 15:15  florian <florian@freepascal.org>

	* rtl/inc/genmath.inc:
	
	  * fixed generic system.int(...)

2004-02-02 22:02  peter <peter@freepascal.org>

	* rtl/linux/x86_64/prt0.as:
	
	  * fixed syntax errors

2004-02-02 21:39  florian <florian@freepascal.org>

	* rtl/inc/: generic.inc, innr.inc, systemh.inc:
	
	  + added prefetch(const mem)

2004-02-02 18:01  florian <florian@freepascal.org>

	* rtl/win32/system.pp:
	
	  * workaround for AMD prefetch bug

2004-02-02 04:24  yuri

	* rtl/os2/: Makefile, Makefile.fpc, prt0.as, prt1.as, system.pas:
	
	- prt1.as removed - removed tmporary code/comments - prt1
	compilation error workaround removed

2004-02-01 01:12  michael <michael.vancanneyt@wisa.be>

	* rtl/win32/shfolder.pp:
	
	+ Added all known CSIDL constants.

2004-02-01 00:34  michael <michael.vancanneyt@wisa.be>

	* rtl/win32/shfolder.pp:
	
	+ Added header/log footer

2004-02-01 00:28  michael <michael.vancanneyt@wisa.be>

	* rtl/win32/shfolder.pp:
	
	+ Added for D6/7 compatibility. And it _is_ useful ;)

2004-01-31 17:25  florian <florian@freepascal.org>

	* rtl/linux/ossysc.inc:
	
	  * use wait4 instead of waitpid on arm

2004-01-31 17:25  florian <florian@freepascal.org>

	* rtl/linux/arm/sysnr.inc:
	
	  - deleted unsupported syscall waitpid

2004-01-31 17:17  florian <florian@freepascal.org>

	* rtl/linux/bunxtype.inc:
	
	  * removed packed directive from Dir type because it's not
	properly aligned
	    and it's never passed to the OS

2004-01-31 17:15  florian <florian@freepascal.org>

	* rtl/unix/dos.pp:
	
	  * packing of searchrec for arm fixed

2004-01-31 17:14  florian <florian@freepascal.org>

	* rtl/inc/generic.inc:
	
	  * alignment handling of generic fillbyte/word fixed

2004-01-30 00:46  marco <marcov@stack.nl>

	* rtl/freebsd/: Makefile, Makefile.fpc:
	
	 * small fixes

2004-01-29 23:45  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/heap.inc:
	
	  * improved beforeheapend inheritance (remove flag again when
	possible,
	    sometimes resulting in more opportunities for
	TryConcatFreeRecord)

2004-01-29 17:58  marco <marcov@stack.nl>

	* rtl/win32/tthread.inc:
	
	 * threadproc is passed to OS and must be stdcall;

2004-01-28 23:09  peter <peter@freepascal.org>

	* rtl/objpas/sysutils/sysutilh.inc:
	
	  * EOSError.errorcode change to Longint which is more compatible
	    with unix platforms

2004-01-28 18:02  florian <florian@freepascal.org>

	* rtl/inc/: generic.inc, variants.pp:
	
	  * fixed a couple of broken generic routines

2004-01-27 16:04  florian <florian@freepascal.org>

	* rtl/arm/math.inc:
	
	  * some math nodes are inlined now

2004-01-26 12:48  florian <florian@freepascal.org>

	* rtl/: arm/mathu.inc, arm/mathuh.inc, inc/systemh.inc:
	
	  * compilation on arm fixed

2004-01-25 22:41  hajny <xhajt03@mbox.vol.cz>

	* rtl/os2/system.pas:
	
	  * reformatting of too long comment lines - not accepted by FP IDE

2004-01-25 14:05  jonas <jonas.maebe@rug.ac.be>

	* rtl/go32v2/: system.pp, sysutils.pp:
	
	  * fixed compilation errors

2004-01-24 19:15  florian <florian@freepascal.org>

	* rtl/inc/genmath.inc:
	
	  * fixed small bugs
	  * fixed some arm issues

2004-01-24 02:32  florian <florian@freepascal.org>

	* rtl/inc/genmath.inc:
	
	  * some const inserted

2004-01-23 16:14  florian <florian@freepascal.org>

	* rtl/inc/int64.inc:
	
	  + implemented software shl/shr for 64 bit ints

2004-01-23 14:04  jonas <jonas.maebe@rug.ac.be>

	* rtl/go32v2/: Makefile, Makefile.fpc:
	
	  * classes.ppu requires types.ppu

2004-01-23 09:11  jonas <jonas.maebe@rug.ac.be>

	* rtl/unix/unix.pp:
	
	  * only include systypes.inc if FPC_USE_LIBC is not defined

2004-01-23 01:00  florian <florian@freepascal.org>

	* rtl/linux/ossysc.inc:
	
	  * arm requires oldmmap call as well

2004-01-22 23:09  peter <peter@freepascal.org>

	* rtl/inc/: rtti.inc, wstrings.inc:
	
	  * finalize needs to reset to nil after decr_ref

2004-01-22 21:12  florian <florian@freepascal.org>

	* rtl/: inc/system.inc, linux/arm/sysnr.inc:
	
	  * fixed syscall number

2004-01-22 21:05  jonas <jonas.maebe@rug.ac.be>

	* rtl/darwin/: Makefile, Makefile.fpc:
	
	  * classes.ppu requires types.ppu

2004-01-22 18:11  peter <peter@freepascal.org>

	* rtl/: darwin/classes.pp, freebsd/classes.pp, go32v2/classes.pp,
	linux/classes.pp, netbsd/classes.pp, netware/classes.pp,
	objpas/classes/classesh.inc, openbsd/classes.pp, os2/classes.pp,
	win32/classes.pp:
	
	  * classes uses types to import TPoint and TRect

2004-01-22 14:55  marco <marcov@stack.nl>

	* rtl/openbsd/: Makefile, Makefile.fpc, errno.inc, signal.inc,
	syscalls.inc, sysconst.inc, sysofft.inc, systypes.inc, termio.pp,
	termios.inc, termiosproc.inc, unixsock.inc, unixsysc.inc:
	
	 * first port that shows some life based on FPC_USE_LIBC

2004-01-22 14:46  marco <marcov@stack.nl>

	* rtl/: bsd/bunxfunc.inc, bsd/system.pp, freebsd/Makefile,
	freebsd/Makefile.fpc, openbsd/classes.pp, openbsd/ptypes.inc,
	openbsd/sysnr.inc, openbsd/tthread.inc, unix/unix.pp:
	
	bsd

2004-01-22 00:12  florian <florian@freepascal.org>

	* rtl/arm/arm.inc:
	
	  + get_caller_addr/frame implemented

2004-01-21 23:33  marco <marcov@stack.nl>

	* rtl/openbsd/sysnr.inc:
	
	 * sysnr regened from 3.4 sources

2004-01-21 23:14  peter <peter@freepascal.org>

	* rtl/inc/astrings.inc:
	
	  * 1.0.x fix

2004-01-21 23:02  peter <peter@freepascal.org>

	* rtl/inc/astrings.inc:
	
	  * decrref does not reset always to nil, only when string is
	disposed.
	    the reset to nil for temps is done by the compiler

2004-01-21 22:25  marco <marcov@stack.nl>

	* rtl/unix/initc.pp:
	
	 * openbsd fixes stage one

2004-01-21 21:37  marco <marcov@stack.nl>

	* rtl/openbsd/i386/prt0.as:
	
	 * initial version

2004-01-21 21:11  peter <peter@freepascal.org>

	* rtl/inc/thread.inc:
	
	  * fixed compile for unix

2004-01-21 15:15  florian <florian@freepascal.org>

	* rtl/: os2/system.pas, win32/systhrds.pp:
	
	  * fixed win32 compilation

2004-01-21 02:25  florian <florian@freepascal.org>

	* rtl/linux/arm/sysnr.inc:
	
	  * corrected syscall numbers

2004-01-21 02:25  florian <florian@freepascal.org>

	* rtl/inc/generic.inc:
	
	  * improved generic int. div routines

2004-01-21 00:16  florian <florian@freepascal.org>

	* rtl/inc/generic.inc:
	
	  + created generic versions of software dword/longint mod/div

2004-01-21 00:12  hajny <xhajt03@mbox.vol.cz>

	* rtl/: watcom/system.pp, watcom/sysutils.pp, win32/system.pp,
	win32/sysutils.pp, inc/systemh.inc, inc/thread.inc,
	unix/cthreads.pp, unix/sysutils.pp:
	
	  * ExecuteProcess fixes, ProcessID and ThreadID added

2004-01-21 00:09  hajny <xhajt03@mbox.vol.cz>

	* rtl/: beos/system.pp, beos/sysutils.pp, bsd/system.pp,
	go32v2/system.pp, go32v2/sysutils.pp, linux/system.pp,
	macos/system.pp, netware/system.pp, netware/sysutils.pp,
	os2/doscalls.pas, os2/system.pas, os2/sysutils.pp:
	
	  * ExecuteProcess fixes, ProcessID and ThreadID added

2004-01-21 00:05  hajny <xhajt03@mbox.vol.cz>

	* rtl/: amiga/system.pas, atari/system.pas, emx/system.pas,
	emx/systhrds.pp, emx/sysutils.pp, objpas/sysconst.pp:
	
	  * ExecuteProcess fixes, ProcessID and ThreadID added

2004-01-20 22:01  florian <florian@freepascal.org>

	* rtl/: arm/arm.inc, arm/setjump.inc, linux/arm/syscall.inc:
	
	  * fixed setjump
	  * fixed syscalls

2004-01-20 19:32  florian <florian@freepascal.org>

	* rtl/linux/arm/prt0.as:
	
	  * fixed sigill problem when running in gdb

2004-01-20 18:01  marco <marcov@stack.nl>

	* rtl/openbsd/i386/: cprt0.as, sighnd.inc:
	
	 * working versions, untested

2004-01-20 13:52  florian <florian@freepascal.org>

	* rtl/x86_64/: int64p.inc, x86_64.inc:
	
	  * some problems with x86-64 inline assembler fixed

2004-01-19 20:29  michael <michael.vancanneyt@wisa.be>

	* rtl/win32/wininc/redef.inc:
	
	+ Added HFILE_ERROR

2004-01-16 21:53  michael <michael.vancanneyt@wisa.be>

	* rtl/win32/sysutils.pp:
	
	+ DirectoryExists now closes findfirst handle

2004-01-13 19:04  florian <florian@freepascal.org>

	* rtl/win32/: Makefile, Makefile.fpc, classes.pp:
	
	  * make win32 fixed

2004-01-13 00:43  marco <marcov@stack.nl>

	* rtl/unix/oscdeclh.inc:
	
	 * some semi colons added

2004-01-12 23:04  jonas <jonas.maebe@rug.ac.be>

	* rtl/darwin/: Makefile, Makefile.fpc:
	
	  * fixed makefile (systhrds didn't have a compilation rule)

2004-01-12 22:35  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/int64p.inc:
	
	  + assembler FPC_MUL_QWORD routine

2004-01-12 19:37  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/strlen.inc:
	
	  * use volatile instead of non-volatile registers

2004-01-12 19:03  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/int64p.inc:
	
	  + ppc implemetnation of fpc_mod/div_qword (from ppc compiler
	writers guide)

2004-01-12 18:44  peter <peter@freepascal.org>

	* rtl/objpas/classes/compon.inc:
	
	  * LongRec is a packed record

2004-01-12 18:02  peter <peter@freepascal.org>

	* rtl/linux/Makefile:
	
	  * regenerated

2004-01-12 00:08  hajny <xhajt03@mbox.vol.cz>

	* rtl/watcom/system.pp:
	
	  * merged Jonas fix from GO32v2

2004-01-11 23:54  hajny <xhajt03@mbox.vol.cz>

	* rtl/watcom/system.pp:
	
	  * 'conservative' version of the do_open patch by Joe da Silva

2004-01-11 13:21  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/system.inc:
	
	  * fixed wrong include filename

2004-01-11 12:10  jonas <jonas.maebe@rug.ac.be>

	* rtl/: i386/i386.inc, inc/cgeneric.inc, inc/system.inc,
	powerpc/powerpc.inc:
	
	  + cgeneric.inc: implementations of rtl routines based on libc
	  * system.inc: include cgeneric.inc before
	powerpc.inc/i386.inc/... if
	    FPC_USE_LIBC is defined
	  * powerpc.inc, i386.inc: check whether the routines they
	implement aren't
	    implemented yet in another include file (cgeneric.inc)

2004-01-11 10:56  jonas <jonas.maebe@rug.ac.be>

	* rtl/linux/: ptypes.inc, systypes.inc:
	
	  * moved tstatfs from systypes.inc to ptypes.inc to fix make cycle
	with
	    -dFPC_USE_LIBC (systypes.inc is now completely commented out)

2004-01-11 10:42  jonas <jonas.maebe@rug.ac.be>

	* rtl/darwin/: Makefile, Makefile.fpc:
	
	  + added strutils and rtlconst

2004-01-11 02:17  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/rtlconst.pp:
	
	+ need mode objfpc directive

2004-01-10 21:25  michael <michael.vancanneyt@wisa.be>

	* rtl/go32v2/: Makefile, Makefile.fpc, sysutils.pp:
	
	+ Added rtlconst dependency to classes.ppu and implemented
	sysutils.sleep

2004-01-10 21:13  michael <michael.vancanneyt@wisa.be>

	* rtl/: go32v2/classes.pp, linux/Makefile, linux/Makefile.fpc,
	objpas/rtlconst.pp, objpas/classes/classes.inc,
	objpas/classes/constse.inc, freebsd/classes.pp, os2/classes.pp,
	darwin/classes.pp, netbsd/classes.pp, netware/classes.pp,
	openbsd/classes.pp, watcom/classes.pp:
	
	+ Some more fixes to rtlconst. Const strings moved from classes to
	rtlconst

2004-01-10 20:35  michael <michael.vancanneyt@wisa.be>

	* rtl/: objpas/dateutil.inc, objpas/rtlconst.pp,
	objpas/sysconst.pp, objpas/classes/bits.inc, linux/Makefile,
	linux/Makefile.fpc, win32/classes.pp, linux/classes.pp:
	
	+ Moved all resource strings to rtlconst/sysconst

2004-01-10 20:14  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/strutils.pp:
	
	+ Initial implementation

2004-01-10 20:00  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/types.pp:
	
	+ Compatibility checks and code reformatting

2004-01-10 18:55  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/sysconst.pp:
	
	+ Changed lookup table with Case: Array of resourcestring is not
	translated

2004-01-10 18:40  michael <michael.vancanneyt@wisa.be>

	* rtl/win32/sysutils.pp:
	
	+ Added Sleep() function

2004-01-10 18:34  michael <michael.vancanneyt@wisa.be>

	* rtl/: objpas/sysutils/osutilsh.inc, unix/sysutils.pp:
	
	+ Implemented sleep() on Unix.

2004-01-10 18:30  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/rtlconst.pp:
	
	+ Implemented all constants for compatibility

2004-01-10 18:01  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/generic.inc:
	
	  * changed index* to conform to the assembler implementations
	(interpret
	    negative upper bound as maximum)

2004-01-10 11:49  jonas <jonas.maebe@rug.ac.be>

	* rtl/go32v2/: system.pp, sysutils.pp:
	
	  * fixed compilation

2004-01-10 01:16  jonas <jonas.maebe@rug.ac.be>

	* rtl/: powerpc/powerpc.inc, darwin/powerpc/sighnd.inc:
	
	  * fixed mtfsb0 instruction for assembler reader/writer
	  * fixed initialisation of fpscr register to avoid spurious
	SIGPFE's
	    (uses mtfsb0 instruction, so added extra define in options.pas
	to avoid
	    requiring to start with a cross compiler)

2004-01-08 22:52  jonas <jonas.maebe@rug.ac.be>

	* rtl/darwin/: signal.inc, powerpc/sig_cpu.inc, powerpc/sighnd.inc:
	
	  * fixed signal handling under 10.3.2, still have to verify
	whether it's
	    backwards compatible

2004-01-07 18:40  jonas <jonas.maebe@rug.ac.be>

	* rtl/unix/cthreads.pp:
	
	  * Darwin does not have a lib_r, libc itself is already reentrant

2004-01-06 22:34  peter <peter@freepascal.org>

	* rtl/inc/genmath.inc:
	
	  * abs(double) added
	  * abs() alias

2004-01-06 22:33  peter <peter@freepascal.org>

	* rtl/sparc/math.inc:
	
	  * remove generic functions

2004-01-06 22:32  peter <peter@freepascal.org>

	* rtl/linux/i386/syscall.inc:
	
	  * use relocate_proc

2004-01-06 16:42  marco <marcov@stack.nl>

	* rtl/bsd/osmain.inc:
	
	 * o_creat added when o_append

2004-01-06 01:58  florian <florian@freepascal.org>

	* rtl/: go32v2/dos.pp, win32/dos.pp:
	
	  * fixed fsearch

2004-01-06 00:34  marco <marcov@stack.nl>

	* rtl/: Makefile, amiga/Makefile, beos/Makefile, darwin/Makefile,
	emx/Makefile, freebsd/Makefile, go32v2/Makefile, linux/Makefile,
	macos/Makefile, netware/Makefile, os2/Makefile, watcom/Makefile,
	win32/Makefile:
	
	 * regenerating the makefiles with some netbsd fixes + version
	upgrades

2004-01-06 00:29  marco <marcov@stack.nl>

	* rtl/Makefile.fpc:
	
	 * fixed a few makefiles version numbers

2004-01-05 23:56  florian <florian@freepascal.org>

	* rtl/win32/sysutils.pp:
	
	  * changed sysutils.exec to ExecuteProcess

2004-01-05 23:42  florian <florian@freepascal.org>

	* rtl/unix/sysutils.pp:
	
	  * compilation error fixed

2004-01-05 23:37  florian <florian@freepascal.org>

	* rtl/: unix/sysutils.pp, objpas/sysutils/osutilsh.inc,
	objpas/sysutils/sysutilh.inc:
	
	  * changed sysutils.exec to ExecuteProcess

2004-01-05 18:25  marco <marcov@stack.nl>

	* rtl/: Makefile, netbsd/Makefile:
	
	 * regened

2004-01-05 18:22  peter <peter@freepascal.org>

	* rtl/linux/sparc/syscall.inc:
	
	  * removed asmmode direct

2004-01-05 13:54  jonas <jonas.maebe@rug.ac.be>

	* rtl/: Makefile, Makefile.fpc, darwin/Makefile,
	darwin/Makefile.fpc:
	
	  + Darwin support in Makefiles

2004-01-04 22:06  jonas <jonas.maebe@rug.ac.be>

	* rtl/macos/system.pp:
	
	  * make the C-main public

2004-01-04 22:05  jonas <jonas.maebe@rug.ac.be>

	* rtl/unix/: oscdeclh.inc, unix.pp, unxdeclh.inc:
	
	  * declare C-library routines as external in libc so we generate
	proper
	    import entries for Darwin

2004-01-04 22:04  jonas <jonas.maebe@rug.ac.be>

	* rtl/: bsd/baseunix.pp, linux/baseunix.pp, unix/bunxovl.inc:
	
	  * declare C-library routines as external in libc for Darwin (so
	we
	    generate proper import entries)

2004-01-04 21:53  jonas <jonas.maebe@rug.ac.be>

	* rtl/unix/unix.pp:
	
	  * don't use systypes if FPC_USE_LIBC is defined

2004-01-04 21:36  jonas <jonas.maebe@rug.ac.be>

	* rtl/unix/initc.pp:
	
	  + geterrnolocation for Darwin

2004-01-04 21:32  jonas <jonas.maebe@rug.ac.be>

	* rtl/bsd/system.pp:
	
	  + geterrnolocation for Darwin
	  + C-style main for Darwin (generic, can be used for anything)

2004-01-04 21:09  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/sysutilp.inc:
	
	  * renamed "r0" usages as base register to 0

2004-01-04 21:08  jonas <jonas.maebe@rug.ac.be>

	* rtl/: bsd/bunxtype.inc, freebsd/ptypes.inc, netbsd/ptypes.inc,
	openbsd/ptypes.inc:
	
	  * moved SIG_MAXSIG and wordsinsigset constants from bunxtype.inc
	to
	    ptypes.inc (already there for Darwin)

2004-01-04 21:05  jonas <jonas.maebe@rug.ac.be>

	* rtl/darwin/: Makefile, Makefile.fpc, classes.pp, console.pp,
	pthread.inc, ptypes.inc, signal.inc, sysctlh.inc, termio.pp,
	termios.inc, termiosproc.inc, tthread.inc, unixsysc.inc,
	powerpc/sig_cpu.inc, powerpc/sighnd.inc:
	
	  * first working version of the Darwin/Mac OS X (for PowerPC) RTL
	    Several non-essential units are still missing, but make cycle
	works

2004-01-04 20:57  jonas <jonas.maebe@rug.ac.be>

	* rtl/darwin/systypes.inc:
	
	  - removed

2004-01-04 20:51  jonas <jonas.maebe@rug.ac.be>

	* rtl/darwin/sysnr.inc:
	
	  - removed

2004-01-04 20:45  jonas <jonas.maebe@rug.ac.be>

	* rtl/darwin/syscalls.inc:
	
	  - removed, Darwin uses libc

2004-01-04 20:39  jonas <jonas.maebe@rug.ac.be>

	* rtl/darwin/getcwd.inc:
	
	  - removed

2004-01-04 20:28  jonas <jonas.maebe@rug.ac.be>

	* rtl/darwin/machnr.inc:
	
	  - removed (we use libc instead of syscalls)

2004-01-04 20:27  jonas <jonas.maebe@rug.ac.be>

	* rtl/darwin/powerpc/signal.inc:
	
	  - removed (replaced by sig_cpu.inc to avoid name clashes)

2004-01-04 20:12  jonas <jonas.maebe@rug.ac.be>

	* rtl/darwin/powerpc/: cprt0.as, crt0.o, prt0.as:
	
	  - removed (use the ones on the system)

2004-01-04 18:28  florian <florian@freepascal.org>

	* rtl/linux/powerpc/cprt0.as:
	
	  * clean up

2004-01-04 18:23  florian <florian@freepascal.org>

	* rtl/linux/powerpc/prt0.as:
	
	  + haeder added

2004-01-04 18:12  florian <florian@freepascal.org>

	* rtl/linux/powerpc/cprt0.as:
	
	  * arg* and envp handling fixed

2004-01-04 17:41  marco <marcov@stack.nl>

	* rtl/netbsd/powerpc/sighnd.inc:
	
	 * powerpc version

2004-01-04 17:24  jonas <jonas.maebe@rug.ac.be>

	* rtl/unix/unix.pp:
	
	  * fixed WaitProcess in case of SysEintr

2004-01-04 16:55  marco <marcov@stack.nl>

	* rtl/netbsd/: signal.inc, sysofft.inc, unixsysc.inc:
	
	 * additions

2004-01-04 16:44  marco <marcov@stack.nl>

	* rtl/netbsd/Makefile:
	
	 * regened

2004-01-04 16:42  marco <marcov@stack.nl>

	* rtl/netbsd/Makefile.fpc:
	
	 * fix

2004-01-04 16:30  marco <marcov@stack.nl>

	* rtl/netbsd/i386/sighnd.inc:
	
	 * working version

2004-01-04 02:13  marco <marcov@stack.nl>

	* rtl/netbsd/: termio.pp, termiosproc.inc, i386/cprt0.as,
	i386/prt0.as, i386/prt0_10.as:
	
	 * first 1.1 netbsd rtl, basically freebsd copy and paste with
	1.0.10 netbsd structures

2004-01-04 02:11  marco <marcov@stack.nl>

	* rtl/netbsd/: Makefile, Makefile.fpc, classes.pp, ptypes.inc,
	signal.inc, syscalls.inc, sysconst.inc, systypes.inc, termios.inc,
	tthread.inc, unixsock.inc, unixsysc.inc:
	
	 * a new qod port of the freebsd rtl. To be refined in the coming
	days.

2004-01-04 00:56  marco <marcov@stack.nl>

	* rtl/bsd/baseunix.pp:
	
	 * fix for 1.0 compability issue

2004-01-03 20:46  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/powerpc.inc:
	
	  * fixed syntax error caught by Mac OS X' as :)

2004-01-03 15:56  marco <marcov@stack.nl>

	* rtl/bsd/osmain.inc:
	
	 * typo fix

2004-01-03 15:55  marco <marcov@stack.nl>

	* rtl/freebsd/: Makefile, Makefile.fpc:
	
	 * rtl/freebsd/cpu now also searched

2004-01-03 13:35  marco <marcov@stack.nl>

	* rtl/bsd/osmain.inc:
	
	 * sighnd to separate file, like linux. Some comments removed

2004-01-03 13:29  marco <marcov@stack.nl>

	* rtl/freebsd/i386/sighnd.inc:
	
	 * now separately.

2004-01-03 13:18  marco <marcov@stack.nl>

	* rtl/freebsd/: classes.pp, console.pp, termios.inc,
	termiosproc.inc, tthread.inc, unixsock.inc, i386/x86.inc,
	i386/x86h.inc:
	
	 * a lot of copyright notices and CVS logs added and fixed

2004-01-03 10:09  marco <marcov@stack.nl>

	* rtl/unix/sysutils.pp:
	
	 * Unix exec(ansistring)

2004-01-03 09:55  marco <marcov@stack.nl>

	* rtl/objpas/sysutils/osutilsh.inc:
	
	 * Exec(ansistring) function

2004-01-02 23:51  marco <marcov@stack.nl>

	* rtl/netbsd/unixsysc.inc:
	
	 * simple bugfix for tpipe

2004-01-02 23:46  marco <marcov@stack.nl>

	* rtl/linux/unixsysc.inc:
	
	 * fix from Marc W.

2004-01-02 18:57  jonas <jonas.maebe@rug.ac.be>

	* rtl/linux/powerpc/sighnd.inc:
	
	  * re-enable fpu exceptions in signal handler, they're turned off
	by the
	    kernel

2004-01-02 18:21  jonas <jonas.maebe@rug.ac.be>

	* rtl/: inc/system.inc, powerpc/powerpc.inc, i386/i386.inc,
	m68k/m68k.inc, sparc/sparc.inc:
	
	  + fpc_cpuinit procedure to allow cpu/fpu initialisation before
	any unit
	    initialises
	  + fpu exceptions for invalid operations and division by zero
	enabled for
	    ppc

2004-01-02 18:19  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/: genmath.inc, mathh.inc:
	
	  * if currency = int64, FPC_CURRENCY_IS_INT64 is defined
	  + round and trunc for currency and comp if FPC_CURRENCY_IS_INT64
	is
	    defined
	  * if currency = orddef, prefer currency -> int64/qword conversion
	over
	    currency -> float conversions
	  * optimized currency/currency if currency = orddef
	  * TODO: write FPC_DIV_CURRENCY and FPC_MUL_CURRENCY routines to
	prevent
	      precision loss if currency=int64 and bestreal = double

2004-01-01 18:58  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/: compproc.inc, system.inc:
	
	  + integer division-by-zero detection support for ppc
	  + compilerproc FPC_DIVBYZERO

2004-01-01 18:07  marco <marcov@stack.nl>

	* rtl/: bsd/unxsysc.inc, bsd/unxsysch.inc, freebsd/unixsysc.inc:
	
	 * few small freebsd fixes backported from debugging linux

2004-01-01 17:28  jonas <jonas.maebe@rug.ac.be>

	* rtl/linux/: signal.inc, powerpc/sighnd.inc:
	
	  * fixed signal handling

2004-01-01 17:10  marco <marcov@stack.nl>

	* rtl/: linux/unxsysc.inc, linux/unxsysch.inc, unix/oscdeclh.inc,
	unix/unxovl.inc, unix/unxovlh.inc:
	
	 * fpreadlink(pathstr) moved to unxovl (since not platform
	specific),
		small fixes for "make all OPT='-dFPC_USE_LIBC'

2004-01-01 16:30  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/objects.pp:
	
	  * fixed PreviousFramePointer() for ppc

2004-01-01 15:20  marco <marcov@stack.nl>

	* rtl/linux/i386/stat.inc:
	
	 * libc stat record under ifdef added

2004-01-01 15:19  marco <marcov@stack.nl>

	* rtl/linux/osmain.inc:
	
	 * use_getcwd updates because FPC_USE_LIBC uses that

2004-01-01 15:16  marco <marcov@stack.nl>

	* rtl/linux/system.pp:
	
	 * getcwd missed cdecl

2004-01-01 15:09  marco <marcov@stack.nl>

	* rtl/unix/: oscdeclh.inc, unxdeclh.inc:
	
	 * FPC_USE_LIBC fixes

2004-01-01 15:07  marco <marcov@stack.nl>

	* rtl/unix/genfuncs.inc:
	
	 * FPC_USE_LIBC fixes to fpgetenv. No more appending of '=', and
	making a proper nullterminated string)

2003-12-31 21:24  marco <marcov@stack.nl>

	* rtl/unix/unix.pp:
	
	 * export statfs(pchar)

2003-12-31 21:23  marco <marcov@stack.nl>

	* rtl/linux/unixsysc.inc:
	
	 * small fixes for exporting statfs(pchar,..)

2003-12-31 21:20  marco <marcov@stack.nl>

	* rtl/linux/system.pp:
	
	 * small additions for getcwd what we need for FPC_USE_LIBC

2003-12-31 21:17  marco <marcov@stack.nl>

	* rtl/linux/bunxtype.inc:
	
	 * sigset size adaption for FPC_USE_LIBC

2003-12-31 21:01  marco <marcov@stack.nl>

	* rtl/linux/baseunix.pp:
	
	 * workaround for buggy 1.0 building

2003-12-30 18:50  marco <marcov@stack.nl>

	* rtl/linux/oscdeclh.inc:
	
	 * moved to unix/

2003-12-30 17:26  marco <marcov@stack.nl>

	* rtl/linux/: osmain.inc, ossysc.inc, system.pp:
	
	 * some more fixes. Testing on idefix

2003-12-30 16:43  marco <marcov@stack.nl>

	* rtl/: linux/bunxfunc.inc, linux/bunxmain.inc, linux/ossysc.inc,
	linux/system.pp, linux/unixsysc.inc, unix/oscdeclh.inc,
	unix/unix.pp:
	
	 * linux now compiles with FPC_USE_LIBC

2003-12-30 13:46  marco <marcov@stack.nl>

	* rtl/linux/ptypes.inc:
	
	 * ptime_t

2003-12-30 13:36  marco <marcov@stack.nl>

	* rtl/linux/: baseunix.pp, system.pp, unixsysc.inc:
	
	 * FPC_USE_LIBC

2003-12-30 13:27  marco <marcov@stack.nl>

	* rtl/unix/: unxovl.inc, unxovlh.inc, unxdeclh.inc:
	
	 * FPC_USE_LIBC

2003-12-30 13:24  marco <marcov@stack.nl>

	* rtl/: unix/bunxh.inc, unix/bunxovl.inc, unix/bunxovlh.inc,
	unix/genfuncs.inc, unix/gensigset.inc, unix/linuxnew.inc,
	unix/oscdeclh.inc, unix/syscall.pp, unix/unix.pp, bsd/baseunix.pp,
	bsd/bunxfunc.inc, bsd/bunxmain.inc, bsd/osmain.inc, bsd/ossysc.inc,
	bsd/ossysch.inc, bsd/sysctl.pp, bsd/system.pp, bsd/unxsysch.inc,
	bsd/i386/syscall.inc, bsd/i386/syscallh.inc:
	
	 * FPC_USE_LIBC

2003-12-29 22:15  jonas <jonas.maebe@rug.ac.be>

	* rtl/unix/dos.pp:
	
	  * fixed setftime (sorry Marco :)

2003-12-29 20:24  florian <florian@freepascal.org>

	* rtl/: inc/stringsi.inc, inc/systemh.inc, linux/arm/syscall.inc:
	
	  + introduced PtrInt and PtrUInt
	  * made strscan 64 bit safe

2003-12-29 20:19  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/real2str.inc:
	
	  * fixed NaN/Inf detection for single/double

2003-12-28 23:33  florian <florian@freepascal.org>

	* rtl/powerpc/strings.inc:
	
	  * strscan fix from Jonas

2003-12-28 22:06  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/powerpc.inc:
	
	  * fixed fillchar for SYSV abi

2003-12-28 21:55  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/sysutilp.inc:
	
	  * fixed *locked* routines

2003-12-28 21:55  jonas <jonas.maebe@rug.ac.be>

	* rtl/linux/powerpc/syscall.inc:
	
	  * fixed result of failed syscalls (no extra neg is needed)
	  + support multi-threaded programs

2003-12-28 21:08  florian <florian@freepascal.org>

	* rtl/linux/powerpc/cprt0.as:
	
	  * initial code

2003-12-26 23:20  hajny <xhajt03@mbox.vol.cz>

	* rtl/emx/: dos.pas, ports.pas, system.pas:
	
	  * regcall fixes

2003-12-25 00:07  peter <peter@freepascal.org>

	* rtl/i386/i386.inc:
	
	  * fixed indexbyte for regcall

2003-12-24 23:38  peter <peter@freepascal.org>

	* rtl/i386/set.inc:
	
	  * fix set_set_range

2003-12-24 23:27  peter <peter@freepascal.org>

	* rtl/: arm/typinfo.inc, i386/typinfo.inc, objpas/typinfo.pp,
	powerpc/typinfo.inc, sparc/typinfo.inc:
	
	  * removed assembler
	  * cleanup

2003-12-24 00:09  peter <peter@freepascal.org>

	* rtl/i386/int64p.inc:
	
	  * fix call to handleerror for regcall

2003-12-23 23:23  peter <peter@freepascal.org>

	* rtl/i386/sysutilp.inc:
	
	  * increment should use ofcourse use 1 instead of -1

2003-12-23 00:07  peter <peter@freepascal.org>

	* rtl/inc/varianth.inc:
	
	  * fixed type of verror

2003-12-22 17:16  marco <marcov@stack.nl>

	* rtl/freebsd/classes.pp:
	
	 * small 1.0 compat fix

2003-12-22 12:32  marco <marcov@stack.nl>

	* rtl/objpas/typinfo.pp:
	
	 * splitted up tintfflags into several components

2003-12-21 22:23  florian <florian@freepascal.org>

	* rtl/powerpc/powerpc.inc:
	
	  * fixed compilation with sysv calling conventions

2003-12-21 21:31  peter <peter@freepascal.org>

	* rtl/bsd/osmain.inc:
	
	  * fix getdir when directory contains files that give EACCESS

2003-12-21 21:30  peter <peter@freepascal.org>

	* rtl/linux/osmain.inc:
	
	  * don't exit in getdir when fpstat gives a failure

2003-12-19 10:28  michael <michael.vancanneyt@wisa.be>

	* rtl/i386/strings.inc:
	
	+ Patch from Peter to fix strlcomp

2003-12-17 23:52  hajny <xhajt03@mbox.vol.cz>

	* rtl/emx/system.pas:
	
	  * fix for stackbottom change to pointer

2003-12-17 23:50  hajny <xhajt03@mbox.vol.cz>

	* rtl/: emx/Makefile, emx/Makefile.fpc, os2/Makefile,
	os2/Makefile.fpc:
	
	  * fixed incorrect dependency for sysutils (not valid any more)

2003-12-17 22:56  peter <peter@freepascal.org>

	* rtl/: i386/strings.inc, win32/system.pp:
	
	  * win32 regcall patches

2003-12-17 21:58  hajny <xhajt03@mbox.vol.cz>

	* rtl/: emx/Makefile, os2/Makefile:
	
	  * fix of previous wrong commit

2003-12-17 21:40  hajny <xhajt03@mbox.vol.cz>

	* rtl/go32v2/system.pp:
	
	  * 'conservative' version of the do_open patch by Joe da Silva

2003-12-16 20:43  marco <marcov@stack.nl>

	* rtl/: freebsd/termiosproc.inc, bsd/ossysc.inc:
	
	 * nil <-> 0 changes

2003-12-16 10:43  daniel <daniel@deadlock.et.tudelft.nl>

	* rtl/: inc/generic.inc, linux/ossysc.inc, unix/cthreads.pp:
	
	  * Use of 0 instead of nil fixed

2003-12-15 22:39  daniel <daniel@deadlock.et.tudelft.nl>

	* rtl/inc/heap.inc:
	
	  * Small microoptimization

2003-12-15 16:57  peter <peter@freepascal.org>

	* rtl/watcom/: system.pp, sysutils.pp:
	
	  * patches from wiktor

2003-12-15 09:55  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/classes/: classes.inc, reader.inc:
	
	Patch from Darek Mazur for reading idents from property stream

2003-12-14 15:47  marco <marcov@stack.nl>

	* rtl/bsd/osmain.inc:
	
	 * fix for repeating 'x' bug

2003-12-14 15:28  peter <peter@freepascal.org>

	* rtl/linux/osmain.inc:
	
	  * only check errno if the syscall failed

2003-12-11 19:20  florian <florian@freepascal.org>

	* rtl/: linux/baseunix.pp, unix/initc.pp:
	
	  * replaced VER1_0 by HASGLOBALPROPERTY

2003-12-11 10:21  marco <marcov@stack.nl>

	* rtl/win32/initc.pp:
	
	 * patch from peter

2003-12-10 18:13  marco <marcov@stack.nl>

	* rtl/: bsd/baseunix.pp, linux/baseunix.pp, unix/initc.pp:
	
	 * property support under ifndef ver1_0

2003-12-10 18:08  marco <marcov@stack.nl>

	* rtl/: linux/baseunix.pp, bsd/baseunix.pp:
	
	 * property errno defined

2003-12-10 18:06  marco <marcov@stack.nl>

	* rtl/unix/initc.pp:
	
	 * property support used.

2003-12-10 15:59  marco <marcov@stack.nl>

	* rtl/unix/initc.pp:
	
	 * NetBSD supported added based on Sparc and define name changed to
	something more sensible

2003-12-10 12:24  marco <marcov@stack.nl>

	* rtl/unix/initc.pp:
	
	 * get/setcerrno added

2003-12-10 10:36  mazen <mazen@freepascal.org>

	* rtl/unix/linuxold.inc:
	
	+ added explicit ATT mode request for assembler  input

2003-12-10 02:36  florian <florian@freepascal.org>

	* rtl/inc/: variant.inc, varianth.inc:
	
	  * real functions ifdef'ed depending on the supported types

2003-12-09 21:08  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/powerpc.inc:
	
	  * fixed buffer overflow bug in fpc_shortstr_append_shortstr in
	case
	    the result was already 255 characters long

2003-12-08 22:23  peter <peter@freepascal.org>

	* rtl/win32/wininc/base.inc:
	
	  * hmodule added

2003-12-08 21:19  peter <peter@freepascal.org>

	* rtl/inc/variants.pp:
	
	  * remove duplicate uses

2003-12-08 20:44  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/genmath.inc:
	
	  * use HandleError instead of RunError so exception catching works

2003-12-08 18:45  peter <peter@freepascal.org>

	* rtl/inc/real2str.inc:
	
	  * currency support
	  * dropped fixed16/32 support

2003-12-08 18:16  peter <peter@freepascal.org>

	* rtl/unix/unix.pp:
	
	  * fsearch should only find files

2003-12-08 18:13  peter <peter@freepascal.org>

	* rtl/win32/: Makefile, Makefile.fpc:
	
	  * regenerated

2003-12-07 22:30  florian <florian@freepascal.org>

	* rtl/linux/: Makefile, Makefile.fpc:
	
	  + classes compiles on ppc now as well

2003-12-07 20:55  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/math.inc:
	
	  - reverted previous patch, solved with the new assembler reader
	    (which didn't understand the new syntax)

2003-12-07 18:54  olle

	* rtl/powerpc/math.inc:
	
	  * changed in temp+4 to 4+temp, to be compatible with PPCAsm

2003-12-07 15:27  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/powerpc.inc:
	
	  * fixed buffer overrun error in fillchar

2003-12-07 14:29  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/powerpc.inc:
	
	  + added FPC_MOVE alias to move for open array support

2003-12-06 19:03  hajny <xhajt03@mbox.vol.cz>

	* rtl/: objpas/dateutil.inc, objpas/dateutil.pp,
	objpas/dateutils.pp, os2/Makefile, os2/Makefile.fpc,
	win32/Makefile, win32/Makefile.fpc:
	
	  * include file for dateutil(s)

2003-12-06 16:56  marco <marcov@stack.nl>

	* rtl/win32/wininc/messages.inc:
	
	 * typo fix

2003-12-06 16:53  marco <marcov@stack.nl>

	* rtl/win32/wininc/messages.inc:
	
	 * mouse_last fixes for bug 2784

2003-12-06 14:25  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/generic.inc:
	
	  * fixed longint/cardinal comparison in int_str

2003-12-06 01:02  florian <florian@freepascal.org>

	* rtl/inc/objpash.inc:
	
	  * widechars in tvarrec fixed for big endian machines as well

2003-12-06 00:54  jonas <jonas.maebe@rug.ac.be>

	* rtl/inc/objpash.inc:
	
	  * changed tvarrec so chars and booleans work on big endian
	machines

2003-12-05 12:53  marco <marcov@stack.nl>

	* rtl/win32/wininc/base.inc:
	
	 * ttokeninformationclass alias for delphi compat

2003-12-05 10:13  marco <marcov@stack.nl>

	* rtl/win32/wininc/defines.inc:
	
	 * small fix

2003-12-04 22:44  peter <peter@freepascal.org>

	* rtl/i386/i386.inc:
	
	  * fix warning in gas

2003-12-04 22:42  peter <peter@freepascal.org>

	* rtl/: go32v2/graph.pp, go32v2/ports.pp, go32v2/system.pp,
	i386/set.inc, i386/setjump.inc, objpas/sysutils/sysutils.inc,
	sparc/sparc.inc:
	
	  * register calling updates

2003-12-04 22:22  peter <peter@freepascal.org>

	* rtl/os2/: Makefile, doscalls.pas, ports.pas, system.pas:
	
	  * regcall updates (untested)

2003-12-04 21:52  peter <peter@freepascal.org>

	* rtl/win32/system.pp:
	
	  * stdcall for CreateFile

2003-12-04 13:34  marco <marcov@stack.nl>

	* rtl/win32/wininc/struct.inc:
	
	 * twin32fileattributedata

2003-12-04 00:06  peter <peter@freepascal.org>

	* rtl/i386/set.inc:
	
	  * more fixes

2003-12-03 23:46  peter <peter@freepascal.org>

	* rtl/i386/set.inc:
	
	  * typo in sub_set

2003-12-03 21:53  olle

	* rtl/beos/dos.pp:
	
	  * files are not pretended to have attr ARCHIVE anymore
	  * files with attr READONLY and ARCHIVE are always returned by
	FindFirst etc
	  * made code more conformant with unix/dos.pp

2003-12-03 21:17  olle

	* rtl/unix/dos.pp:
	
	  * files are not pretended to have attr ARCHIVED anymore
	  + FindFirst etc now also filters on attr HIDDEN
	  * files with attr READONLY and ARCHIVE are always returned by
	FindFirst etc

2003-12-03 18:34  florian <florian@freepascal.org>

	* rtl/linux/arm/syscall.inc:
	
	  + started to implement arm syscalls

2003-12-02 01:04  sg <sg@freepascal.org>

	* rtl/linux/bunxtype.inc:
	
	* Fixed ln2bitmask

2003-11-30 20:48  florian <florian@freepascal.org>

	* rtl/: arm/sysutilp.inc, arm/typinfo.inc, inc/objects.pp,
	inc/objpash.inc:
	
	  * fixed some arm stuff

2003-11-30 16:04  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/sysconst.pp:
	
	+ Removed old strings

2003-11-30 13:40  marco <marcov@stack.nl>

	* rtl/bsd/bunxtype.inc:
	
	 * fix from sebastian

2003-11-29 23:54  jonas <jonas.maebe@rug.ac.be>

	* rtl/linux/powerpc/syscall.inc:
	
	  * more ppc fixes, hello world works again under linuxppc

2003-11-29 19:53  marco <marcov@stack.nl>

	* rtl/linux/Makefile:
	
	 * on fpk's request

2003-11-29 19:18  jonas <jonas.maebe@rug.ac.be>

	* rtl/linux/powerpc/syscall.inc:
	
	  * fixed syscacll for new assembler reader

2003-11-29 18:34  michael <michael.vancanneyt@wisa.be>

	* rtl/: unix/cthreads.pp, win32/systhrds.pp:
	
	+ Removed dummy variable from SetCthreadManager

2003-11-29 18:33  michael <michael.vancanneyt@wisa.be>

	* rtl/inc/thread.inc:
	
	+ Removed dummy variable from SetNothreadManager

2003-11-29 18:29  michael <michael.vancanneyt@wisa.be>

	* rtl/inc/: thread.inc, threadh.inc:
	
	+ Added overloaded version of SetThreadManager without old
	parameter

2003-11-29 18:27  michael <michael.vancanneyt@wisa.be>

	* rtl/inc/: systemh.inc, wstrings.inc:
	
	+ Added overloaded version of SetWideStringManager without old
	parameter

2003-11-29 17:40  jonas <jonas.maebe@rug.ac.be>

	* rtl/i386/math.inc:
	
	  * fix power() for negative base

2003-11-29 17:27  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/: strings.inc, stringss.inc, sysutilp.inc:
	
	  * fixed several ppc assembler reader related problems
	  * local vars in assembler procedures now start at offset 4
	  * fixed second_int_to_bool (apparently an integer can be in 
	LOC_JUMP??)

2003-11-29 16:26  hajny <xhajt03@mbox.vol.cz>

	* rtl/: emx/Makefile, emx/Makefile.fpc, go32v2/Makefile,
	go32v2/Makefile.fpc, os2/Makefile, os2/Makefile.fpc:
	
	  * short name version of dateutils for non-LFN platforms

2003-11-29 16:02  hajny <xhajt03@mbox.vol.cz>

	* rtl/objpas/dateutil.pp:
	
	  + short name version of dateutils for non-LFN platforms

2003-11-29 15:07  peter <peter@freepascal.org>

	* rtl/inc/file.inc:
	
	  * do not overwrite Inoutres in blockwrite with 101

2003-11-29 12:41  yuri

	* rtl/os2/Makefile.fpc:
	
	* rtlconst, dateutils & sysconst units rules added

2003-11-28 21:36  michael <michael.vancanneyt@wisa.be>

	* rtl/inc/: systemh.inc, wstrings.inc:
	
	+ Added WideStringManager

2003-11-28 18:21  peter <peter@freepascal.org>

	* rtl/win32/wininc/messages.inc:
	
	  * TWMEraseBkgnd added

2003-11-28 16:55  peter <peter@freepascal.org>

	* rtl/go32v2/: Makefile, Makefile.fpc:
	
	  * fixed dependencies

2003-11-27 21:43  michael <michael.vancanneyt@wisa.be>

	* rtl/: freebsd/Makefile, freebsd/Makefile.fpc, win32/Makefile,
	win32/Makefile.fpc:
	
	+ Fixes for sysconst and removed runerrors.pp

2003-11-27 21:39  michael <michael.vancanneyt@wisa.be>

	* rtl/: objpas/sysconst.pp, inc/runerrors.pp:
	
	+ Added runerrors functionality to sysconst

2003-11-27 21:39  michael <michael.vancanneyt@wisa.be>

	* rtl/linux/: Makefile, Makefile.fpc:
	
	+ Some fixes and runerrors removed

2003-11-27 21:24  michael <michael.vancanneyt@wisa.be>

	* rtl/unix/cthreads.pp:
	
	+ Compiles on BSD too now

2003-11-27 21:24  michael <michael.vancanneyt@wisa.be>

	* rtl/freebsd/pthread.inc:
	
	+ Redefined ppthread_mutex_t

2003-11-27 21:16  michael <michael.vancanneyt@wisa.be>

	* rtl/unix/cthreads.pp:
	
	+ Make works with 1.0.10 too

2003-11-27 17:16  marco <marcov@stack.nl>

	* rtl/freebsd/: Makefile, Makefile.fpc:
	
	 * fixed incorrect addition of sysconst

2003-11-27 11:28  michael <michael.vancanneyt@wisa.be>

	* rtl/: inc/runerrors.pp, inc/threadh.inc, win32/Makefile,
	win32/Makefile.fpc, win32/systhrds.pp:
	
	+ Patch from peter to fix make cycle

2003-11-26 23:17  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/sysutils/: sysansi.inc, sysstr.inc, sysstrh.inc,
	sysutilh.inc, sysutils.inc:
	
	+ Merged fixbranch fixes, missing in main branch

2003-11-26 21:55  michael <michael.vancanneyt@wisa.be>

	* rtl/freebsd/: Makefile, Makefile.fpc:
	
	+ Fixed dependencies so cycle works again

2003-11-26 21:50  michael <michael.vancanneyt@wisa.be>

	* rtl/: linux/Makefile, linux/Makefile.fpc, win32/Makefile,
	win32/Makefile.fpc:
	
	+ Fixed dependencies so cycle works again

2003-11-26 21:34  michael <michael.vancanneyt@wisa.be>

	* rtl/: objpas/sysconst.pp, linux/Makefile, linux/Makefile.fpc,
	inc/variants.pp, unix/sysutils.pp:
	
	+ Some fixes to have everything compile again

2003-11-26 21:21  michael <michael.vancanneyt@wisa.be>

	* rtl/: freebsd/Makefile, freebsd/Makefile.fpc, go32v2/Makefile,
	go32v2/Makefile.fpc:
	
	+ Added runerrors and cthreads unit

2003-11-26 21:17  michael <michael.vancanneyt@wisa.be>

	* rtl/: win32/Makefile, win32/Makefile.fpc, freebsd/Makefile,
	freebsd/Makefile.fpc:
	
	+ Added runerrors unit

2003-11-26 21:15  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/sysutils/datih.inc:
	
	TwoDigitYearCenturyWindow is 50

2003-11-26 21:12  michael <michael.vancanneyt@wisa.be>

	* rtl/inc/runerrors.pp:
	
	+ Initial implementation of runerrors string support

2003-11-26 21:12  michael <michael.vancanneyt@wisa.be>

	* rtl/: inc/except.inc, objpas/sysutils/stre.inc,
	objpas/sysutils/sysutilh.inc, objpas/sysutils/sysutils.inc:
	
	+ New runerror 231 (exception stack error) and 232 (nothread
	support)

2003-11-26 21:10  michael <michael.vancanneyt@wisa.be>

	* rtl/: inc/thread.inc, inc/threadh.inc, inc/threadvr.inc,
	linux/pthread.inc, unix/cthreads.pp, unix/systhrds.pp,
	win32/systhrds.pp:
	
	+ New threadmanager implementation

2003-11-26 21:00  florian <florian@freepascal.org>

	* rtl/: beos/Makefile.fpc, beos/sysutils.pp, darwin/Makefile.fpc,
	emx/Makefile.fpc, emx/sysutils.pp, freebsd/Makefile.fpc,
	go32v2/Makefile.fpc, go32v2/sysutils.pp, inc/variants.pp,
	linux/Makefile.fpc, macos/Makefile.fpc, netbsd/Makefile.fpc,
	netware/Makefile.fpc, netware/sysutils.pp, objpas/sysconst.pp,
	objpas/varutilh.inc, objpas/sysutils/sysutilh.inc,
	objpas/sysutils/sysutils.inc, os2/Makefile.fpc, os2/sysutils.pp,
	watcom/Makefile.fpc, watcom/sysutils.pp, win32/Makefile.fpc,
	win32/sysutils.pp:
	
	  * error handling for Variants improved

2003-11-25 17:29  florian <florian@freepascal.org>

	* rtl/beos/sysutils.pp:
	
	no message

2003-11-25 16:13  marco <marcov@stack.nl>

	* rtl/unix/sockets.pp:
	
	 * somebody added fields to socketsh.inc that were already under
	ifdef bsd

2003-11-25 00:08  michael <michael.vancanneyt@wisa.be>

	* rtl/win32/system.pp:
	
	+ Redefined Fileopen so it corresponds to ascdef.inc definition

2003-11-25 00:00  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/sysutils/dati.inc:
	
	+ Fix for bug 2476

2003-11-24 23:27  michael <michael.vancanneyt@wisa.be>

	* rtl/unix/crt.pp:
	
	+ Bugfix for bug 2741

2003-11-24 22:57  michael <michael.vancanneyt@wisa.be>

	* rtl/i386/math.inc:
	
	+ Patch from Johannes Berg for bug 2759

2003-11-23 18:34  jonas <jonas.maebe@rug.ac.be>

	* rtl/powerpc/: powerpc.inc, strlen.inc:
	
	  * fixed some label names

2003-11-23 17:50  peter <peter@freepascal.org>

	* rtl/i386/: set.inc, strings.inc, strpas.inc:
	
	  * register calling updates

2003-11-23 16:50  yuri

	* rtl/os2/sysutils.pp:
	
	* Now native

2003-11-23 12:00  michael <michael.vancanneyt@wisa.be>

	* rtl/inc/socketsh.inc:
	
	+ Added IPV6 patch from Johannes Berg

2003-11-23 11:57  michael <michael.vancanneyt@wisa.be>

	* rtl/inc/sockets.inc:
	
	+ Changed mode to output for file sockets

2003-11-23 08:21  yuri

	* rtl/os2/system.pas:
	
	* native heap

2003-11-22 22:58  marco <marcov@stack.nl>

	* rtl/inc/sockets.inc:
	
	 * johill changed his mind

2003-11-22 18:18  marco <marcov@stack.nl>

	* rtl/objpas/sysutils/sysstr.inc:
	
	 * johill patch applied

2003-11-22 18:15  marco <marcov@stack.nl>

	* rtl/freebsd/Makefile.fpc:
	
	 * .rst for dateutils fixed

2003-11-22 17:28  michael <michael.vancanneyt@wisa.be>

	* rtl/inc/socketsh.inc:
	
	+ Added several constants

2003-11-22 17:17  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/sysutils/sysstr.inc:
	
	+ Small optimization in comparemem

2003-11-22 16:46  michael <michael.vancanneyt@wisa.be>

	* rtl/objpas/sysutils/sysstr.inc:
	
	+ Patched CompareMem for case when length is 0

2003-11-22 12:04  marco <marcov@stack.nl>

	* rtl/: freebsd/tthread.inc, linux/tthread.inc:
	
	 * Johill: suspend fix

2003-11-22 11:59  marco <marcov@stack.nl>

	* rtl/inc/sockets.inc:
	
	 fix for last one

2003-11-22 11:33  marco <marcov@stack.nl>

	* rtl/inc/sockets.inc:
	
	 fix from johill for 2801

2003-11-22 11:32  marco <marcov@stack.nl>

	* rtl/inc/sockets.inc:
	
	 fix from johill

2003-11-21 01:40  florian <florian@freepascal.org>

	* rtl/: arm/arm.inc, arm/strings.inc, arm/stringss.inc,
	linux/signal.inc, linux/arm/sighnd.inc, linux/powerpc/sighnd.inc:
	
	  * some arm issues fixed

2003-11-20 23:12  marco <marcov@stack.nl>

	* rtl/linux/: Makefile, Makefile.fpc:
	
	 * dateutils added

2003-11-20 23:09  marco <marcov@stack.nl>

	* rtl/freebsd/: Makefile, Makefile.fpc:
	
	 * dateutils added

2003-11-20 10:09  marco <marcov@stack.nl>

	* rtl/linux/: Makefile, Makefile.fpc:
	
	 * termio moved to better spot

2003-11-20 10:06  marco <marcov@stack.nl>

	* rtl/linux/: termio.pp, termiosproc.inc:
	
	 * forgot to commit with rest. now added.

2003-11-19 19:21  yuri

	* rtl/os2/system.pas:
	
	* Memory allocation bug fixed

2003-11-19 18:35  marco <marcov@stack.nl>

	* rtl/: linux/Makefile.fpc, linux/termios.inc, unix/ggigraph.pp,
	unix/graph.pp:
	
	 * Linux part of termio unit

2003-11-19 18:15  marco <marcov@stack.nl>

	* rtl/freebsd/: termio.pp, termiosproc.inc:
	
	 * termio new includefile

2003-11-19 18:13  marco <marcov@stack.nl>

	* rtl/unix/: termiosh.inc, ttyname.inc:
	
	 * new termio units

2003-11-19 18:11  marco <marcov@stack.nl>

	* rtl/: bsd/bunxtype.inc, bsd/sysctl.pp, freebsd/Makefile,
	freebsd/Makefile.fpc, freebsd/console.pp, freebsd/unixsysc.inc,
	unix/crt.pp, unix/keyboard.pp, unix/serial.pp, unix/unix.pp,
	unix/video.pp:
	
	 * termio unit

2003-11-19 17:58  peter <peter@freepascal.org>

	* rtl/i386/: i386.inc, stringss.inc, strpas.inc:
	
	  * make strpas assembler function

2003-11-19 17:50  yuri

	* rtl/os2/: prt1.as, system.pas:
	
	* Environment and arguments initialization now native

2003-11-19 16:51  peter <peter@freepascal.org>

	* rtl/: linux/classes.pp, linux/tthread.inc,
	objpas/classes/classes.inc, objpas/classes/classesh.inc:
	
	  * tthread disabled for 1.0.x

2003-11-19 15:04  marco <marcov@stack.nl>

	* rtl/linux/bunxfunc.inc:
	
	 * fix for sleep from johill

2003-11-19 12:46  marco <marcov@stack.nl>

	* rtl/linux/: ossysch.inc, unixsysc.inc, unxsysch.inc:
	
	 * changes due to the previous *BSD changes. Mainly moving
	constants from
	   unix to systypes.inc (which acts as unxtypes.inc)

